Thu Mar 30 17:53:58 2023 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed: Windows: encoder inertial when capturing if click on device then says no device and have to remove and plug USB 
 src/gui/app1/chronojump.cs | 8 ++++++++
 src/gui/app1/encoder.cs    | 3 +++
 2 files changed, 11 insertions(+)

Thu Mar 30 12:36:43 2023 +0200 Xavier de Blas <xaviblas@gmail.com>
Flush at 1st inertial calibration (fixes bad calibration on Windows) 
 src/encoderCaptureInertialBG.cs | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Fri Mar 24 10:52:00 2023 +0100 Xavier Padullés <testing@chronojump.org>
RaceAnalyzer. Fixed wrong sense detection if user keeps capturing during string retrieve 
 r-scripts/sprintEncoder.R | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

Thu Mar 23 17:41:41 2023 +0100 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Increased iterations until convergence for the non linear regression. 
 r-scripts/sprintEncoder.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Mar 22 12:52:21 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
chronopicRegister does not SQL store devices on Chromebook (because there is not SerialNumber) 
 src/chronopicRegister.cs | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Tue Mar 21 12:44:36 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
config:FTDIalways for Linux (chromeOS) 
 src/chronopicRegister.cs   | 19 +++++++++++++------
 src/config.cs              | 11 +++++++----
 src/gui/app1/chronojump.cs |  4 ++--
 3 files changed, 22 insertions(+), 12 deletions(-)

Tue Mar 21 15:19:24 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed chronopic-tests from linux compilation (to be able to make deb package) 
 Makefile.am  | 6 +++---
 configure.ac | 1 -
 2 files changed, 3 insertions(+), 4 deletions(-)

Tue Mar 21 13:58:14 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed from compilation chronopic-firmware, data (to have tar.gz working) 
 Makefile.am  | 5 +++--
 configure.ac | 7 -------
 2 files changed, 3 insertions(+), 9 deletions(-)

Thu Mar 16 15:47:03 2023 +0100 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Fixed multiple export error in bad sprint execution 
 r-scripts/sprintEncoder.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Mar 16 12:35:38 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
runDoubleContactsMS, runIDoubleContactsMS minimum 10 ms 
 src/sqlite/preferences.cs | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

Thu Mar 9 10:27:03 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensor up to 20000 N 
 src/gui/app1/forceSensor.cs                        |   2 +-
 .../gtk3/win2labels/glade/win2labels.glade~        |  40 +++++++++++++++++++++
 testing-stuff/gtk3/win2labels/win2labels.exe       | Bin 0 -> 5632 bytes
 testing-stuff/gtk3/win2labels/win2labels.glade~    |  39 ++++++++++++++++++++
 4 files changed, 80 insertions(+), 1 deletion(-)

Thu Mar 2 11:57:58 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed cherry merge: ForceSensor too big force: shown message ok and stop 
 src/gui/app1/forceSensor.cs | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

Wed Feb 22 16:17:57 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Added missing RemoveSlash () 
 src/util.cs | 8 ++++++++
 1 file changed, 8 insertions(+)

Tue Feb 21 18:12:58 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensorExercise add/edit removes / \ 
 src/gui/forceSensorExercise.cs | 2 ++
 1 file changed, 2 insertions(+)

Tue Feb 21 18:10:26 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
4 force sensor exports do not allow / \ on exercise name 
 src/gui/app1/encoder.cs | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Tue Feb 21 13:57:45 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fix showing 2414 at end of 3L3R capture. With this shows: 24,14 
 src/gui/app1/chronojump.cs | 4 ++++
 1 file changed, 4 insertions(+)

Mon Feb 20 12:41:09 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
cherrypick fixed merge: 8b91d17b Fixed crash on CairoGraphForceSensorSignal when triggers are after capture end 
 src/gui/cairo/forceSensor.cs | 728 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 728 insertions(+)

Mon Feb 20 13:38:08 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Cont of fixing the config OpenExternalDB 
 src/gui/app1/chronojump.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Jan 19 15:15:52 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
DB:2.44 Converted all encoder.future(1|2|3) from , to . 
 src/gui/app1/encoder.cs |  6 +++---
 src/sqlite/encoder.cs   | 12 ++++++------
 src/sqlite/main.cs      | 11 ++++++++++-
 3 files changed, 19 insertions(+), 10 deletions(-)

Thu Feb 16 19:17:48 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
EncoderConfiguration inverted modes while capture show everything at realtime and as expected 
 encoder/capture.R       |  5 ++---
 encoder/graph.R         |  6 +++---
 encoder/util.R          |  8 ++++----
 src/encoder.cs          | 13 ++++++++++++-
 src/encoderCapture.cs   | 20 ++++++++++++++++----
 src/gui/app1/encoder.cs |  2 ++
 6 files changed, 39 insertions(+), 15 deletions(-)

Thu Feb 16 13:01:59 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed: encoder inertial after calibrate selectedForMode_l was empty. This makes device win pop up and can put win device as busy 
 src/chronopicRegister.cs | 1 +
 src/gui/app1/encoder.cs  | 5 +++++
 2 files changed, 6 insertions(+)

Wed Feb 15 16:23:27 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed "Jumps simple/multiple, Races simple/multiple capture left bars if display less bars than jumps, shown are old ones instead of new ones" 
 src/exportFiles/sprint.cs      |  4 ++--
 src/exportSession.cs           |  6 +++---
 src/gui/app1/chronojump.cs     |  4 ++--
 src/gui/app1/jump.cs           |  6 +++---
 src/gui/app1/jumpsRjFatigue.cs |  4 ++--
 src/gui/app1/run.cs            |  6 +++---
 src/gui/jump.cs                |  4 ++--
 src/gui/person/addModify.cs    |  2 +-
 src/jumpsRunsEvolution.cs      |  6 +++---
 src/old/server.cs              | 12 ++++++------
 src/report.cs                  |  4 ++--
 src/sqlite/jump.cs             | 14 +++++++++-----
 src/sqlite/jumpRj.cs           |  9 +++++++--
 src/sqlite/run.cs              | 13 +++++++++----
 src/sqlite/runInterval.cs      |  9 +++++++--
 15 files changed, 61 insertions(+), 42 deletions(-)

Wed Feb 15 00:15:37 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
chronojumpLogo division with an StopWatch as double to fix very rare crash 
 src/gui/app1/chronojumpLogo.cs | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

Mon Feb 13 16:10:38 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed combos not updated after databaseChange. TODO: Need to test. 
 src/gui/chronojumpImporter.cs | 42 ++-------------------------------------
 src/gui/cjCombo.cs            | 46 ++++++++++++++++++++++++++++++++++++++++++-
 src/gui/networks.cs           |  4 +++-
 3 files changed, 50 insertions(+), 42 deletions(-)

Tue Jan 31 17:14:21 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
TempImportExtractDir now has growing subdirs to avoid problems on windows deleting it (Sqlite/sessionSwitcher has owned) 
 src/gui/app1/session/loadAndImport.cs | 18 +++---------------
 src/util.cs                           | 26 +++++++++++++++++++++++++-
 2 files changed, 28 insertions(+), 16 deletions(-)

Tue Jan 10 15:50:33 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
On encoder add/edit remove ',' ';' from exercise name 
 src/gui/app1/encoder.cs |  4 +++-
 src/util.cs             | 11 ++++++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

Tue Jan 24 16:11:27 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
on_delete_event_logs more verbose, to detect better a crash 
 src/chronopic2016.cs               | 2 +-
 src/gui/chronopicRegister.cs       | 2 +-
 src/gui/forceSensorElasticBands.cs | 2 +-
 src/gui/forceSensorExercise.cs     | 2 +-
 src/gui/genericWindow.cs           | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

Thu Jan 26 14:07:26 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed import a 7z fails if inside folder name is different than name.7z 
 src/gui/app1/session/loadAndImport.cs | 36 ++++++++++++++++++++++++++++++-----
 src/util.cs                           | 16 ++++++++++++++++
 2 files changed, 47 insertions(+), 5 deletions(-)

Tue Jan 31 11:03:24 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Merged cherry-picking deactivated preferences muteLogs 
 glade/preferences_win.glade |  2 +-
 src/gui/preferences.cs      | 12 ++++++++++++
 src/sqlite/preferences.cs   |  5 ++++-
 3 files changed, 17 insertions(+), 2 deletions(-)

Fri Jan 27 16:55:13 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed bug: fix close and capture different behaviour on different sensors (and crash on encoder) 
 src/gui/app1/chronojump.cs | 17 ++++++++++++-----
 src/gui/app1/encoder.cs    |  5 ++++-
 2 files changed, 16 insertions(+), 6 deletions(-)

Fri Jan 6 20:22:19 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed 2.3.0 double open port on discover jumps/races. Also discover lot more verbose. 
 src/execute/arduinoCapture.cs | 115 +++++++++++++++++++++++++-----------------
 1 file changed, 70 insertions(+), 45 deletions(-)

Mon Jan 2 11:33:25 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated versions/2.3.0.html 
 versions/2.3.0.html | 2 ++
 1 file changed, 2 insertions(+)

Mon Jan 2 11:31:29 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated mac ffmpeg and ffplay to 5.1.2 
 binariesMac/ffmpeg | Bin 70981476 -> 78200980 bytes
 binariesMac/ffplay | Bin 70865436 -> 80819272 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

Mon Jan 2 11:16:36 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated howto_git.md with discard merge on git stash pop 
 howto_git.md | 3 +++
 1 file changed, 3 insertions(+)

Mon Jan 2 11:09:51 2023 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated animated chronojumpLogo (simple carroussel to the left) 
 src/gui/app1/chronojumpLogo.cs | 28 ++++++----------------------
 1 file changed, 6 insertions(+), 22 deletions(-)

Fri Dec 30 14:18:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated Catalan translation 
 po/ca.po | 5338 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2870 insertions(+), 2468 deletions(-)

Fri Dec 30 13:33:00 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On load session top right select mode icons, correctly shown isometric and elastic new icons 
 glade/app1.glade      | 84 +++++++++++++++------------------------------------
 src/gui/app1/icons.cs |  5 ++-
 2 files changed, 26 insertions(+), 63 deletions(-)

Thu Dec 29 17:37:05 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated most relevant new Ukranian translations 
 po/uk.po | 1321 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 700 insertions(+), 621 deletions(-)

Thu Dec 29 17:36:44 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added one missing translatable string 
 src/gui/app1/chronojump.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Dec 29 17:16:34 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated versions/2.3.0.html 
 versions/2.3.0.html | 149 +++++++++++++++++++++++++++++++++-------------------
 1 file changed, 94 insertions(+), 55 deletions(-)

Thu Dec 29 13:44:32 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
versions/2.3.0.html until 24/5/2022 
 versions/2.3.0.html | 41 +++++++++++++++++++++++++++++++++--------
 1 file changed, 33 insertions(+), 8 deletions(-)

Thu Dec 29 13:21:34 2022 +0100 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Fixed crash in model analysis 
 r-scripts/sprintEncoder.R | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Dec 29 13:15:27 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer: Fixed show No Min accel when there's not a set 
 src/gui/app1/runEncoder.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Thu Dec 29 12:08:55 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
removed howto_git.odt, added howto_git.md (English) 
 howto_git.md  | 115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 howto_git.odt | Bin 22919 -> 0 bytes
 2 files changed, 115 insertions(+)

Thu Dec 29 11:33:16 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated howto_git.ods 
 howto_git.odt | Bin 14713 -> 22919 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Wed Dec 28 20:43:48 2022 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>
Update Swedish translation 
 po/sv.po | 236 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 121 insertions(+), 115 deletions(-)

Wed Dec 28 18:13:14 2022 +0000 Enrico Nicoletto <hiko@duck.com>
Update Brazilian Portuguese translation 
 po/pt_BR.po | 5522 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2826 insertions(+), 2696 deletions(-)

Wed Dec 28 16:17:36 2022 +0000 Daniel Mustieles <daniel.mustieles@gmail.com>
Update Spanish translation 
 po/es.po | 1146 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 577 insertions(+), 569 deletions(-)

Wed Dec 28 13:03:46 2022 +0100 xpadulles <x.padulles@gmail.com>
fixed getMeanValue of a selected range 
 r-scripts/scripts-util.R  | 34 ++++++++++++-------
 r-scripts/sprintEncoder.R | 86 +++++++++++++++++++++++------------------------
 2 files changed, 63 insertions(+), 57 deletions(-)

Wed Dec 28 12:22:53 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
versions/2.3.0.html from 10/3/2022 to 26/4/20 
 versions/2.3.0.html | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

Tue Dec 27 17:26:27 2022 +0100 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Fixed number of segments detected 
 r-scripts/scripts-util.R  |  45 +++++++++----
 r-scripts/sprintEncoder.R | 163 ++++++++++++++++++++++++++--------------------
 2 files changed, 124 insertions(+), 84 deletions(-)

Tue Dec 27 16:20:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed encoder analyze show all set speed was treated always as inertial (forcing to sign changes) 
 encoder/graph.R | 43 +++++++++++++++++++++++++------------------
 1 file changed, 25 insertions(+), 18 deletions(-)

Tue Dec 27 16:02:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
last person is stored and selected on new boot if load last session is active 
 src/gui/app1/chronojump.cs | 8 ++++++++
 src/preferences.cs         | 1 +
 src/sqlite/main.cs         | 9 ++++++++-
 src/sqlite/preferences.cs  | 9 +++++++++
 4 files changed, 26 insertions(+), 1 deletion(-)

Tue Dec 27 15:33:27 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated URL on encoder neuromuscular profile 
 src/gui/app1/encoder.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Dec 27 13:52:23 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added "ABK 6 jumps 1s rest" untranslatable message to encoder neuromuscular profile instructions 
 src/gui/app1/encoder.cs | 1 +
 1 file changed, 1 insertion(+)

Tue Dec 27 13:43:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed raceAnalyzer cairo graph maxY red paint not ok if minY==maxY 
 src/gui/cairo/raceAnalyzer.cs | 5 +++--
 src/gui/cairo/xy.cs           | 2 ++
 2 files changed, 5 insertions(+), 2 deletions(-)

Tue Dec 27 13:41:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed raceAnalyzer cairo graphs with speed >10 at 1st sample (when is not true) 
 src/gui/app1/runEncoder.cs | 29 +++++++++++++++++++----------
 src/runEncoder.cs          | 12 +++++++++---
 2 files changed, 28 insertions(+), 13 deletions(-)

Tue Dec 27 13:38:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added SimulatedLinealCutAndCalculations.ods to testing-stuff/raceAnalyzerSampleFiles 
 .../SimulatedLinealCutAndCalculations.ods               | Bin 0 -> 40001 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Wed Dec 21 15:36:22 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added raceAnalyzerSampleFiles/SimulatedLineal.cs 
 .../raceAnalyzerSampleFiles/SimulatedLineal.csv    | 1904 ++++++++++++++++++++
 1 file changed, 1904 insertions(+)

Wed Dec 21 08:15:19 2022 +0100 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Fixed getAreaUnderCurve used in getMeanValue 
 r-scripts/scripts-util.R | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Tue Dec 20 19:21:26 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Shown image icon on central session/more "window" 
 glade/app1.glade             | 30 +++++++++++++++++++++++++++---
 src/gui/app1/chronojump.cs   |  4 ++++
 src/gui/app1/icons.cs        |  3 +++
 src/gui/app1/session/main.cs |  2 ++
 4 files changed, 36 insertions(+), 3 deletions(-)

Tue Dec 20 19:11:05 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Shown image icon on central person management "window" 
 glade/app1.glade                  | 73 ++++++++++++++++++++++++++++++++-------
 src/gui/app1/chronojump.cs        |  4 +++
 src/gui/app1/chronojumpPersons.cs |  2 ++
 src/gui/app1/icons.cs             |  3 ++
 4 files changed, 70 insertions(+), 12 deletions(-)

Tue Dec 20 18:54:24 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On importer fail on windows show msvcr100.dll error message 
 src/chronojumpImporter.cs | 17 +++++++++++++++++
 src/gui/app1/menu.cs      |  1 -
 2 files changed, 17 insertions(+), 1 deletion(-)

Tue Dec 20 18:07:30 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Person merge done! 
 src/gui/person/addModify.cs   |   2 +-
 src/gui/person/addMultiple.cs |   2 +-
 src/gui/person/merge.cs       | 186 +++++++++++++++++++++++++++++++++++++-----
 src/personSession.cs          |   5 +-
 src/sqlite/main.cs            |  14 ++++
 src/sqlite/personSession.cs   |  22 ++++-
 6 files changed, 201 insertions(+), 30 deletions(-)

Mon Dec 19 17:45:00 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed crash after backup question when logo has to be displayed but a mode is active 
 src/gui/app1/session/backup.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Sat Dec 17 09:46:48 2022 +0000 Asier Sarasua Garmendia <asiersarasua@ni.eus>
Update Basque translation 
 po/eu.po | 4733 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2516 insertions(+), 2217 deletions(-)

Fri Dec 16 17:09:42 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better gui for persons "more" 
 glade/app1.glade                  | 204 +++++++++++++++++++++++---------------
 src/gui/app1/chronojump.cs        |   8 --
 src/gui/app1/chronojumpPersons.cs |   3 -
 src/gui/app1/icons.cs             |   4 -
 src/gui/networks.cs               |   1 -
 5 files changed, 125 insertions(+), 95 deletions(-)

Thu Dec 15 17:39:50 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Clean warnings for 2.2.2 
 src/feedback.cs                       | 10 +++++-----
 src/gui/app1/chronojump.cs            |  2 +-
 src/gui/app1/chronojumpPersons.cs     |  1 -
 src/gui/app1/encoder.cs               |  2 +-
 src/gui/app1/icons.cs                 |  2 +-
 src/gui/app1/jumpsAsymmetry.cs        |  2 +-
 src/gui/app1/menu.cs                  |  2 +-
 src/gui/app1/menu_tiny.cs             |  1 -
 src/gui/app1/runEncoder.cs            |  1 -
 src/gui/app1/session/export.cs        |  2 ++
 src/gui/app1/session/loadAndImport.cs |  7 +++++--
 src/gui/cairo/bars.cs                 | 10 ++++++----
 src/gui/cairo/jumpsRjFatigue.cs       |  4 ++--
 src/gui/chronopic.cs                  |  2 +-
 src/gui/eventExecute.cs               | 19 ++++++++-----------
 src/gui/person/addMultiple.cs         |  3 +--
 src/gui/person/showAllEvents.cs       |  6 ++----
 src/jumpsAsymmetry.cs                 |  1 -
 18 files changed, 37 insertions(+), 40 deletions(-)

Tue Dec 13 12:31:07 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Linux check if 7z is installed before import/export 
 src/gui/app1/chronojump.cs     | 5 +++++
 src/gui/app1/session/export.cs | 6 ++++++
 src/gui/chronojumpImporter.cs  | 8 +++++++-
 3 files changed, 18 insertions(+), 1 deletion(-)

Tue Dec 13 12:17:15 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Check R installed on Linux at modes encoder, forceSensor, sprint, runEncoder analyze 
 src/gui/app1/chronojump.cs        | 28 ++++++++++++++++++++--------
 src/gui/app1/runEncoderAnalyze.cs |  6 ++++++
 src/gui/sprint.cs                 |  6 ++++++
 3 files changed, 32 insertions(+), 8 deletions(-)

Tue Dec 13 12:16:10 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Code to check if a program is installed on Linux (using which) 
 src/executeProcess.cs | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

Tue Dec 13 11:56:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Moved Get7zExecutable to be able to compile Mini 
 src/constants.cs                      | 11 -----------
 src/executeProcess.cs                 | 10 ++++++++++
 src/gui/app1/session/export.cs        |  2 +-
 src/gui/app1/session/loadAndImport.cs |  2 +-
 4 files changed, 12 insertions(+), 13 deletions(-)

Tue Dec 13 11:48:15 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed unneded testing stuff 
 src/gui/app1/chronojump.cs | 11 -----------
 1 file changed, 11 deletions(-)

Fri Dec 9 17:26:09 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
7z executable depending on OS now on constants.cs 
 src/constants.cs                      | 11 +++++++++++
 src/gui/app1/session/export.cs        |  7 +------
 src/gui/app1/session/loadAndImport.cs |  7 +------
 3 files changed, 13 insertions(+), 12 deletions(-)

Fri Dec 9 13:51:27 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Preferences width: 700px 
 glade/preferences_win.glade | 1 +
 1 file changed, 1 insertion(+)

Fri Dec 9 13:48:42 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensor preferences no elastic->isometric and moved to first row 
 glade/preferences_win.glade | 52 ++++++++++++++++++++++-----------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

Fri Dec 9 13:42:22 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Preferences forceSensor lag only shown on rmssd, cvrmssd 
 glade/preferences_win.glade |  5 ++++-
 src/gui/preferences.cs      | 28 ++++++++++++++++++++++++++--
 2 files changed, 30 insertions(+), 3 deletions(-)

Thu Dec 8 18:17:07 2022 +0000 Hugo Carvalho <hugokarvalho@hotmail.com>
Update Portuguese translation 
 po/pt.po | 13671 +++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 11606 insertions(+), 2065 deletions(-)

Wed Dec 7 17:07:50 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensorVariabilityLag on preferences and on analyze calculations 
 src/gui/app1/forceSensorAnalyze.cs | 2 +-
 src/gui/preferences.cs             | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

Wed Dec 7 17:07:03 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
DB: 2.42 ForceSensorVariabilityLag 
 src/forceSensor.cs        | 9 ++++-----
 src/preferences.cs        | 1 +
 src/sqlite/main.cs        | 9 ++++++++-
 src/sqlite/preferences.cs | 4 ++++
 4 files changed, 17 insertions(+), 6 deletions(-)

Wed Dec 7 15:40:56 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RMSSD/cvRMSSD with lag 
 src/forceSensor.cs         | 23 ++++++++++++-----------
 src/gui/app1/chronojump.cs |  3 ++-
 2 files changed, 14 insertions(+), 12 deletions(-)

Tue Dec 6 22:44:03 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
preferences win force: added lag to [cv]rmssd 
 glade/preferences_win.glade | 136 +++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 121 insertions(+), 15 deletions(-)

Mon Dec 5 16:27:03 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMerge show diff: better gui 
 src/gui/person/merge.cs | 43 +++++++++++++++----------------------------
 1 file changed, 15 insertions(+), 28 deletions(-)

Mon Dec 5 13:52:22 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Delete person and images with new method 
 src/sqlite/main.cs          |  6 +++---
 src/sqlite/person.cs        | 19 +++++++++++++++++++
 src/sqlite/personSession.cs | 14 +++-----------
 3 files changed, 25 insertions(+), 14 deletions(-)

Mon Dec 5 12:59:26 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensor export write "isometric" or "elastic" instead of "forcesensor" 
 src/gui/app1/encoder.cs | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

Mon Dec 5 12:57:26 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed one string on Spanish translation 
 po/es.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon Dec 5 12:33:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer capture tab graps: pos, speed now line is gray if smooth line is active 
 src/gui/app1/runEncoder.cs | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Mon Dec 5 12:26:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fix in last commit 
 src/gui/app1/chronojump.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon Dec 5 12:19:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cont of last commit 
 src/gui/app1/forceSensor.cs | 1 +
 1 file changed, 1 insertion(+)

Mon Dec 5 12:15:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
forceSensor change device, connect, and double need to press capture fixed (and also raceAnalyzer) 
 src/gui/app1/chronojump.cs | 7 +++++++
 1 file changed, 7 insertions(+)

Thu Dec 1 17:46:50 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensor capture force window was +-2N now is +-50N 
 src/forceSensor.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Wed Nov 30 17:38:40 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
runInterval edit / change person. Fixed wrong total distance. 
 src/gui/app1/chronojump.cs | 5 +++--
 src/gui/run.cs             | 2 +-
 src/sqlite/runInterval.cs  | 4 ++--
 3 files changed, 6 insertions(+), 5 deletions(-)

Tue Nov 29 18:39:27 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on edit runInterval test (change person) 
 src/gui/app1/chronojump.cs | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

Tue Nov 29 17:25:15 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed "Viewing:" from RunIntervalRealtimeCapture title 
 src/gui/eventExecute.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Nov 29 15:08:01 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed: After add multiple persons, they are not in list, need to reload session 
 src/gui/app1/chronojumpPersons.cs |  6 +++---
 src/gui/person/addMultiple.cs     | 26 +++++++++++---------------
 2 files changed, 14 insertions(+), 18 deletions(-)

Tue Nov 29 14:56:36 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personAddMultiple if on session don't create new PersonSession (update it) 
 src/gui/person/addMultiple.cs | 52 +++++++++++++++++++++++++++----------------
 1 file changed, 33 insertions(+), 19 deletions(-)

Tue Nov 29 14:52:26 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On personAddMultiple back to 1st page, insensitivize button_accept 
 src/gui/person/addMultiple.cs | 1 +
 1 file changed, 1 insertion(+)

Tue Nov 29 14:04:42 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personAddMultiple loads a person if exists and checkbox (use stored person) is active 
 src/gui/person/addMultiple.cs | 44 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 37 insertions(+), 7 deletions(-)

Tue Nov 29 13:38:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personAddMultiple better padding for error column 
 src/gui/person/addMultiple.cs | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Tue Nov 29 13:38:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personAddMultiple fix hbox_h1_h2_help.Visible 
 src/gui/person/addMultiple.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Tue Nov 29 13:37:36 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personAddMultiple don't show error string dialog 
 src/gui/person/addMultiple.cs | 29 +----------------------------
 1 file changed, 1 insertion(+), 28 deletions(-)

Tue Nov 29 13:02:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
New strings to be translated 
 glade/app1.glade                     | 10 +++---
 glade/person_merge.glade             |  2 +-
 glade/person_multiple_infinite.glade |  2 +-
 src/gui/app1/chronojump.cs           | 10 +++---
 src/gui/guiTests.cs                  |  2 +-
 src/gui/person/addMultiple.cs        | 67 +++++++++++++++++++++---------------
 src/gui/person/merge.cs              | 15 ++++----
 7 files changed, 60 insertions(+), 48 deletions(-)

Mon Nov 28 17:56:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cont of last commit: check_use_this under labels 
 src/gui/person/addMultiple.cs | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

Mon Nov 28 17:56:12 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cont of last commit: complain on weight if no other errors 
 src/gui/person/addMultiple.cs | 21 ++++-----------------
 1 file changed, 4 insertions(+), 17 deletions(-)

Mon Nov 28 17:37:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Managing addMultiple persons errors with class PersonAddMultipleError 
 src/gui/person/addMultiple.cs | 105 ++++++++++++++++++++++--------------------
 1 file changed, 54 insertions(+), 51 deletions(-)

Mon Nov 28 17:22:03 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Managing addMultiple persons errors with an struct 
 src/gui/person/addMultiple.cs | 196 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 179 insertions(+), 17 deletions(-)

Fri Nov 25 17:16:00 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
PersonAddMultiple can go back and redo the table 
 glade/person_multiple_infinite.glade | 22 ++++++++++++++++++++--
 src/gui/person/addMultiple.cs        | 20 ++++++++++++++++----
 src/utilGtk.cs                       |  6 +++---
 3 files changed, 39 insertions(+), 9 deletions(-)

Tue Nov 22 12:53:14 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 glade/person_multiple_infinite.glade | 109 +++++++++++++++++++++++++++--------
 src/gui/person/addMultiple.cs        |   3 +
 2 files changed, 88 insertions(+), 24 deletions(-)

Tue Nov 22 23:40:49 2022 +0000 Balázs Úr <balazs@urbalazs.hu>
Update Hungarian translation 
 po/hu.po | 1652 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 651 insertions(+), 1001 deletions(-)

Tue Nov 22 12:38:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
PersonAddMultiple 1st tab with options and table with only selected variables 
 glade/person_multiple_infinite.glade | 485 ++++++++++++++++++++++++++---------
 src/gui/person/addMultiple.cs        | 225 ++++++++++------
 2 files changed, 509 insertions(+), 201 deletions(-)

Mon Nov 21 18:04:03 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Changed max values for person's legs length and hips height 
 glade/person_win.glade | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Mon Nov 21 18:02:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
person add multiple from table or csv can add height, legs length, hips height 
 glade/person_multiple_infinite.glade |  63 ++++++-----
 src/gui/person/addMultiple.cs        | 213 ++++++++++++++++++++++++++++-------
 2 files changed, 206 insertions(+), 70 deletions(-)

Mon Nov 21 16:44:36 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed Jump Stats advanced simple with Tc DjPower formula (label and calc). Thanks to Riccardo. 
 src/constants.cs     | 4 ++--
 src/stats/djPower.cs | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

Sat Nov 19 05:01:50 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Sat Nov 19 04:51:51 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1112 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 558 insertions(+), 554 deletions(-)

Fri Nov 18 17:54:12 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 glade/person_multiple_infinite.glade | 942 ++++++++++++++++++++---------------
 src/gui/person/addMultiple.cs        | 129 +++--
 2 files changed, 623 insertions(+), 448 deletions(-)

Fri Nov 18 13:22:48 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Several improvements to person add multiple (from CSV) 
 glade/person_multiple_infinite.glade | 708 ++++++++++++++---------------------
 src/gui/person/addMultiple.cs        |  88 +++--
 2 files changed, 338 insertions(+), 458 deletions(-)

Tue Nov 8 16:14:23 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 diagrams/sqlite/chronojump_sqlite.dia | Bin 23120 -> 23319 bytes
 src/gui/person/merge.cs               |  19 ++++++++++++++++++-
 2 files changed, 18 insertions(+), 1 deletion(-)

Tue Nov 8 15:04:54 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMerge more gui improvements 
 glade/person_merge.glade | 10 +++++-----
 src/gui/person/merge.cs  | 19 +++++++++++--------
 2 files changed, 16 insertions(+), 13 deletions(-)

Tue Nov 8 14:05:51 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Several improvements on person merge gui 
 glade/person_merge.glade | 329 ++++++++++++++++++++++++++++++++++-------------
 src/gui/person/merge.cs  | 190 +++++++++++++--------------
 2 files changed, 330 insertions(+), 189 deletions(-)

Tue Nov 8 12:37:11 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMerge with psSession radios (stored on lists) 
 src/gui/person/merge.cs | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Tue Nov 8 12:17:34 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMerge with a row for each single difference 
 src/gui/person/merge.cs | 40 +++++++++++++++-------------------------
 1 file changed, 15 insertions(+), 25 deletions(-)

Tue Nov 8 12:03:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMerge with row for each title 
 src/gui/person/merge.cs | 34 ++++++++++++++++++++++++----------
 1 file changed, 24 insertions(+), 10 deletions(-)

Tue Nov 8 11:28:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
PersonMerge shows the session name on each personSession diff 
 src/gui/person/merge.cs | 47 ++++++++++++++++++++++++++++++++---------------
 1 file changed, 32 insertions(+), 15 deletions(-)

Mon Nov 7 14:16:22 2022 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>
Update Swedish translation 
 po/sv.po | 3620 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1909 insertions(+), 1711 deletions(-)

Sat Nov 5 12:28:23 2022 +0000 Balázs Úr <balazs@urbalazs.hu>
Update Hungarian translation 
 po/hu.po | 9812 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 5833 insertions(+), 3979 deletions(-)

Fri Nov 4 17:27:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better code for last commit and do not use hardcoded id:752 
 src/gui/person/merge.cs | 90 ++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 81 insertions(+), 9 deletions(-)

Fri Nov 4 17:02:00 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better code for last commit 
 src/gui/person/merge.cs | 54 +++++++++++++++++--------------------------------
 1 file changed, 19 insertions(+), 35 deletions(-)

Fri Nov 4 16:47:09 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
First version of personMerge with table of differences 
 glade/person_merge.glade |  26 +++++++++--
 src/gui/person/merge.cs  | 116 +++++++++++++++++++++++++++++++++++++----------
 2 files changed, 113 insertions(+), 29 deletions(-)

Fri Nov 4 14:03:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
personMergeWin is displayed with person selection stuff 
 po/POTFILES.in              |   1 +
 src/classStateAndCompare.cs |   7 +-
 src/gui/app1/chronojump.cs  |  12 +++
 src/gui/person/merge.cs     | 226 +++++++++++++++++++++++++++++++++++++++++++-
 src/person.cs               |  12 ++-
 5 files changed, 254 insertions(+), 4 deletions(-)

Fri Nov 4 14:02:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 src/gui/person/recuperate.cs | 8 ++++----
 src/sqlite/person.cs         | 6 +++---
 2 files changed, 7 insertions(+), 7 deletions(-)

Fri Nov 4 13:59:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added person_mege.glade 
 glade/person_merge.glade | 419 +++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in           |   1 +
 src/Makefile.am          |   1 +
 3 files changed, 421 insertions(+)

Thu Nov 3 17:38:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed two erroneous tooltips on IRFR 
 glade/app1.glade | 38 ++++++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 14 deletions(-)

Thu Nov 3 17:32:34 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed bug on last classStateAndCompare.cs 
 src/classStateAndCompare.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Nov 3 17:31:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RunsInterval sprint show table of R modelled sprint that can be exported 
 glade/app1.glade        | 143 ++++++++++++++++++++++++++++++++++++-
 src/constants.cs        |   2 +-
 src/gui/app1/encoder.cs |   9 +++
 src/gui/app1/icons.cs   |   4 ++
 src/gui/sprint.cs       | 183 +++++++++++++++++++++++++++++++++++++++++++++++-
 src/runEncoder.cs       |  89 +----------------------
 src/sprint.cs           | 168 +++++++++++++++++++++++++++++++++++++++++++-
 7 files changed, 505 insertions(+), 93 deletions(-)

Thu Nov 3 11:54:10 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Since R sprint photocells graph/export since raceAnalyzer export speed,force,power 
 r-scripts/sprintUtil.R | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

Thu Nov 3 11:48:59 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
sprintPhotocells axis -> axes to remove warning 
 r-scripts/sprintPhotocells.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Nov 1 19:33:19 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Merge person finds diffs on matching personSessions 
 src/classStateAndCompare.cs | 30 ++++++++++++++++++++++++++++++
 src/gui/person/merge.cs     | 22 ++++++++++++++++++++--
 src/person.cs               |  4 ++--
 src/personSession.cs        | 30 +++++++++++++++++++++++++++---
 4 files changed, 79 insertions(+), 7 deletions(-)

Tue Nov 1 19:32:10 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
SqlitePersonSession.SelectPersonSessionList() can find a personID 
 src/gui/networks.cs         |  2 +-
 src/sqlite/personSession.cs | 28 +++++++++++++++++++++++++---
 2 files changed, 26 insertions(+), 4 deletions(-)

Tue Nov 1 11:53:41 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed eventboxes on person buttons (unneded since they are on notebook_sup) 
 glade/app1.glade                  | 48 ---------------------------------------
 src/gui/app1/chronojump.cs        |  1 +
 src/gui/app1/chronojumpPersons.cs |  1 +
 src/gui/app1/menu.cs              | 16 -------------
 4 files changed, 2 insertions(+), 64 deletions(-)

Tue Nov 1 11:32:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Needed on last commit 
 src/gui/app1/icons.cs | 3 +++
 1 file changed, 3 insertions(+)

Tue Nov 1 11:31:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better gui for persons merge button 
 glade/app1.glade    |  99 ++++++++++++++++++++++++++++++++++++++++------------
 images/md/merge.png | Bin 0 -> 4881 bytes
 src/Makefile.am     |   1 +
 3 files changed, 78 insertions(+), 22 deletions(-)

Tue Nov 1 11:03:43 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Merge: Can compare between two persons 
 glade/app1.glade            | 52 +++++++++++++++++++++++++++++++++------------
 src/Makefile.am             |  1 +
 src/classStateAndCompare.cs | 47 ++++++++++++++++++++++++----------------
 src/gui/person/merge.cs     | 38 +++++++++++++++++++++++++++++++++
 src/person.cs               | 21 +++++++++++++++---
 5 files changed, 125 insertions(+), 34 deletions(-)

Tue Nov 1 10:09:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added code to test and return differences between two objects 
 src/classStateAndCompare.cs | 55 +++++++++++++++++++++++++++++++++++++++++++++
 src/gui/app1/chronojump.cs  |  2 ++
 2 files changed, 57 insertions(+)

Tue Nov 1 10:00:56 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
staticClassState.cs renamed classStateAndCompare.cs 
 src/Makefile.am                                      | 2 +-
 src/{staticClassState.cs => classStateAndCompare.cs} | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

Thu Oct 27 17:47:24 2022 +0200 Xavier Padullés <testing@chronojump.org>
RaceAnalyzer. Debug and comments 
 r-scripts/scripts-util.R  |  36 ++-----
 r-scripts/sprintEncoder.R | 242 +++++++++++++++++++++++++++-------------------
 2 files changed, 152 insertions(+), 126 deletions(-)

Wed Oct 26 17:37:02 2022 +0200 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Testing force of the splits 
 r-scripts/scripts-util.R  |  8 +++-----
 r-scripts/sprintEncoder.R | 31 ++++++++++++++++++++++++++++---
 2 files changed, 31 insertions(+), 8 deletions(-)

Wed Oct 26 10:39:22 2022 +0200 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. Fixed friction force with the air 
 r-scripts/sprintEncoder.R | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Tue Oct 25 19:05:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Needed on last commit 
 src/util.cs | 12 ++++++++++++
 1 file changed, 12 insertions(+)

Tue Oct 25 19:01:46 2022 +0200 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. getSplits a little more understandable 
 r-scripts/sprintEncoder.R | 110 +++++++++++++++++++++++++---------------------
 1 file changed, 60 insertions(+), 50 deletions(-)

Tue Oct 25 18:34:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer load set prints debug of segmentCalcs parameters 
 src/gui/app1/runEncoder.cs | 13 +++++++++++++
 1 file changed, 13 insertions(+)

Tue Oct 25 18:11:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer export speed, force, power of each split (TODO: check results) 
 r-scripts/sprintEncoder.R    |  6 ++-
 r-scripts/sprintPhotocells.R | 88 +++++++++++++++++++++---------------------
 r-scripts/sprintUtil.R       | 91 ++++++++++++++++++++++++++++++++++++--------
 src/gui/app1/runEncoder.cs   |  7 ++--
 4 files changed, 128 insertions(+), 64 deletions(-)

Tue Oct 25 17:56:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
forceSensor capture graph triggers (red) better line 
 src/gui/app1/forceSensor.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Tue Oct 25 17:41:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensorExercise dialog wider to accomadate correctly the both modes label 
 glade/force_sensor_exercise.glade | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon Oct 24 21:26:41 2022 +0000 Zurab Kargareteli <zuraxt@gmail.com>
Update Georgian translation 
 po/ka.po | 2923 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1521 insertions(+), 1402 deletions(-)

Sun Oct 23 08:59:23 2022 +0000 Мирослав Николић <miroslavnikolic@rocketmail.com>
Update Serbian translation 
 po/sr.po | 2594 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1376 insertions(+), 1218 deletions(-)

Fri Oct 21 14:43:29 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 68 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

Fri Oct 21 14:10:47 2022 +0000 Federico Perego <perego.f59@gmail.com>
Update Italian translation 
 po/it.po | 4062 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2173 insertions(+), 1889 deletions(-)

Fri Oct 21 12:12:00 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Changed one translatable string 
 src/exportFiles/exportFiles.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Fri Oct 21 11:44:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer: when test is shorter than configured distance now on analyze it displays more graphically 
 r-scripts/sprintEncoder.R | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

Fri Oct 21 11:33:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on RaceAnalyzer analyze graph when capture was too short on new code 
 src/gui/app1/runEncoder.cs | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Thu Oct 20 14:03:46 2022 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>
Updated Spanish translation 
 po/es.po | 3112 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1632 insertions(+), 1480 deletions(-)

Wed Oct 19 16:56:33 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 64 +++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 45 insertions(+), 19 deletions(-)

Wed Oct 19 16:16:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added persons merge strings 
 src/gui/person/addModify.cs | 8 ++++++++
 1 file changed, 8 insertions(+)

Tue Oct 18 18:49:58 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1370 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 678 insertions(+), 692 deletions(-)

Tue Oct 18 19:36:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder analyzer: Final improvements to Load - Speed (with M0) 
 encoder/graph.R         | 10 +++++-----
 src/gui/app1/encoder.cs |  7 +++----
 2 files changed, 8 insertions(+), 9 deletions(-)

Tue Oct 18 06:36:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better icons for modes jump/run 
 images/md/jump_blue_2x.png    | Bin 8945 -> 9035 bytes
 images/md/run_mov_blue_2x.png | Bin 8199 -> 8559 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

Tue Oct 18 06:28:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Mode Weight (encoder) icons show a line of encoder instead of up/down arrows 
 images/md/weight.png        | Bin 2650 -> 6504 bytes
 images/md/weight_mov_2x.png | Bin 8607 -> 8681 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

Tue Oct 18 06:10:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed unused image: weight_yellow.png 
 images/md/weight_yellow.png | Bin 3739 -> 0 bytes
 src/Makefile.am             |   1 -
 2 files changed, 1 deletion(-)

Tue Oct 18 06:06:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder Analyzer: Load-Speed graph show momentum. TODO: change graph name? 
 encoder/graph.R | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

Tue Oct 18 05:47:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed unneded translations from some glade files 
 glade/app1.glade                     | 54 ++++++++++++++++++++++--------------
 glade/edit_event.glade               | 48 ++++++++++++++++----------------
 glade/person_multiple_infinite.glade |  8 +++---
 glade/preferences_win.glade          |  6 ++--
 glade/run_type_add.glade             | 14 +++++-----
 src/tagSession.cs                    |  2 +-
 6 files changed, 72 insertions(+), 60 deletions(-)

Mon Oct 17 13:59:45 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 237 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 121 insertions(+), 116 deletions(-)

Mon Oct 17 15:46:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder Analyzer: Implemented Load-Speed graph with L0, V0 
 encoder/graph.R         | 27 +++++++++++++++++++++++----
 src/gui/app1/encoder.cs | 13 ++++++++++---
 2 files changed, 33 insertions(+), 7 deletions(-)

Sun Oct 16 14:00:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Person show all events now uses Sqlite.SelectAllSessionsTestsCount. NEED TESTING! 
 src/gui/person/showAllEvents.cs | 67 +++++++++++++++++++++++++++++++++--------
 src/sqlite/person.cs            |  4 +++
 src/sqlite/session.cs           | 62 +++++++++++++++++++++++++++++++++-----
 3 files changed, 113 insertions(+), 20 deletions(-)

Sun Oct 16 13:51:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Implemented UtilGtk.DateColumnCompare 
 src/utilGtk.cs | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

Sun Oct 16 11:54:22 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Select all personEvents forceSensor separated isometric/elastic 
 src/gui/person/showAllEvents.cs |  9 ++++----
 src/sqlite/person.cs            | 50 ++++++++++++++++++++++++++++++++---------
 2 files changed, 44 insertions(+), 15 deletions(-)

Sat Oct 15 23:14:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
person_show_all_event win more width and height 
 glade/person_show_all_events.glade | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Sat Oct 15 23:07:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 src/gui/app1/chronojumpPersons.cs | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Sat Oct 15 23:05:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
show_all_person_events can be called without currentPerson 
 glade/app1.glade | 64 +++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 49 insertions(+), 15 deletions(-)

Fri Oct 14 14:51:33 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1396 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 696 insertions(+), 700 deletions(-)

Thu Oct 13 17:50:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Disallow to change session while personSelectWindow is active 
 src/gui/app1/chronojumpPersons.cs | 6 ++++++
 1 file changed, 6 insertions(+)

Thu Oct 13 17:41:28 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fix to last commit 
 src/gui/app1/menu.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Oct 13 17:39:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commits 
 glade/app1.glade          |  2 +-
 src/gui/app1/menu.cs      | 10 ++++++++++
 src/gui/app1/menu_tiny.cs |  1 +
 3 files changed, 12 insertions(+), 1 deletion(-)

Thu Oct 13 17:17:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commits 
 glade/app1.glade | 184 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 118 insertions(+), 66 deletions(-)

Thu Oct 13 12:07:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 src/gui/exhibition.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Oct 13 12:06:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Persons management moved to the center of the screen 
 glade/app1.glade                  | 1484 +++++++++++++++++++++----------------
 src/gui/app1/chronojump.cs        |   11 +-
 src/gui/app1/chronojumpPersons.cs |    2 -
 src/gui/app1/icons.cs             |    1 +
 src/gui/app1/menu.cs              |   62 +-
 5 files changed, 885 insertions(+), 675 deletions(-)

Tue Oct 11 18:29:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed no encoder capture sound since encoder cairo bars 
 src/gui/eventExecute.cs | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

Tue Oct 11 18:00:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor does not crash on forces higher than 5000N (impossible) and bigger than int (like : -500000000) 
 src/gui/app1/forceSensor.cs | 9 +++++++++
 1 file changed, 9 insertions(+)

Tue Oct 11 17:32:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Autodetect devices cuts verylong device code with elipsis on the middle 
 src/gui/chronopicRegister.cs |  3 ++-
 src/util.cs                  | 11 +++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

Tue Oct 11 13:26:51 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 264 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 136 insertions(+), 128 deletions(-)

Tue Oct 11 13:06:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor maximumIsometric.R Fixed and commented experimental avg error on RFD calculation from 0 to 50 ms 
 r-scripts/maximumIsometricForce.R | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Tue Oct 11 12:34:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder cross analysis combo options more clear (changed / to -) 
 src/gui/app1/encoder.cs | 47 +++++++++++++++++++++++++++--------------------
 1 file changed, 27 insertions(+), 20 deletions(-)

Mon Oct 10 16:15:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Continuation of last commit 
 src/gui/app1/session/export.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Mon Oct 10 11:36:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
exporting to a temp folder, and then copying to be able to compress without having chronojump.db being used on windows 
 src/gui/app1/session/export.cs | 26 ++++++++++++++++++++++++--
 src/sqlite/main.cs             | 12 ++++++++++++
 src/sqlite/session.cs          |  5 +++++
 3 files changed, 41 insertions(+), 2 deletions(-)

Mon Oct 10 11:32:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
new CopyFilesRecursively for export (without the gui updates of backup) 
 src/util.cs | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

Wed Oct 5 16:42:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash on runsEvolution since recent commits 
 src/jumpsRunsEvolution.cs | 1 +
 1 file changed, 1 insertion(+)

Tue Oct 4 15:10:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Close session before compress (to not have chronojump.db busy (and not compressed) on windows) 
 src/gui/app1/session/export.cs | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

Tue Oct 4 14:23:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed Import compressed -o (was failing on Windows) 
 src/gui/app1/session/loadAndImport.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Oct 4 11:44:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Clear force sensor icons 
 images/md/elastic.png            | Bin 1055 -> 1093 bytes
 images/md/elastic_2x.png         | Bin 2024 -> 2083 bytes
 images/md/isometric.png          | Bin 1282 -> 757 bytes
 images/md/isometric_2x.png       | Bin 1282 -> 1343 bytes
 images/svg/force_sensor_icon.svg |  30 +++++++++++++++---------------
 5 files changed, 15 insertions(+), 15 deletions(-)

Tue Oct 4 11:28:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Many internal names of encoder images reduced to allow compilation on windows 
 src/Makefile.am            | 60 +++++++++++++++++++++++-----------------------
 src/constants.cs           | 54 ++++++++++++++++++++---------------------
 src/gui/app1/chronojump.cs |  6 ++---
 3 files changed, 60 insertions(+), 60 deletions(-)

Mon Oct 3 16:09:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed unused images 
 images/md/arrow_forward_red.png          | Bin 3118 -> 0 bytes
 images/md/cached_blue_2x.png             | Bin 831 -> 0 bytes
 images/md/cancel_blue_1x.png             | Bin 492 -> 0 bytes
 images/md/delete_blue.png                | Bin 298 -> 0 bytes
 images/md/gravity_1x.png                 | Bin 2580 -> 0 bytes
 images/md/gravity_1x_yellow.png          | Bin 3280 -> 0 bytes
 images/md/insert_chart_blue_2x.png       | Bin 337 -> 0 bytes
 images/md/jump_reactive_yellow_1x.png    | Bin 6978 -> 0 bytes
 images/md/jump_simple_yellow_1x.png      | Bin 7649 -> 0 bytes
 images/md/jump_time.png                  | Bin 6488 -> 0 bytes
 images/md/p_blue_2x.png                  | Bin 544 -> 0 bytes
 images/md/power_settings_new_blue_1x.png | Bin 484 -> 0 bytes
 images/md/select_blue_2x.png             | Bin 1056 -> 0 bytes
 images/md/weight_2x.png                  | Bin 5489 -> 0 bytes
 14 files changed, 0 insertions(+), 0 deletions(-)

Mon Oct 3 15:21:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Shortened all images/md/ic_ pngs 
 images/md/{ic_add_blue_1x.png => add_blue_1x.png}  | Bin
 ...d_circle_blue_1x.png => add_circle_blue_1x.png} | Bin
 ...usive_blue_1x.png => all_inclusive_blue_1x.png} | Bin
 ...signment_blue_1x.png => assignment_blue_1x.png} | Bin
 .../md/{ic_audio_blue_1x.png => audio_blue_1x.png} | Bin
 ...ild_blue_16dp_1x.png => build_blue_16dp_1x.png} | Bin
 .../md/{ic_build_blue_1x.png => build_blue_1x.png} | Bin
 .../{ic_cached_blue_1x.png => cached_blue_1x.png}  | Bin
 .../{ic_cached_blue_2x.png => cached_blue_2x.png}  | Bin
 .../{ic_cancel_blue_1x.png => cancel_blue_1x.png}  | Bin
 .../md/{ic_cancel_red_1x.png => cancel_red_1x.png} | Bin
 .../md/{ic_close_blue_1x.png => close_blue_1x.png} | Bin
 .../md/{ic_close_blue_2x.png => close_blue_2x.png} | Bin
 .../md/{ic_close_red_1x.png => close_red_1x.png}   | Bin
 ...r_blue_1x.png => create_new_folder_blue_1x.png} | Bin
 ...r_blue_2x.png => create_new_folder_blue_2x.png} | Bin
 ...llow_1x.png => create_new_folder_yellow_1x.png} | Bin
 images/md/{ic_delete_blue.png => delete_blue.png}  | Bin
 .../{ic_delete_blue_1x.png => delete_blue_1x.png}  | Bin
 ...ard_blue_1x.png => developer_board_blue_1x.png} | Bin
 ...ard_blue_2x.png => developer_board_blue_2x.png} | Bin
 ...yellow_1x.png => developer_board_yellow_1x.png} | Bin
 .../md/{ic_edit_blue_1x.png => edit_blue_1x.png}   | Bin
 images/md/{ic_export_1x.png => export_1x.png}      | Bin
 .../md/{ic_face_blue_1x.png => face_blue_1x.png}   | Bin
 ...orward_blue_1x.png => fast_forward_blue_1x.png} | Bin
 ...nter_blue_1x.png => fitness_center_blue_1x.png} | Bin
 ..._check_blue_1x.png => folder_check_blue_1x.png} | Bin
 ...er_open_blue_1x.png => folder_open_blue_1x.png} | Bin
 ...er_open_blue_2x.png => folder_open_blue_2x.png} | Bin
 ...set_blue_1x.png => folder_open_set_blue_1x.png} | Bin
 ...pen_yellow_1x.png => folder_open_yellow_1x.png} | Bin
 ...xit_blue_1x.png => fullscreen_exit_blue_1x.png} | Bin
 images/md/{ic_gravity_1x.png => gravity_1x.png}    | Bin
 ...gravity_1x_yellow.png => gravity_1x_yellow.png} | Bin
 ...group_add_blue_1x.png => group_add_blue_1x.png} | Bin
 .../md/{ic_home_blue_1x.png => home_blue_1x.png}   | Bin
 images/md/{ic_import_1x.png => import_1x.png}      | Bin
 ...c_import_yellow_1x.png => import_yellow_1x.png} | Bin
 ...utline_blue_1x.png => info_outline_blue_1x.png} | Bin
 ..._chart_blue_1x.png => insert_chart_blue_1x.png} | Bin
 ..._chart_blue_2x.png => insert_chart_blue_2x.png} | Bin
 ...blue_1x.png => keyboard_arrow_down_blue_1x.png} | Bin
 ...p_blue_1x.png => keyboard_arrow_up_blue_1x.png} | Bin
 ...last_page_blue_1x.png => last_page_blue_1x.png} | Bin
 ...looks_one_blue_1x.png => looks_one_blue_1x.png} | Bin
 ...oks_zero_blue_1x.png => looks_zero_blue_1x.png} | Bin
 ...lue_1x.png => notifications_active_blue_1x.png} | Bin
 ...tions_blue_1x.png => notifications_blue_1x.png} | Bin
 ..._blue_1x.png => notifications_none_blue_1x.png} | Bin
 ...camera_blue_2x.png => photo_camera_blue_2x.png} | Bin
 ...ra_yellow_2x.png => photo_camera_yellow_2x.png} | Bin
 ..._blue_1x.png => power_settings_new_blue_1x.png} | Bin
 ...ew_red_1x.png => power_settings_new_red_1x.png} | Bin
 .../{ic_select_blue_2x.png => select_blue_2x.png}  | Bin
 .../{ic_select_blue_3x.png => select_blue_3x.png}  | Bin
 ...c_settings_blue_1x.png => settings_blue_1x.png} | Bin
 ...nspect_blue_1x.png => test_inspect_blue_1x.png} | Bin
 .../md/{ic_timer_blue_1x.png => timer_blue_1x.png} | Bin
 .../md/{ic_timer_blue_2x.png => timer_blue_2x.png} | Bin
 ...c_videocam_blue_1x.png => videocam_blue_1x.png} | Bin
 ...am_off_blue_1x.png => videocam_off_blue_1x.png} | Bin
 ...sibility_blue_1x.png => visibility_blue_1x.png} | Bin
 ...{ic_weekend_blue_1x.png => weekend_blue_1x.png} | Bin
 ...nactive_1x.png => weekend_blue_inactive_1x.png} | Bin
 ...weekend_yellow_1x.png => weekend_yellow_1x.png} | Bin
 src/Makefile.am                                    | 116 ++++++++++-----------
 67 files changed, 58 insertions(+), 58 deletions(-)

Mon Oct 3 13:25:36 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
shortened ic_jump_* icons 
 images/md/{ic_jump_blue_1x.png => jump_blue_1x.png}         | Bin
 images/md/{ic_jump_blue_2x.png => jump_blue_2x.png}         | Bin
 ..._jump_reactive_blue_1x.png => jump_reactive_blue_1x.png} | Bin
 ...p_reactive_yellow_1x.png => jump_reactive_yellow_1x.png} | Bin
 .../{ic_jump_simple_blue_1x.png => jump_simple_blue_1x.png} | Bin
 ..._jump_simple_yellow_1x.png => jump_simple_yellow_1x.png} | Bin
 src/Makefile.am                                             |   8 ++++----
 7 files changed, 4 insertions(+), 4 deletions(-)

Mon Oct 3 13:20:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Shortened images conical 
 ...tings_backup_restore_blue_1x.png => conical_blue_1x.png} | Bin
 ...tings_backup_restore_blue_2x.png => conical_blue_2x.png} | Bin
 ...up_restore_blue_2x_2col.png => conical_blue_2x_2col.png} | Bin
 ...s_backup_restore_yellow_1x.png => conical_yellow_1x.png} | Bin
 src/Makefile.am                                             |   8 ++++----
 5 files changed, 4 insertions(+), 4 deletions(-)

Mon Oct 3 10:35:23 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 254 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 132 insertions(+), 122 deletions(-)

Mon Oct 3 12:17:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed apps_6_* unused icons 
 images/md/apps_6_black.png            | Bin 906 -> 0 bytes
 images/md/apps_6_blue.png             | Bin 1895 -> 0 bytes
 images/md/apps_6_sep_blue.png         | Bin 4138 -> 0 bytes
 images/md/apps_6_sep_encoder_blue.png | Bin 4017 -> 0 bytes
 images/md/apps_6_sep_force_blue.png   | Bin 4144 -> 0 bytes
 images/md/apps_6_sep_jump_blue.png    | Bin 4331 -> 0 bytes
 images/md/apps_6_sep_other_blue.png   | Bin 4067 -> 0 bytes
 images/md/apps_6_sep_rt_blue.png      | Bin 3889 -> 0 bytes
 images/md/apps_6_sep_run_blue.png     | Bin 4036 -> 0 bytes
 9 files changed, 0 insertions(+), 0 deletions(-)

Mon Oct 3 11:50:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better icons for elastic 
 images/md/elastic.png            | Bin 2173 -> 1055 bytes
 images/md/elastic_2x.png         | Bin 2173 -> 2024 bytes
 images/svg/force_sensor_icon.svg |  16 ++++++++--------
 3 files changed, 8 insertions(+), 8 deletions(-)

Mon Oct 3 11:46:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Small icons for isometric/elastic on top 
 glade/app1.glade                 |  84 +++++++++++----------------------------
 images/md/elastic_2x.png         | Bin 0 -> 2173 bytes
 images/md/isometric_2x.png       | Bin 0 -> 1282 bytes
 images/svg/force_sensor_icon.svg |  26 ++++++------
 src/Makefile.am                  |   2 +
 src/constants.cs                 |   4 +-
 src/gui/app1/icons.cs            |   8 ++--
 7 files changed, 45 insertions(+), 79 deletions(-)

Mon Oct 3 11:37:50 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better icons for elastic and isometric 
 images/md/elastic.png            | Bin 15192 -> 2173 bytes
 images/md/isometric.png          | Bin 12031 -> 1282 bytes
 images/svg/force_sensor_icon.svg | 154 +++++++++++++++++++++++++++++++++------
 3 files changed, 130 insertions(+), 24 deletions(-)

Mon Oct 3 11:11:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Several improvements on discover window to show clearly the mode compatible 
 glade/app1.glade             | 138 ++++++++++++++++++++++++++++++++++---------
 src/constants.cs             |  25 ++++++++
 src/gui/app1/chronojump.cs   |  14 ++++-
 src/gui/app1/icons.cs        |   4 ++
 src/gui/chronopicRegister.cs |  19 ++++--
 5 files changed, 163 insertions(+), 37 deletions(-)

Mon Oct 3 11:07:03 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added devices icon yellow 
 images/md/ic_developer_board_yellow_1x.png | Bin 0 -> 7713 bytes
 src/Makefile.am                            |   1 +
 2 files changed, 1 insertion(+)

Fri Sep 30 17:13:39 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 532 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 266 insertions(+), 266 deletions(-)

Thu Sep 29 17:27:04 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
person showAllEvents session current/all now is a radio 
 glade/person_show_all_events.glade | 56 +++++++++++++++++++++++++++-------
 src/gui/person/showAllEvents.cs    | 61 ++++++++++++++++++++++----------------
 2 files changed, 81 insertions(+), 36 deletions(-)

Thu Sep 29 12:30:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
howto_new_version.txt updated with 7z on win/mac instructions 
 howto_new_version.txt | 8 ++++++++
 1 file changed, 8 insertions(+)

Thu Sep 29 12:28:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
show all tests of a person, allow to write the name (and show list of coinciding names) 
 glade/person_show_all_events.glade | 47 ++++++++++++++++++++++++--
 src/gui/person/showAllEvents.cs    | 69 ++++++++++++++++++++++++++++----------
 2 files changed, 95 insertions(+), 21 deletions(-)

Wed Sep 28 16:50:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
7zr on Windows UNTESTED 
 src/gui/app1/session/export.cs        |   4 +++-
 src/gui/app1/session/loadAndImport.cs |   4 +++-
 win32/deps/bin/7zr.exe                | Bin 0 -> 578048 bytes
 3 files changed, 6 insertions(+), 2 deletions(-)

Wed Sep 28 16:23:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
7z on mac UNTESTED 
 Makefile.am                           |   3 ++-
 binariesMac/7zz                       | Bin 0 -> 5161904 bytes
 binariesMac/Makefile.am               |   2 +-
 src/gui/app1/session/export.cs        |   7 ++++++-
 src/gui/app1/session/loadAndImport.cs |   6 +++++-
 5 files changed, 14 insertions(+), 4 deletions(-)

Wed Sep 28 16:07:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ffmpecBinariesMac renamed binariesMac 
 Makefile.am                                    |   4 ++--
 {ffmpegBinariesMac => binariesMac}/Makefile.am |   0
 {ffmpegBinariesMac => binariesMac}/ffmpeg      | Bin
 {ffmpegBinariesMac => binariesMac}/ffplay      | Bin
 configure.ac                                   |   2 +-
 howto_new_version.txt                          |   2 +-
 6 files changed, 4 insertions(+), 4 deletions(-)

Wed Sep 28 12:09:41 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 901 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 492 insertions(+), 409 deletions(-)

Tue Sep 27 19:01:11 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Sessions can be exported and imported compressed (7z) 
 src/gui/app1/session/export.cs        | 23 ++++++++++++++++++++++
 src/gui/app1/session/loadAndImport.cs | 37 ++++++++++++++++++++++++++++++++---
 src/util.cs                           | 16 +++++++++++++++
 3 files changed, 73 insertions(+), 3 deletions(-)

Tue Sep 27 16:56:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed gui bug: https://gitlab.gnome.org/GNOME/chronojump/-/issues/748 
 src/gui/app1/chronojump.cs | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Tue Sep 27 16:10:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jumpsAsymmetry graph can be saved 
 glade/app1.glade               |  1 +
 src/constants.cs               |  1 +
 src/gui/app1/encoder.cs        | 15 +++++++++++++++
 src/gui/app1/jumpsAsymmetry.cs | 24 ++++++++++++------------
 4 files changed, 29 insertions(+), 12 deletions(-)

Tue Sep 27 14:41:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jumpsAsymmetry implemented mean/max 
 glade/app1.glade                    | 80 +++++++++++++++++++++++++++++++------
 src/gui/app1/jumpsAsymmetry.cs      | 13 +++++-
 src/gui/cairo/jumpsRunsEvolution.cs |  3 +-
 src/jumpsAsymmetry.cs               |  8 +++-
 4 files changed, 88 insertions(+), 16 deletions(-)

Tue Sep 27 14:12:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jumpsAsymmetry graph manages errors of same jump or need data 
 src/constants.cs                    |  6 +++++-
 src/gui/app1/jumpsAsymmetry.cs      | 34 ++++++++++++++++++++++++----------
 src/gui/cairo/jumpsRunsEvolution.cs | 14 ++++++++++----
 src/gui/cairo/xy.cs                 |  1 +
 4 files changed, 40 insertions(+), 15 deletions(-)

Tue Sep 27 13:48:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
JumpsAsymmetry graph in heights, title at right and other improvements 
 po/POTFILES.in                      |  1 +
 src/gui/app1/jumpsAsymmetry.cs      | 27 ++++++++++++++++++++++---
 src/gui/cairo/jumpsRunsEvolution.cs | 39 +++++++++++++++++++++++++------------
 src/jumpsAsymmetry.cs               | 11 +++++------
 src/util.cs                         |  5 +++++
 5 files changed, 62 insertions(+), 21 deletions(-)

Tue Sep 27 12:41:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Ensure forceSensor tareBeforeCapture only applies when exercise is forceResultant 
 src/forceSensor.cs             | 20 ++++++++++++++++++--
 src/gui/app1/forceSensor.cs    | 12 ++++++------
 src/gui/forceSensorExercise.cs |  4 ++--
 src/sqlite/forceSensor.cs      |  4 ++--
 4 files changed, 28 insertions(+), 12 deletions(-)

Tue Sep 27 12:03:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added some translatable strings (forceSensor) 
 src/gui/app1/forceSensor.cs | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Tue Sep 27 12:02:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
forceSensor tare, calibrate have a countdown first 
 src/gui/app1/forceSensor.cs | 54 +++++++++++++++++++++++++++++++++------------
 1 file changed, 40 insertions(+), 14 deletions(-)

Fri Sep 23 19:23:33 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 990 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 502 insertions(+), 488 deletions(-)

Fri Sep 23 20:43:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
New feature: jumps asymmetry graph (bilateral & asymmetry) 90% done 
 glade/app1.glade                    | 409 +++++++++++++++++++++++++++++++++---
 src/Makefile.am                     |   2 +
 src/gui/app1/chronojump.cs          |  21 +-
 src/gui/app1/icons.cs               |   4 +
 src/gui/cairo/jumpsRunsEvolution.cs |  64 ++++++
 src/gui/chronojumpImporter.cs       |   1 +
 src/sqlite/jump.cs                  |  51 ++++-
 src/sqlite/main.cs                  |   1 +
 8 files changed, 522 insertions(+), 31 deletions(-)

Fri Sep 23 20:41:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/gui/app1/jumpsAsymmetry.cs     | 238 +++++++++++++++++++++++++++++++++++++
 src/gui/app1/jumpsRunsEvolution.cs |   2 +
 src/jumpsAsymmetry.cs              | 204 +++++++++++++++++++++++++++++++
 3 files changed, 444 insertions(+)

Fri Sep 23 20:36:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
cairo XY where x is datetime, on click show date in days instead of percentage of year 
 src/gui/cairo/jumpsRunsEvolution.cs   |  8 ++++++--
 src/gui/cairo/jumpsWeightFVProfile.cs |  2 +-
 src/gui/cairo/xy.cs                   | 34 +++++++++++++++++++++++++++-------
 src/jumpsRunsEvolution.cs             | 10 +++++++++-
 4 files changed, 43 insertions(+), 11 deletions(-)

Tue Sep 20 17:40:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB: 2.41 Tests without datetime: jump (db 1.81), jumpRj (db 1.81), run (db 2.13), runI (2.13) now have session date (and 00-00-01 time) 
 src/sqlite/main.cs | 85 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 84 insertions(+), 1 deletion(-)

Fri Sep 16 19:20:20 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 365 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 185 insertions(+), 180 deletions(-)

Tue Sep 13 17:00:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
JumpsRjFatigue cairo graph div by time. Done! 
 src/gui/app1/jumpsRjFatigue.cs  |   3 +-
 src/gui/cairo/jumpsRjFatigue.cs | 150 +++++++++++++++++++++++++++++-----------
 src/jump.cs                     |  11 +++
 src/jumpsRjFatigue.cs           |  17 +++--
 4 files changed, 134 insertions(+), 47 deletions(-)

Tue Sep 13 16:59:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Needed on previous commits 
 src/utilMath.cs | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

Tue Sep 13 13:41:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
moved r-scripts/forceSensorCSVFixCalibration.py to testing-stuff 
 {r-scripts => testing-stuff}/forceSensorCSVFixCalibration.py | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

Tue Sep 13 13:40:22 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed again python-r-scripts -> r-scripts 
 {python-r-scripts => r-scripts}/Makefile.am                 |   0
 .../accelerometer/accelerometria.R                          |   0
 .../accelerometer/captures/.~lock.180_graus.txt#            |   0
 .../accelerometer/captures/0.981m.csv                       |   0
 .../accelerometer/captures/old/180_graus.txt                |   0
 .../accelerometer/captures/old/calibra_x.txt                |   0
 .../accelerometer/captures/old/calibra_y.txt                |   0
 .../accelerometer/captures/old/calibra_z.txt                |   0
 .../accelerometer/captures/old/gir_y.csv                    |   0
 .../accelerometer/captures/old/gir_y.ods                    | Bin
 .../accelerometer/captures/old/lent.txt                     |   0
 .../accelerometer/captures/old/moderat.txt                  |   0
 .../accelerometer/captures/old/rapid.txt                    |   0
 {python-r-scripts => r-scripts}/chronojumpScholarGraph.R    |   0
 {python-r-scripts => r-scripts}/countPingsAtServer.txt      |   0
 {python-r-scripts => r-scripts}/forcePosition.R             |   0
 .../forceSensorCSVFixCalibration.py                         |   0
 {python-r-scripts => r-scripts}/maximumIsometricForce.R     |   0
 {python-r-scripts => r-scripts}/scripts-util.R              |   0
 {python-r-scripts => r-scripts}/sprintEncoder.R             |   0
 {python-r-scripts => r-scripts}/sprintPhotocells.R          |   0
 {python-r-scripts => r-scripts}/sprintRadar.R               |   0
 {python-r-scripts => r-scripts}/sprintUtil.R                |   0
 {python-r-scripts => r-scripts}/tests/Rubber-Band-clean.csv |   0
 {python-r-scripts => r-scripts}/tests/Rubber-Band-noisy.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-36-15.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-36-40.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-37-36.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-37-56.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-41-45.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-13-49.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-14-23.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-14-58.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-20-56.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-21-54.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-26-14.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-26-43.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-31-48.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-34-50.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-37-26.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-39-55.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-44-26.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-45-01.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-45-43.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-08-57.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-09-37.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-23-36.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-27-47.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-32-39.csv |   0
 .../forceOnset/data/295-Marc Gener-2020-01-30_19-30-59.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-47-47.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-48-25.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-49-29.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-11-59.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-12-36.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-18-49.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-19-19.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-19-39.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-25-26.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-25-44.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-34-15.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-39-16.csv  |   0
 {python-r-scripts => r-scripts}/tests/forceOnset/errors.csv |   0
 .../tests/forceOnset/testDirectory.R                        |   0
 .../tests/forcePosition/36_prova2_2017-11-24_12-17-30.csv   |   0
 .../tests/forcePosition/36_prova2_2020-02-07_12-17-44.csv   |   0
 .../36_prova2_2020-02-07_12-17-44_inici_con.csv             |   0
 .../tests/rubberCalibration/data/1.csv                      |   0
 .../tests/rubberCalibration/data/1.txt                      |   0
 .../tests/rubberCalibration/data/2.csv                      |   0
 .../tests/rubberCalibration/data/2.txt                      |   0
 .../tests/rubberCalibration/data/3.csv                      |   0
 .../tests/rubberCalibration/data/3.txt                      |   0
 .../tests/rubberCalibration/data/4.csv                      |   0
 .../tests/rubberCalibration/data/4.txt                      |   0
 .../tests/rubberCalibration/data/5.csv                      |   0
 .../tests/rubberCalibration/data/5.txt                      |   0
 .../tests/rubberCalibration/data/6.csv                      |   0
 .../tests/rubberCalibration/data/6.txt                      |   0
 .../tests/rubberCalibration/rubberCalibration.R             |   0
 .../tests/shortsLibrary/WorlChampionshipSplitTimes.csv      |   0
 .../tests/shortsLibrary/learningShorts.R                    |   0
 .../tests/shortsLibrary/validation.R                        |   0
 83 files changed, 0 insertions(+), 0 deletions(-)

Tue Sep 13 13:39:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed forceSensorCSVFixCalibration.py 
 python-r-scripts/forceSensorCSVFixCalibration.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Tue Sep 13 12:54:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added forceSensorCSVFixCalibration.py to fix forceSensor calibration on a dir 
 python-r-scripts/forceSensorCSVFixCalibration.py | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

Tue Sep 13 11:48:00 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
r-scripts renamed python-r-scripts 
 {r-scripts => python-r-scripts}/Makefile.am                 |   0
 .../accelerometer/accelerometria.R                          |   0
 .../accelerometer/captures/.~lock.180_graus.txt#            |   0
 .../accelerometer/captures/0.981m.csv                       |   0
 .../accelerometer/captures/old/180_graus.txt                |   0
 .../accelerometer/captures/old/calibra_x.txt                |   0
 .../accelerometer/captures/old/calibra_y.txt                |   0
 .../accelerometer/captures/old/calibra_z.txt                |   0
 .../accelerometer/captures/old/gir_y.csv                    |   0
 .../accelerometer/captures/old/gir_y.ods                    | Bin
 .../accelerometer/captures/old/lent.txt                     |   0
 .../accelerometer/captures/old/moderat.txt                  |   0
 .../accelerometer/captures/old/rapid.txt                    |   0
 {r-scripts => python-r-scripts}/chronojumpScholarGraph.R    |   0
 {r-scripts => python-r-scripts}/countPingsAtServer.txt      |   0
 {r-scripts => python-r-scripts}/forcePosition.R             |   0
 {r-scripts => python-r-scripts}/maximumIsometricForce.R     |   0
 {r-scripts => python-r-scripts}/scripts-util.R              |   9 ++++++---
 {r-scripts => python-r-scripts}/sprintEncoder.R             |   2 +-
 {r-scripts => python-r-scripts}/sprintPhotocells.R          |   0
 {r-scripts => python-r-scripts}/sprintRadar.R               |   0
 {r-scripts => python-r-scripts}/sprintUtil.R                |   0
 {r-scripts => python-r-scripts}/tests/Rubber-Band-clean.csv |   0
 {r-scripts => python-r-scripts}/tests/Rubber-Band-noisy.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-36-15.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-36-40.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-37-36.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-37-56.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_18-41-45.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-13-49.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-14-23.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-14-58.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-20-56.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-21-54.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-26-14.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-26-43.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-31-48.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-34-50.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-37-26.csv |   0
 .../forceOnset/data/293_Miro Vyboth_2020-01-30_19-39-55.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-44-26.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-45-01.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_18-45-43.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-08-57.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-09-37.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-23-36.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-27-47.csv |   0
 .../forceOnset/data/294_Matus Vyboh_2020-01-30_19-32-39.csv |   0
 .../forceOnset/data/295-Marc Gener-2020-01-30_19-30-59.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-47-47.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-48-25.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_18-49-29.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-11-59.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-12-36.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-18-49.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-19-19.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-19-39.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-25-26.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-25-44.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-34-15.csv  |   0
 .../forceOnset/data/295_Marc Gener_2020-01-30_19-39-16.csv  |   0
 {r-scripts => python-r-scripts}/tests/forceOnset/errors.csv |   0
 .../tests/forceOnset/testDirectory.R                        |   0
 .../tests/forcePosition/36_prova2_2017-11-24_12-17-30.csv   |   0
 .../tests/forcePosition/36_prova2_2020-02-07_12-17-44.csv   |   0
 .../36_prova2_2020-02-07_12-17-44_inici_con.csv             |   0
 .../tests/rubberCalibration/data/1.csv                      |   0
 .../tests/rubberCalibration/data/1.txt                      |   0
 .../tests/rubberCalibration/data/2.csv                      |   0
 .../tests/rubberCalibration/data/2.txt                      |   0
 .../tests/rubberCalibration/data/3.csv                      |   0
 .../tests/rubberCalibration/data/3.txt                      |   0
 .../tests/rubberCalibration/data/4.csv                      |   0
 .../tests/rubberCalibration/data/4.txt                      |   0
 .../tests/rubberCalibration/data/5.csv                      |   0
 .../tests/rubberCalibration/data/5.txt                      |   0
 .../tests/rubberCalibration/data/6.csv                      |   0
 .../tests/rubberCalibration/data/6.txt                      |   0
 .../tests/rubberCalibration/rubberCalibration.R             |   0
 .../tests/shortsLibrary/WorlChampionshipSplitTimes.csv      |   0
 .../tests/shortsLibrary/learningShorts.R                    |   0
 .../tests/shortsLibrary/validation.R                        |   0
 82 files changed, 7 insertions(+), 4 deletions(-)

Mon Sep 5 13:35:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networs: Fixed A50285BI can be used and remembered on Arduino RFID 
 src/chronopicRegister.cs | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

Fri Sep 2 17:21:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
JumpsRjFatigue cairo graph div by time instead of n jumps (TODO: need to count % of jump on each limit) 
 src/gui/app1/jumpsRjFatigue.cs  |  5 +--
 src/gui/cairo/jumpsRjFatigue.cs | 67 +++++++++++++++++++++++++++++++++++++----
 src/jump.cs                     | 37 ++++++++++++++++++++++-
 src/jumpsRjFatigue.cs           | 15 +++++++--
 4 files changed, 113 insertions(+), 11 deletions(-)

Thu Sep 1 17:39:04 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed treeview (two levels) update since today commits 
 src/treeview/event.cs | 47 ++++++++++++++++++++++++++++-------------------
 1 file changed, 28 insertions(+), 19 deletions(-)

Thu Sep 1 14:21:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
commented unneded params on jumps execute 
 src/execute/jump.cs        | 13 +++++++------
 src/gui/app1/chronojump.cs |  6 ++++--
 2 files changed, 11 insertions(+), 8 deletions(-)

Thu Sep 1 14:20:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At run simple end (write) do not prepare graph to avoid have two data readers if graph is updated by the main gui 
 src/execute/run.cs         | 7 +++++++
 src/gui/app1/chronojump.cs | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

Thu Sep 1 14:19:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At jumps end (write) do not prepare graph to avoid have two data readers if graph is updated by the main gui 
 src/execute/jump.cs        | 7 +++++++
 src/gui/app1/chronojump.cs | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

Thu Sep 1 13:15:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jump [w/W]eight now called [w/W]eightPercent to avoid mistakes with weight in Kg 
 src/gui/jump.cs             |  8 ++++----
 src/jump.cs                 | 30 +++++++++++++++---------------
 src/jumpsWeightFVProfile.cs |  4 ++--
 src/sqlite/jump.cs          |  4 ++--
 src/treeview/jump.cs        | 22 +++++++++++-----------
 5 files changed, 34 insertions(+), 34 deletions(-)

Thu Sep 1 11:12:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networs jumps,RJ upload: power is correctly using extraWeightInKg instead of % 
 src/json/compujumpJumps.cs |  4 ++--
 src/jump.cs                | 17 +++++++++--------
 2 files changed, 11 insertions(+), 10 deletions(-)

Thu Sep 1 11:10:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks jumps weightInKg is uploaded 
 src/json/compujump.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Thu Sep 1 11:09:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
networks jumps upload: Stiffness avg of some rows is corretcly calculated 
 src/json/compujumpJumps.cs | 11 +++++++++--
 src/jump.cs                | 26 ++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 2 deletions(-)

Wed Aug 31 17:59:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Editing a runI updates both barplots 
 src/gui/app1/chronojump.cs | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

Wed Aug 31 17:45:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
runI distanceInterval can be changed on edit test (except agility, fixed and rsa) 
 src/gui/app1/chronojump.cs  |  8 ++++--
 src/gui/event.cs            | 24 ++++++++++++++--
 src/gui/person/addModify.cs |  2 +-
 src/gui/run.cs              | 67 +++++++++++++++++++++++++++++++++++++++------
 src/sqlite/run.cs           |  6 ++--
 src/sqlite/runInterval.cs   |  4 ++-
 6 files changed, 91 insertions(+), 20 deletions(-)

Wed Aug 31 17:43:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/util.cs | 9 +++++++++
 1 file changed, 9 insertions(+)

Wed Aug 31 17:37:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DistancesStringAsMeters manages correctly RSA 
 src/runType.cs | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Wed Aug 31 17:31:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
TreeViewEvent.Update () now updates also two level events (jumpRj, runI) 
 src/treeview/event.cs | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

Wed Aug 31 14:04:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At Util better code for overloaded ConvertToPoint and GetSpeed 
 src/util.cs | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

Wed Aug 31 14:03:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SelectRunITypes RunIntervalTypeDistances renamed RunIntervalTypeDistancesString 
 src/exportFiles/sprint.cs   | 2 +-
 src/gui/run.cs              | 2 +-
 src/gui/sprint.cs           | 2 +-
 src/sqlite/usefulObjects.cs | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

Wed Aug 31 13:59:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
treeview printTotal/AVG/SD calls: removed unneded param 
 src/treeview/event.cs          | 18 +++++++++++-------
 src/treeview/jump.cs           |  8 +++++---
 src/treeview/multiChronopic.cs | 10 ++++++----
 src/treeview/pulse.cs          |  9 ++++++---
 src/treeview/run.cs            |  9 ++++++---
 5 files changed, 34 insertions(+), 20 deletions(-)

Tue Aug 30 13:05:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval edit showDistance, shows just the distance of each track (without the limited factor) 
 src/gui/run.cs | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Tue Aug 30 13:05:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/constants.cs | 8 ++++++++
 1 file changed, 8 insertions(+)

Tue Aug 30 13:02:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
GetLimitedRounded shows jumps, tracks or seconds instead of J,R,T (jumpsRj, runsI treeview, edit event, exportSession) 
 src/util.cs | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

Mon Aug 29 18:01:28 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change: add space on createTextForTextView gui/jump gui/run 
 src/gui/jump.cs | 4 ++--
 src/gui/run.cs  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

Mon Aug 29 17:44:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On a runInterval edit, if is an agility test show the distances in meters (instead of "-1x3R" show "5m 5m 10m") 
 src/gui/run.cs              | 27 ++++++++++++++++++++++-----
 src/runType.cs              |  8 +++++++-
 src/sqlite/usefulObjects.cs |  7 +++++++
 3 files changed, 36 insertions(+), 6 deletions(-)

Mon Aug 29 12:21:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed: 2.2.1 after the backups question (2nd boot), animated logo is not shown 
 src/gui/app1/session/backup.cs | 1 +
 1 file changed, 1 insertion(+)

Fri Aug 26 13:14:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jumps/jumpsRj exercise options with fall -10,-1,1,10 buttons 
 glade/app1.glade     | 231 ++++++++++++++++++++++++++++++++++++++++++++++-----
 src/gui/app1/jump.cs |  63 +++++++++++---
 2 files changed, 261 insertions(+), 33 deletions(-)

Fri Aug 26 12:54:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better code for last commit 
 glade/app1.glade     |  5 ++++-
 src/gui/app1/jump.cs | 10 ++--------
 2 files changed, 6 insertions(+), 9 deletions(-)

Fri Aug 26 12:44:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bug on showing always fall icon on rj exercise options since last commits 
 src/gui/app1/jump.cs | 1 +
 1 file changed, 1 insertion(+)

Fri Aug 26 12:38:25 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
JumpRj exercise option: allow finish after time moved at right of limited_by 
 glade/app1.glade | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

Fri Aug 26 12:33:22 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jumps interval exercise options with weight -10,-1,1,10 buttons 
 glade/app1.glade     | 231 ++++++++++++++++++++++++++++++++++++++-------------
 src/gui/app1/jump.cs |  61 +++++++++-----
 2 files changed, 215 insertions(+), 77 deletions(-)

Thu Aug 25 18:15:45 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jumps simple exercise options with weight -10,-1,1,10 buttons 
 glade/app1.glade     | 198 ++++++++++++++++++++++++++++++++++++++++-----------
 src/gui/app1/jump.cs |  33 ++++++++-
 2 files changed, 188 insertions(+), 43 deletions(-)

Thu Aug 25 17:09:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
icons for jump air/land shown while jumping 
 src/gui/app1/icons.cs | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Thu Aug 25 16:54:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
two new images: jump_air.png, jump_land.png 
 images/md/jump_air.png          | Bin 0 -> 1180 bytes
 images/md/jump_land.png         | Bin 0 -> 1141 bytes
 images/svg/chronojump-1.7.1.svg | 653 +++++++++++++++++++++++-----------------
 src/Makefile.am                 |   2 +
 4 files changed, 382 insertions(+), 273 deletions(-)

Thu Aug 25 14:17:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jump, JumpRj, run, runI execute status icons only called on their respective modes 
 src/execute/event.cs | 79 +++++++++++++++++++++++++++++-----------------------
 1 file changed, 44 insertions(+), 35 deletions(-)

Thu Aug 25 13:54:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jump, JumpRj shows icons for air/land while capturing 
 glade/app1.glade                          | 68 ++++++++++++++++++++-----
 src/Makefile.am                           |  2 +-
 src/execute/event.cs                      | 16 +++++-
 src/execute/jump.cs                       | 83 ++++++++++++++++++++++++++++---
 src/execute/{runObjects.cs => objects.cs} | 43 ++++++++++++++++
 src/gui/app1/chronojump.cs                |  2 +
 src/gui/app1/icons.cs                     |  8 +++
 7 files changed, 201 insertions(+), 21 deletions(-)

Thu Aug 25 12:12:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks: Multiple jumps upload correctly 
 src/execute/jump.cs        | 67 +++++++++++++++++++++++++++++++---------------
 src/gui/app1/chronojump.cs | 11 +++++---
 src/json/compujump.cs      | 35 +++++++++++++++---------
 src/json/compujumpJumps.cs | 62 +++++++++++++++++++++++++++++-------------
 src/jump.cs                | 31 +++++++++++++++++++++
 src/treeview/jump.cs       |  9 +++++++
 6 files changed, 161 insertions(+), 54 deletions(-)

Thu Aug 25 12:09:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Create jumpRj type sets also the UniqueID 
 src/sqlite/jumpType.cs | 1 +
 1 file changed, 1 insertion(+)

Wed Aug 24 16:54:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks: on downloading jumps,jumpsRj updates all needed combos just once 
 src/gui/networks.cs | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

Wed Aug 24 11:48:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jumpRj top & options, icons mass and fall 
 glade/app1.glade                 | 66 ++++++++++++++++++++++++++++++++++++++--
 src/gui/app1/contactsExercise.cs |  8 +++--
 src/gui/app1/icons.cs            |  2 ++
 src/gui/app1/jump.cs             |  3 ++
 4 files changed, 74 insertions(+), 5 deletions(-)

Wed Aug 24 11:39:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Extra mass icon shown on jumps simple (top and exercise options) 
 glade/app1.glade                 | 24 ++++++++++++++++++++++++
 src/gui/app1/contactsExercise.cs |  4 +++-
 src/gui/app1/icons.cs            |  1 +
 3 files changed, 28 insertions(+), 1 deletion(-)

Wed Aug 24 11:30:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
fall icon on jumps fall exercise options 
 glade/app1.glade      | 51 ++++++++++++++++++++++++++++++++++++---------------
 src/gui/app1/icons.cs |  2 ++
 src/gui/app1/jump.cs  |  1 +
 3 files changed, 39 insertions(+), 15 deletions(-)

Tue Aug 23 18:34:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Contacts top divides label_contacts_exercise_selected_options on 3 labels and 3 images. Fall on jump simple implemented. 
 glade/app1.glade                 | 133 ++++++++++++++++++++++++++++++++++-----
 images/md/fall.png               | Bin 0 -> 5783 bytes
 src/Makefile.am                  |   1 +
 src/gui/app1/chronojump.cs       |  14 ++---
 src/gui/app1/contactsExercise.cs | 122 +++++++++++++++++++++++++++--------
 5 files changed, 222 insertions(+), 48 deletions(-)

Tue Aug 23 17:30:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jumps HasFall works different on Networks 
 src/gui/app1/chronojump.cs       | 11 ++++++-----
 src/gui/app1/contactsExercise.cs |  4 ++--
 src/gui/app1/jump.cs             | 10 +++++-----
 src/jumpType.cs                  | 24 +++++++++++-------------
 4 files changed, 24 insertions(+), 25 deletions(-)

Tue Aug 23 17:21:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Treeview jump shows stiffness with few decimals 
 src/treeview/jump.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Aug 23 14:48:48 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1352 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 679 insertions(+), 673 deletions(-)

Tue Aug 23 16:25:05 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks: Simple jumps upload correctly 
 src/execute/event.cs       |  9 +++++++-
 src/execute/jump.cs        | 48 +++++++++++++++++++++++++++++++++++-----
 src/gui/app1/chronojump.cs | 11 ++++++----
 src/gui/app1/jump.cs       | 12 ++++++----
 src/json/compujump.cs      | 55 ++++++++++++++++++++++++++++++++++++++++++++++
 src/json/compujumpJumps.cs | 45 +++++++++++++++++++++++++++++++++++++
 6 files changed, 165 insertions(+), 15 deletions(-)

Tue Aug 23 16:14:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Create jump type sets also the UniqueID 
 src/eventType.cs       | 3 ++-
 src/sqlite/jumpType.cs | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

Tue Aug 23 12:38:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks: don't allow to press guest button while connection is being done 
 src/gui/networks.cs | 4 ++++
 1 file changed, 4 insertions(+)

Tue Aug 23 12:26:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On networks when wristband is detected a Read/connecting message is shown and then connection is done 
 src/gui/networks.cs | 46 ++++++++++++++++++++++++++++------------------
 1 file changed, 28 insertions(+), 18 deletions(-)

Fri Aug 5 19:40:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Improved information on missing msvcr100.dll on windows 
 howto_new_version.txt     | 14 ++++++++++++--
 src/chronojumpImporter.cs |  4 ++++
 2 files changed, 16 insertions(+), 2 deletions(-)

Fri Aug 5 12:03:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer load sets where min accel is not reached shows a message 
 src/gui/app1/runEncoder.cs    |  3 +++
 src/gui/cairo/raceAnalyzer.cs | 23 +++++++++++++++++++++++
 2 files changed, 26 insertions(+)

Fri Aug 5 11:51:45 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed: networks rj top combo is shown but at simple jumps mode, because on boot CompujumpStationMode=JUMPSSIMPLE 
 src/gui/app1/chronojump.cs | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

Fri Aug 5 11:46:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixes on not chronopic found on networks at capture since detect devices code 
 src/gui/app1/chronojump.cs | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Fri Aug 5 11:03:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks can download an infinite jumpRj type 
 src/json/compujumpJumps.cs | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

Fri Aug 5 10:55:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks sprint is uploaded only if upload button on contacts is active 
 src/gui/app1/chronojump.cs | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

Fri Aug 5 10:55:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
on networks as device detect is not used, mark one compatible as selected 
 src/gui/app1/chronojump.cs | 4 ++++
 1 file changed, 4 insertions(+)

Thu Aug 4 19:34:30 2022 +0200 xpadulles <x.padulles@gmail.com>
Added error of the model/raw RFD. Hardcoded at 50ms 
 r-scripts/maximumIsometricForce.R | 98 +++++++++++++++++++++++++--------------
 1 file changed, 64 insertions(+), 34 deletions(-)

Thu Aug 4 17:39:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Networks contacts with Guest mode 
 glade/app1.glade          | 65 +++++++++++++++++++++++++++++++++++++----------
 src/gui/app1/menu_tiny.cs |  2 ++
 src/gui/networks.cs       | 56 +++++++++++++++++++++++++++++++++++++---
 3 files changed, 105 insertions(+), 18 deletions(-)

Thu Aug 4 16:36:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Done: check_contacts_networks_upload 
 glade/app1.glade    | 54 +++++++++++++++++++++++++++++++++++++++--------------
 src/gui/networks.cs |  7 +++++++
 2 files changed, 47 insertions(+), 14 deletions(-)

Thu Aug 4 15:46:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
maximumIsometricForce.R at BEST_AVG_RFD_IN_X_MS stop calculating when currentSample + window is greater than endSample 
 r-scripts/maximumIsometricForce.R | 4 ++++
 1 file changed, 4 insertions(+)

Thu Aug 4 13:27:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
GetPower GetDjPower moved from util.cs to jump.cs 
 src/exportSession.cs |  4 ++--
 src/jump.cs          | 37 ++++++++++++++++++++++++++++++++++++-
 src/treeview/jump.cs | 12 ++++++------
 src/util.cs          | 36 ------------------------------------
 4 files changed, 44 insertions(+), 45 deletions(-)

Thu Aug 4 12:58:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
cont of last commit 
 src/jump.cs          | 6 ++++++
 src/treeview/jump.cs | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

Thu Aug 4 12:37:22 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
GetInitialSpeed moved from util.cs to jumps.cs 
 src/exportSession.cs |  6 +++---
 src/jump.cs          | 21 ++++++++++++++++++++-
 src/treeview/jump.cs |  6 +++---
 src/util.cs          | 20 --------------------
 4 files changed, 26 insertions(+), 27 deletions(-)

Wed Aug 3 13:40:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Can download jumpType, jumpRjType from networks (pending rj unlimited) 
 src/Makefile.am              |   1 +
 src/eventType.cs             |   5 ++
 src/gui/eventExecute.cs      |   5 +-
 src/gui/networks.cs          |  69 +++++++++++++++++++++--
 src/json/compujump.cs        |  99 +++++---------------------------
 src/json/compujumpEncoder.cs | 107 +++++++++++++++++++++++++++++++++++
 src/json/compujumpJumps.cs   | 131 +++++++++++++++++++++++++++++++++++++++++++
 src/sqlite/jumpType.cs       |  42 ++++++++++----
 src/sqlite/usefulObjects.cs  |  15 ++++-
 9 files changed, 372 insertions(+), 102 deletions(-)

Wed Aug 3 12:05:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
maximumIsometricForce.R export, exports also mean error % 
 r-scripts/maximumIsometricForce.R | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Tue Aug 2 18:21:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed 4 tooltips on preferences/force analyze 
 glade/preferences_win.glade | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

Tue Aug 2 14:56:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixes to not crash if no jump types 
 src/gui/app1/chronojump.cs | 5 +++--
 src/gui/app1/jump.cs       | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

Tue Aug 2 14:54:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
AddArrayString moved from util.cs to utilAll.cs 
 src/util.cs    | 16 ++++------------
 src/utilAll.cs | 14 ++++++++++++++
 2 files changed, 18 insertions(+), 12 deletions(-)

Tue Aug 2 12:05:11 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
"Select at least one" message (show graph/table) is shown in bold 
 glade/app1.glade           | 34 +++++++++++++++++++++-------------
 src/gui/app1/chronojump.cs |  5 +++++
 2 files changed, 26 insertions(+), 13 deletions(-)

Tue Aug 2 11:54:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated howto_git.odt with stable/testing info 
 howto_git.odt | Bin 14465 -> 14713 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Fri Jul 29 14:06:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated howto_new_version.txt with new ffmpeg files location for mac 
 howto_new_version.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Fri Jul 29 13:32:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on commit: RaceAnalyzer analyze current set, shows date/time columns on treeview and can export them 
 src/gui/app1/runEncoderAnalyze.cs | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Fri Jul 29 11:30:43 2022 +0000 Xavier de Blas <xaviblas@gmail.com>
Merge branch 'Doomsdayrs-master-patch-59440' into 'master' 
Fri Jul 29 13:21:05 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer analyze current set, shows date/time columns on treeview and can export them 
 src/gui/app1/runEncoder.cs | 64 ++++++++++++++++++++++++++++++++++------------
 src/runEncoder.cs          | 17 +++++++++---
 src/util.cs                | 18 +++++++++++--
 3 files changed, 78 insertions(+), 21 deletions(-)

Thu Jul 28 17:14:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer can analyze/export non-sprints 
 r-scripts/sprintEncoder.R    | 390 ++++++++++++++++++++++++++++---------------
 r-scripts/sprintPhotocells.R |   5 +-
 r-scripts/sprintUtil.R       | 119 ++++++++++---
 src/gui/app1/runEncoder.cs   |  12 +-
 src/runEncoder.cs            |  21 ++-
 5 files changed, 375 insertions(+), 172 deletions(-)

Thu Jul 28 16:51:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer gui allows to analyze in all modes also non-sprints (previously only sprints) 
 src/exportFiles/re.cs             | 8 +-------
 src/gui/app1/runEncoderAnalyze.cs | 6 ------
 2 files changed, 1 insertion(+), 13 deletions(-)

Thu Jul 28 16:47:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on load last mode from start since isometric/elastic separation 
 src/gui/app1/chronojump.cs | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Thu Jul 28 15:50:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer save table analyze current set table to csv headers having \n now have space before the \n was supressed 
 src/gui/app1/runEncoderAnalyze.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Jul 27 15:34:15 2022 +0000 Zurab Kargareteli <zuraxt@gmail.com>
Update Georgian translation 
 po/ka.po | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

Wed Jul 27 07:24:46 2022 +0000 Zurab Kargareteli <zuraxt@gmail.com>
Add Georgian translation 
 po/LINGUAS |     1 +
 po/ka.po   | 11092 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 11093 insertions(+)

Tue Jul 26 19:42:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer capture tab graph bars data is smoothed according to smooth controls 
 src/gui/app1/runEncoder.cs    | 14 ++++++-
 src/gui/cairo/raceAnalyzer.cs |  2 +-
 src/runEncoder.cs             | 92 ++++++++++++++++++++++++++++++++++++++++---
 src/utilMath.cs               |  9 +++++
 4 files changed, 108 insertions(+), 9 deletions(-)

Tue Jul 26 16:56:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
raceAnalyzer sprint max speed line is drawn according to smoothing 
 src/gui/cairo/raceAnalyzer.cs | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

Tue Jul 26 16:42:11 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer capture tab graph bars start at >= minAccel, and fixed bars y proportion and other improvements 
 src/gui/cairo/raceAnalyzer.cs | 21 +++++-----
 src/runEncoder.cs             | 96 ++++++++++++++++++++++++++++++++++---------
 src/utilMath.cs               | 15 +++++--
 3 files changed, 98 insertions(+), 34 deletions(-)

Tue Jul 26 13:55:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
drawCircle method on gui/cairo/xy.cs 
 src/gui/cairo/raceAnalyzer.cs | 6 +-----
 src/gui/cairo/xy.cs           | 8 ++++++++
 2 files changed, 9 insertions(+), 5 deletions(-)

Tue Jul 26 13:28:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer capture graph show a>= line from top to down and discontinuous 
 src/gui/cairo/raceAnalyzer.cs | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Wed Jul 20 09:37:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better message on SprintEncoder analyze when no enough accel or no sprint 
 r-scripts/sprintEncoder.R | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Wed Jul 20 09:32:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed RaceAnalyzer: at capture: fix return on sprintEncoder.R (at least on analyze) 
 r-scripts/sprintEncoder.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon Jul 18 13:43:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover device close (without use this) shows big device button 
 src/gui/app1/chronojump.cs | 3 +++
 1 file changed, 3 insertions(+)

Mon Jul 18 11:59:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At mode change (also at start), if ! device selected, will select any compatible (using NumConnectedOfType) 
 src/chronopicRegister.cs   | 48 ++++++++++++++++++++++++++++++++++++++++++++++
 src/gui/app1/chronojump.cs |  6 +++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

Sat Jul 16 05:51:03 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 226 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 122 insertions(+), 104 deletions(-)

Thu Jul 14 20:06:58 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
better message for elastic buttons on main gui (when projection of exerted force (eg. not raw)) 
 glade/app1.glade | 57 ++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 45 insertions(+), 12 deletions(-)

Thu Jul 14 20:02:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor don't show elastic/not elastic test image or text at top 
 src/gui/app1/chronojump.cs       | 15 +--------------
 src/gui/app1/contactsExercise.cs |  2 +-
 src/gui/app1/forceSensor.cs      | 13 +------------
 3 files changed, 3 insertions(+), 27 deletions(-)

Thu Jul 14 19:29:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensorExercise elastic as type managed on forceSensorExercise window 
 glade/app1.glade                  |  18 ++++++
 glade/force_sensor_exercise.glade | 117 ++++++++++++++++++++++++++++++++++----
 src/gui/forceSensorExercise.cs    |  83 +++++++++++++++++----------
 3 files changed, 179 insertions(+), 39 deletions(-)

Thu Jul 14 19:28:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB: 2.40 ForceSensor exercises raw are now both (isometric & elastic) because there was a bug creating raw exercises (elastic was not asked and was assigned true) and we don't know where to put them. 
 src/sqlite/forceSensor.cs | 13 +++++++++++++
 src/sqlite/main.cs        | 11 ++++++++++-
 2 files changed, 23 insertions(+), 1 deletion(-)

Thu Jul 14 19:27:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SqliteForceSensorExercise methods converted to elastic as type 
 src/sqlite/forceSensor.cs | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

Thu Jul 14 19:26:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor elastic bool converted to type { ISOMETRIC, ELASTIC, BOTH (-1)} 
 src/forceSensor.cs | 53 ++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 38 insertions(+), 15 deletions(-)

Thu Jul 14 13:33:34 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 128 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 68 insertions(+), 60 deletions(-)

Thu Jul 14 12:51:08 2022 +0200 xpadulles <x.padulles@gmail.com>
Force censor v0.5 at 115200 bps 
 arduino/ForceSensor/ForceSensor-0.5/ForceSensor-0.5.ino | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Thu Jul 14 12:32:36 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed forceSensorExercise tabs next/prev since isometric/elastic separation 
 glade/force_sensor_exercise.glade |  8 ++++----
 src/gui/forceSensorExercise.cs    | 28 +++++++++++++++++++---------
 2 files changed, 23 insertions(+), 13 deletions(-)

Thu Jul 14 12:07:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensorExercise explantion/examples differentiate isometric/elastic 
 src/gui/forceSensorExercise.cs | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

Thu Jul 14 11:56:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fix to on Spanish translated string 
 po/es.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Jul 13 10:23:09 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 172 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 92 insertions(+), 80 deletions(-)

Wed Jul 13 12:09:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Forcesensor exercise edit/add show subtitle isometric/elastic 
 src/gui/app1/forceSensor.cs | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

Wed Jul 13 12:04:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SqliteForceSensorExercise.Select (selecting by elastic does not use forceResultant) 
 src/sqlite/forceSensor.cs | 7 +++++++
 1 file changed, 7 insertions(+)

Wed Jul 13 11:39:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixes on separation of two force modes (related to exercises shown on combos) 
 src/gui/app1/chronojump.cs  |  6 ++++++
 src/gui/app1/forceSensor.cs | 19 ++++++++++++++++++-
 2 files changed, 24 insertions(+), 1 deletion(-)

Wed Jul 13 11:05:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
2.2.2 start page, more improvements 
 glade/app1.glade | 80 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

Wed Jul 13 10:50:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Do not show threshold button on WICHRO 
 src/gui/app1/chronojump.cs | 5 +++++
 1 file changed, 5 insertions(+)

Tue Jul 12 16:49:14 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 543 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 268 insertions(+), 275 deletions(-)

Tue Jul 12 16:57:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better aligns for races icons at start 
 glade/app1.glade           | 16 +++++++++++-----
 src/gui/app1/chronojump.cs |  7 ++++++-
 2 files changed, 17 insertions(+), 6 deletions(-)

Tue Jul 12 16:36:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better alignment for start page: race buttons 
 glade/app1.glade | 36 +++++++++++++++++++++++-------------
 1 file changed, 23 insertions(+), 13 deletions(-)

Tue Jul 12 16:17:51 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On button detect clicked, erase event_execute_label_message (eg. if showing no device is present) 
 src/gui/app1/chronojump.cs | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

Tue Jul 12 16:14:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On runEncoder cannot capture, show device big button 
 src/gui/app1/runEncoder.cs | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Tue Jul 12 16:13:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
if runEncoder cannot capture because usb is removed, it exists ok 
 src/gui/app1/runEncoder.cs | 9 +++++++++
 1 file changed, 9 insertions(+)

Tue Jul 12 16:12:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on encoder capture if currentRunEncoderExercise but not currentRunEncoder 
 src/gui/app1/runEncoder.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Jul 12 12:54:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added howto_news.txt 
 howto_news.txt     | 9 +++++++++
 src/sqlite/news.cs | 1 +
 2 files changed, 10 insertions(+)

Mon Jul 11 11:41:51 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

Mon Jul 11 11:48:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
If on encoder chronopic is disconnected, gui works as expected with new Detect big button 
 src/gui/app1/encoder.cs | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

Mon Jul 11 11:24:20 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Selected device on discover is usable in any compatible mode (2) 
 src/gui/app1/chronojump.cs | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

Mon Jul 11 11:21:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 src/execute/event.cs | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Thu Jun 30 13:32:50 2022 +0200 Daniel Mustieles <daniel.mustieles@gmail.com>
Updated Spanish translation 
 po/es.po | 4698 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2463 insertions(+), 2235 deletions(-)

Sat Jun 25 18:02:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Selected device on discover is usable in any compatible mode 
 src/chronopicRegister.cs | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

Fri Jun 24 15:55:48 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 2255 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1144 insertions(+), 1111 deletions(-)

Fri Jun 24 15:30:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Clean codeº 
 src/gui/app1/chronojump.cs | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

Fri Jun 24 15:29:25 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder detected on discover, widgets work correctly 
 glade/app1.glade              | 52 ++++++++++++++++++++++++++-----------------
 src/constants.cs              |  4 ++++
 src/execute/arduinoCapture.cs | 26 +++++++++++++++++++++-
 src/gui/app1/chronojump.cs    |  6 +++++
 src/gui/app1/encoder.cs       |  8 +++++++
 src/gui/chronopicRegister.cs  |  5 +++++
 src/gui/networks.cs           |  6 +++++
 7 files changed, 85 insertions(+), 22 deletions(-)

Fri Jun 24 08:35:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Gui for detect/capture buttons on encoder like in contacts 
 glade/app1.glade           | 198 +++++++++++++++++++++++++++++++++++++++++++--
 src/gui/app1/chronojump.cs |   6 +-
 src/gui/app1/icons.cs      |   6 ++
 3 files changed, 202 insertions(+), 8 deletions(-)

Fri Jun 24 08:07:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder networks upload next capture moved to top right 
 glade/app1.glade    | 47 +++++++++++++++--------------------------------
 src/gui/networks.cs |  3 +--
 2 files changed, 16 insertions(+), 34 deletions(-)

Fri Jun 24 08:01:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On contacts capture button at left of device/adjust 
 glade/app1.glade | 129 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 69 insertions(+), 60 deletions(-)

Sat Jun 18 06:50:15 2022 +0000 Мирослав Николић <miroslavnikolic@rocketmail.com>
Update Serbian translation 
 po/sr.po | 4793 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 2277 insertions(+), 2516 deletions(-)

Fri Jun 17 12:48:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
External DB change checks if path to chronojump.db is ok 
 src/gui/networks.cs | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

Tue Jun 14 18:25:20 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB change updates config file for next boot, ensuring its default config file 
 src/config.cs       | 59 +++++++++++++++++++++++++++++++++--------------------
 src/gui/networks.cs | 16 +++++++--------
 2 files changed, 44 insertions(+), 31 deletions(-)

Tue Jun 14 17:29:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Threshold applied/failed shown on tooltip instead of label 
 src/gui/chronopic.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Tue Jun 14 17:16:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed networks contacts/encoder device button 
 glade/app1.glade            | 10 +++++-----
 src/gui/app1/chronojump.cs  | 18 +++++++++---------
 src/gui/app1/encoder.cs     |  4 ++--
 src/gui/app1/forceSensor.cs |  2 +-
 src/gui/networks.cs         | 20 ++++++++++----------
 5 files changed, 27 insertions(+), 27 deletions(-)

Tue Jun 14 16:50:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Devices on right top only show on networks. adjust and threshold under new device. Other gui related changes 
 glade/app1.glade            | 279 +++++++++++++++++++++++++++-----------------
 src/gui/app1/chronojump.cs  |  70 ++++++-----
 src/gui/app1/forceSensor.cs |   6 +-
 src/gui/app1/icons.cs       |   2 +
 src/gui/chronopic.cs        |   1 -
 src/gui/networks.cs         |  10 ++
 6 files changed, 224 insertions(+), 144 deletions(-)

Mon Jun 13 19:16:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fix last commit 
 src/config.cs | 1 +
 1 file changed, 1 insertion(+)

Mon Jun 13 19:11:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Print the config on log 
 src/config.cs       | 26 +++++++++++---------------
 src/gui/networks.cs |  3 ++-
 2 files changed, 13 insertions(+), 16 deletions(-)

Mon Jun 13 18:55:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed version (DB) duplicated messages on repetitive opening about window 
 src/gui/app1/chronojump.cs | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Mon Jun 13 18:42:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
changeDB now closes session 
 src/gui/networks.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Mon Jun 13 18:38:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updates on changeDB 
 src/config.cs       | 19 +++++++++++--------
 src/gui/networks.cs | 39 ++++++++++++++++++++++++++-------------
 src/sqlite/main.cs  |  4 ++--
 src/util.cs         |  6 +++---
 4 files changed, 42 insertions(+), 26 deletions(-)

Mon Jun 13 18:35:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed import DB 2.32 
 src/sqlite/main.cs | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Mon Jun 13 17:23:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Deleted unused code for Config.Read () 
 src/config.cs | 52 +---------------------------------------------------
 1 file changed, 1 insertion(+), 51 deletions(-)

Fri Jun 10 19:34:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed on encoder recalculate does not store change of extraWeight (and sure other params except power, speed, force) since commit: Fixed: Repetition wrong sorting in encoder (on analyze currentPerson, currentSession) 3 months ago (so this mistake is on 2.2.1) 
 src/encoder.cs          | 12 ++++++++++++
 src/gui/app1/encoder.cs | 10 ++++++----
 src/sqlite/encoder.cs   |  3 ++-
 3 files changed, 20 insertions(+), 5 deletions(-)

Fri Jun 10 19:02:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SqliteEncoder.Select with abbreviated table names 
 src/sqlite/encoder.cs | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

Fri Jun 10 17:13:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover/Capture useThis working ok for n chronopics (contacts) and forceSensor, and RaceAnalyzer 
 src/chronopicRegister.cs     | 36 +++++++++++++++------
 src/gui/app1/chronojump.cs   | 75 +++++++++++++++++++++++++++++---------------
 src/gui/app1/forceSensor.cs  |  6 ++--
 src/gui/app1/runEncoder.cs   |  6 ++--
 src/gui/chronopic.cs         | 17 ++++++++--
 src/gui/chronopicRegister.cs | 23 ++++++--------
 6 files changed, 107 insertions(+), 56 deletions(-)

Wed Jun 8 22:11:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
user change database: better config and gui done 
 glade/app1.glade           | 141 ++++++++++++++++++++++++++++++++++++++++++---
 src/config.cs              |   3 +
 src/gui/app1/chronojump.cs |   2 +
 src/gui/app1/menu.cs       |   5 ++
 src/gui/app1/menu_tiny.cs  |   2 +
 src/gui/networks.cs        |  62 ++++++++++++++++----
 6 files changed, 196 insertions(+), 19 deletions(-)

Wed Jun 8 21:44:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash on converting DB from 2.32 to 2.33 since 2.39 exists (angleDefault) 
 src/sqlite/main.cs       |  6 ++++++
 src/sqlite/runEncoder.cs | 19 +++++++++++++++----
 2 files changed, 21 insertions(+), 4 deletions(-)

Wed Jun 8 13:18:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor comment 
 src/config.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Wed Jun 8 13:13:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
admin (Networks) can use another DB. DB gets updated if needed. 
 src/gui/networks.cs | 3 +++
 1 file changed, 3 insertions(+)

Wed Jun 8 13:07:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Needed file for commit: "admin (Networks) can use another DB ..." 
 src/sqlite/main.cs | 13 +++++++++++++
 1 file changed, 13 insertions(+)

Wed Jun 8 12:02:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder, graph.R. Fixed lack of Smoothings on singleFile ec (powerbars, cross, paint (1 or more reps) 
 encoder/graph.R | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Wed Jun 8 12:00:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed error on encoder R findECPhases on current R versions (in previous R versions was warning) 
 encoder/util.R | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Wed Jun 8 11:52:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added an R file: test-null-values.R 
 encoder/tests/test-null-values.R | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

Wed Jun 8 10:06:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
admin (Networks) can use another DB (using DataDir on config). TODO: foreign SQL may need to be updated 
 src/config.cs       | 12 ++++++++++++
 src/gui/networks.cs | 11 +++++++++++
 src/util.cs         | 10 +++++++---
 3 files changed, 30 insertions(+), 3 deletions(-)

Tue Jun 7 17:48:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Reorg between GetData/GetLogs between util, utilAll for Chronojump, mini 
 src/Mini/chronojump_mini.cs | 10 +++++--
 src/config.cs               | 12 ++++-----
 src/encoderCapture.cs       |  4 +--
 src/gui/app1/encoder.cs     |  2 +-
 src/gui/preferences.cs      |  2 +-
 src/gui/presentation.cs     |  3 ++-
 src/news.cs                 |  3 +--
 src/sqlite/main.cs          |  2 +-
 src/util.cs                 | 53 +++++++++++++++++++-----------------
 src/utilAll.cs              | 66 ++++++++++++++++++++++++---------------------
 src/utilEncoder.cs          |  3 +--
 11 files changed, 87 insertions(+), 73 deletions(-)

Tue Jun 7 16:45:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed GetDataDir->GetChronojumpDir; GetParentDir->GetLocalDataDir 
 src/encoderRProc.cs            |  5 +++--
 src/gui/app1/session/backup.cs |  4 ++--
 src/gui/app1/session/export.cs |  2 +-
 src/gui/app1/session/main.cs   |  2 +-
 src/sqlite/oldConvert.cs       |  2 +-
 src/util.cs                    | 22 ++++++++++++----------
 src/utilEncoder.cs             | 20 ++++++++++----------
 7 files changed, 30 insertions(+), 27 deletions(-)

Tue Jun 7 12:39:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover gui workin ok for raceAnalyzer 
 src/gui/app1/forceSensor.cs |  2 +-
 src/gui/app1/runEncoder.cs  | 15 +++------------
 2 files changed, 4 insertions(+), 13 deletions(-)

Fri Jun 3 19:32:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Prevent a crash on new rfd option on loading sql from db of an updated user 
 src/sqlite/forceSensor.cs | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

Fri Jun 3 19:31:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
rfd: best avg rfd in x ms implemented on gui and R (but only in raw) 
 glade/app1.glade                   | 261 +++++++++++++++++++++++++++++++++++--
 r-scripts/maximumIsometricForce.R  |  40 +++++-
 src/forceSensor.cs                 |  44 ++++---
 src/gui/app1/forceSensorAnalyze.cs | 111 ++++++++++------
 4 files changed, 382 insertions(+), 74 deletions(-)

Fri Jun 3 11:19:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed SqliteForceSensor.Select when not elastic since recent commits 
 src/sqlite/forceSensor.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Jun 2 18:35:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Menu 2.2.2 labels translatable 
 glade/app1.glade           | 45 +++++++++++++++++++++++++++------------------
 src/gui/app1/chronojump.cs |  6 +++---
 2 files changed, 30 insertions(+), 21 deletions(-)

Thu Jun 2 18:34:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Menu 2.2.2 buttons with hbox spacing 6 
 glade/app1.glade | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Thu Jun 2 18:16:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On repair jumpRj, runI, pulse, show need enter or tab text 
 src/constants.cs | 10 +++++++++-
 src/gui/jump.cs  | 10 +++-------
 src/gui/pulse.cs |  5 +----
 src/gui/run.cs   |  5 +----
 4 files changed, 14 insertions(+), 16 deletions(-)

Wed Jun 1 17:19:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/sqlite/session.cs | 39 +++++++++++++++++++++++++++++++--------
 1 file changed, 31 insertions(+), 8 deletions(-)

Wed Jun 1 17:18:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Load session separates isometric/elastic 
 glade/app1.glade                      | 110 +++++++++++++++++++++++++++++-----
 src/gui/app1/icons.cs                 |   3 +-
 src/gui/app1/session/loadAndImport.cs |  47 ++++++++++-----
 src/gui/app1/session/main.cs          |   6 +-
 src/session.cs                        |   3 +-
 5 files changed, 133 insertions(+), 36 deletions(-)

Wed Jun 1 16:48:45 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated howto_git with patching unstaged changes 
 howto_git.odt | Bin 16320 -> 14465 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Wed Jun 1 16:47:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
LoadAllSessionsTestsCount no longer returns string []. Now return List<class SessionTestsCount> 
 src/gui/app1/session/export.cs        |  27 ++--
 src/gui/app1/session/loadAndImport.cs |  51 ++++---
 src/session.cs                        |  55 +++++++-
 src/sqlite/session.cs                 | 257 +++++++++-------------------------
 4 files changed, 155 insertions(+), 235 deletions(-)

Wed Jun 1 12:48:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SelectAllSessions renamed SelectAllSessionsTestsCount 
 src/gui/app1/session/export.cs        |  2 +-
 src/gui/app1/session/loadAndImport.cs |  2 +-
 src/sqlite/session.cs                 | 26 ++++++++++++++------------
 3 files changed, 16 insertions(+), 14 deletions(-)

Wed Jun 1 11:33:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Load session encoder separated in weights/inertial 
 glade/app1.glade                      |  31 +++++-----
 src/gui/app1/session/loadAndImport.cs | 105 +++++++++++++++++++---------------
 src/gui/app1/session/main.cs          |   3 +-
 3 files changed, 74 insertions(+), 65 deletions(-)

Wed Jun 1 11:16:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Clean code 
 src/gui/app1/forceSensor.cs | 50 +++++++++++++++++----------------------------
 1 file changed, 19 insertions(+), 31 deletions(-)

Wed Jun 1 11:07:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
load session win removed race analyzer icon (races icon also includes it) 
 glade/app1.glade             | 24 ------------------------
 src/gui/app1/icons.cs        |  1 -
 src/gui/app1/session/main.cs |  1 -
 3 files changed, 26 deletions(-)

Wed Jun 1 10:58:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Load session top controls as table to have modes in a row (like 2.2.2 menu) 
 glade/app1.glade | 233 +++++++++++++++++++++++--------------------------------
 1 file changed, 98 insertions(+), 135 deletions(-)

Mon May 30 18:24:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor load shows elastic column only on elastic mode 
 src/forceSensor.cs          | 12 ++++++++---
 src/gui/app1/forceSensor.cs | 49 ++++++++++++++++++++++++++++++---------------
 2 files changed, 42 insertions(+), 19 deletions(-)

Mon May 30 17:59:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
overview shows correctly sets on iso/elastic since both modes separated 
 src/gui/app1/chronojump.cs |  2 +-
 src/gui/overview.cs        |  6 ++++--
 src/sqlite/forceSensor.cs  | 10 ++++++++--
 3 files changed, 13 insertions(+), 5 deletions(-)

Mon May 30 17:48:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
load set shows correctly sets on iso/elastic. Fixed since recent commits. 
 src/sqlite/forceSensor.cs | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Mon May 30 17:34:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Isometric/elastic Add/edit do not show fixture tab (elastic/not elastic) and have value already selected on add 
 src/gui/app1/forceSensor.cs    |  6 ++++--
 src/gui/forceSensorExercise.cs | 27 ++++++++++++++++++---------
 2 files changed, 22 insertions(+), 11 deletions(-)

Mon May 30 17:04:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor modes: only show radio of current mode 
 src/gui/app1/chronojump.cs | 3 +++
 1 file changed, 3 insertions(+)

Mon May 30 17:01:51 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On encoder only show radio of current mode 
 src/gui/app1/chronojump.cs | 2 ++
 1 file changed, 2 insertions(+)

Mon May 30 17:01:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Mode renamed Modes 
 glade/app1.glade | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Mon May 30 13:25:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Menu 2.2.2 with fake double click on all modes except jumps and races 
 glade/app1.glade           | 41 +++++++++++++++++++++++----------------
 src/gui/app1/chronojump.cs | 48 +++++++++++++++++++++++++++++++++-------------
 2 files changed, 60 insertions(+), 29 deletions(-)

Mon May 30 12:02:45 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
minor: Changed some variables and added comments 
 src/gui/app1/chronojump.cs  | 10 +++++-----
 src/gui/app1/encoder.cs     |  9 +++++++--
 src/gui/app1/forceSensor.cs |  1 +
 3 files changed, 13 insertions(+), 7 deletions(-)

Sat May 28 11:55:49 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1052 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 528 insertions(+), 524 deletions(-)

Fri May 27 20:46:17 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed icons for modes, using just Mode label 
 glade/app1.glade           | 12 ++++--------
 src/Makefile.am            |  7 -------
 src/gui/app1/chronojump.cs | 42 ++----------------------------------------
 src/gui/app1/icons.cs      |  3 ---
 4 files changed, 6 insertions(+), 58 deletions(-)

Fri May 27 20:32:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On start, displayed selected mode with two horizontal lines 
 glade/app1.glade | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

Fri May 27 20:17:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On start, displayed "Modes" with two horizontal lines 
 glade/app1.glade | 106 ++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 93 insertions(+), 13 deletions(-)

Fri May 27 19:36:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed SqliteForceSensor.Select (elastic according to elastic and forceResultant) 
 src/sqlite/forceSensor.cs | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Fri May 27 17:19:14 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1500 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 751 insertions(+), 749 deletions(-)

Fri May 27 18:52:50 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ForceSensor mode separating in isometric / elastic (huge commit) 
 glade/app1.glade                      | 140 ++++++++++++++++++++++++++++-----
 src/constants.cs                      |  11 ++-
 src/execute/arduinoCapture.cs         |   2 +-
 src/exportFiles/fs.cs                 |   9 ++-
 src/forceSensor.cs                    |  11 +++
 src/gui/app1/chronojump.cs            | 142 +++++++++++++++++++++-------------
 src/gui/app1/contactsExercise.cs      |   6 +-
 src/gui/app1/forceSensor.cs           |  30 ++++---
 src/gui/app1/forceSensorAnalyze.cs    |   1 +
 src/gui/app1/icons.cs                 |   1 +
 src/gui/app1/session/loadAndImport.cs |   2 +-
 src/gui/app1/session/main.cs          |   2 +-
 src/gui/chronopicRegister.cs          |   2 +-
 src/gui/exhibition.cs                 |   2 +-
 src/gui/preferences.cs                |   2 +-
 src/gui/sendLogAndPoll.cs             |   3 +-
 src/gui/webcam.cs                     |   4 +-
 src/sqlite/forceSensor.cs             |  34 ++++++--
 src/sqlite/main.cs                    |   2 +-
 src/sqlite/personSession.cs           |   2 +-
 src/sqlite/preferences.cs             |  10 ++-
 21 files changed, 304 insertions(+), 114 deletions(-)

Fri May 27 18:35:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
testing a cj(kang) logo 
 images/svg/chronojump-logo-2013.svg | 917 +++++++++++++++++++++++++-----------
 1 file changed, 643 insertions(+), 274 deletions(-)

Fri May 27 16:03:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
show_start_page on menu 2.2.2 ensures widgets are correctly displayed 
 src/gui/app1/chronojump.cs | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Fri May 27 14:04:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed 2.2.1 menu 
 glade/app1.glade             | 2077 +-----------------------------------------
 src/gui/app1/chronojump.cs   |   64 +-
 src/gui/app1/icons.cs        |   60 --
 src/gui/app1/session/main.cs |    4 -
 src/gui/networks.cs          |   15 -
 5 files changed, 54 insertions(+), 2166 deletions(-)

Thu May 26 18:12:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
minor: cont of last commit 
 glade/app1.glade | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu May 26 18:10:17 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Menu 2.2.2 with races and many other tweaks done! 
 glade/app1.glade           | 351 ++++++++++++++++++++++++++++++++++++++++-----
 src/Makefile.am            |   1 +
 src/gui/app1/chronojump.cs |   9 +-
 src/gui/app1/icons.cs      |   9 ++
 4 files changed, 330 insertions(+), 40 deletions(-)

Thu May 26 14:03:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
menu 2.2.2 with jumps buttons, go button nicer and other tweaks 
 glade/app1.glade            | 306 +++++++++++++++++++++++++++++++++++++++++---
 images/md/start-24-blue.png | Bin 0 -> 4793 bytes
 src/gui/app1/chronojump.cs  |  61 +++++++--
 src/gui/app1/icons.cs       |   8 ++
 4 files changed, 343 insertions(+), 32 deletions(-)

Thu May 26 13:14:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Menu 2.2.2 go to modes 
 glade/app1.glade           |  3 ++-
 src/gui/app1/chronojump.cs | 26 ++++++++++++++++++++------
 2 files changed, 22 insertions(+), 7 deletions(-)

Thu May 26 13:03:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Several improvements to 2.2.2 menu 
 glade/app1.glade              | 234 ++++++++++++++++++++++--------------------
 images/md/elastic.png         | Bin 2419 -> 15192 bytes
 images/md/ic_jump_blue_2x.png | Bin 9704 -> 8945 bytes
 images/md/isometric.png       | Bin 11652 -> 12031 bytes
 images/md/run_mov_blue_2x.png | Bin 7588 -> 8199 bytes
 images/md/weight_mov_2x.png   | Bin 7700 -> 8607 bytes
 src/gui/app1/chronojump.cs    |  18 ++--
 7 files changed, 135 insertions(+), 117 deletions(-)

Wed May 25 18:07:37 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
isometric image made transparent (TODO: improve) 
 images/md/isometric.png | Bin 1517 -> 11652 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Wed May 25 18:06:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
More tweaks on experimental 2_2_2 menu 
 glade/app1.glade           | 167 +++++++++++++++++++++++++++++++++++----------
 src/gui/app1/chronojump.cs |  38 ++++++++++-
 2 files changed, 168 insertions(+), 37 deletions(-)

Wed May 25 13:12:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer at load shifted to 1st trigger or accel >= minAccel, whatever comes first. Fixed also 2 first samples on shift. 
 src/gui/app1/runEncoder.cs | 11 +++++------
 src/runEncoder.cs          | 38 +++++++++++++++++++++++++++++++++++---
 2 files changed, 40 insertions(+), 9 deletions(-)

Wed May 25 12:57:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer show time needed to arrive at minAccel 
 src/gui/cairo/raceAnalyzer.cs | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Wed May 25 12:56:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoRadial better code to allow maxValue > 20 
 src/gui/cairo/radial.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Wed May 25 10:57:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer will start on 1st trigger or a >= minAccel (whatever is first) if trigger is first, then will display a>minAccel and shift accordingly 
 src/gui/app1/runEncoder.cs    | 108 ++++++++++++++++++++++++++++++++----------
 src/gui/cairo/raceAnalyzer.cs |  26 ++++++++--
 src/runEncoder.cs             |  31 ++++++------
 src/trigger.cs                |   5 ++
 4 files changed, 127 insertions(+), 43 deletions(-)

Wed May 25 10:53:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer a>minAccel shown at top (to be seen even with triggers), and triggers 1 lineWidth 
 src/gui/cairo/raceAnalyzer.cs | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

Tue May 24 16:43:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Race analyzer capture show line,message when >= minAccel 
 src/gui/app1/runEncoder.cs    | 39 +++++++++++++++++++++++++++++++--------
 src/gui/cairo/raceAnalyzer.cs | 25 ++++++++++++++++++++-----
 src/runEncoder.cs             | 16 ++++++++++++++--
 3 files changed, 65 insertions(+), 15 deletions(-)

Tue May 24 14:08:50 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1006 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 503 insertions(+), 503 deletions(-)

Tue May 24 13:57:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
microDiscover win show message if no ports found 
 glade/app1.glade             | 46 +++++++++++++++++++++++++++++++-------------
 src/gui/app1/chronojump.cs   |  2 ++
 src/gui/chronopicRegister.cs |  5 +++++
 3 files changed, 40 insertions(+), 13 deletions(-)

Mon May 23 13:51:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
chronopicRegister Get/Set selectedForMode to manage selected ports. Implememented on forceSensor. 
 src/chronopicRegister.cs    | 48 +++++++++++++++++++++++++++++++++++++++++++++
 src/gui/app1/chronojump.cs  |  2 +-
 src/gui/app1/forceSensor.cs |  8 +++-----
 3 files changed, 52 insertions(+), 6 deletions(-)

Mon May 23 12:00:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
experimental 2.2.2 mode selection top icons/buttons done 
 glade/app1.glade           | 383 ++++++++++++++++++++++++++++++++++++++++++++-
 src/Makefile.am            |   7 +
 src/gui/app1/chronojump.cs |   9 ++
 src/gui/app1/icons.cs      |  19 +++
 4 files changed, 416 insertions(+), 2 deletions(-)

Mon May 23 11:58:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
jump_simple_reactive.svg moved to svg 
 images/md/jump_simple_reactive.svg | 136 -------------------------------------
 1 file changed, 136 deletions(-)

Mon May 23 11:57:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
experimental 2.2.2 mode selection. Added images/md files. 
 images/md/elastic.png                                 | Bin 0 -> 2419 bytes
 images/md/ic_jump_blue_2x.png                         | Bin 0 -> 9704 bytes
 images/md/ic_settings_backup_restore_blue_2x_2col.png | Bin 0 -> 9506 bytes
 images/md/isometric.png                               | Bin 0 -> 1517 bytes
 images/md/run_mov_blue_2x.png                         | Bin 0 -> 7588 bytes
 images/md/weight_2x.png                               | Bin 0 -> 5489 bytes
 images/md/weight_mov_2x.png                           | Bin 0 -> 7700 bytes
 7 files changed, 0 insertions(+), 0 deletions(-)

Mon May 23 11:56:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
experimental 2.2.2 mode selection. Added svf files. 
 images/svg/force_sensor_icon.svg | 291 ++++++++++++++++++++++++++++++++++++---
 1 file changed, 275 insertions(+), 16 deletions(-)

Mon May 23 11:55:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
experimental 2.2.2 mode selection. Added xcf files. 
 images/xcf/ic_jump_blue_2x.xcf                         | Bin 0 -> 3593 bytes
 images/xcf/ic_settings_backup_restore_blue_2x_2col.xcf | Bin 0 -> 3659 bytes
 images/xcf/run_mov_blue_2x.xcf                         | Bin 0 -> 2609 bytes
 images/xcf/weight_mov_2x.xcf                           | Bin 0 -> 4467 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

Mon May 23 09:47:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DiscoverThread is closed if Chronojump is closed 
 src/gui/app1/chronojump.cs | 4 ++++
 1 file changed, 4 insertions(+)

Fri May 20 18:00:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DiscoverGui with header, without two top labels and with icon on Use this! buttons 
 glade/app1.glade             | 72 ++++++++++++++------------------------------
 src/gui/app1/chronojump.cs   |  4 ---
 src/gui/chronopicRegister.cs | 43 +++++++++++++-------------
 3 files changed, 44 insertions(+), 75 deletions(-)

Fri May 20 13:09:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover widgets and thread moved to new class DiscoverWindow 
 src/gui/app1/chronojump.cs   | 319 +++-----------------------------------
 src/gui/chronopicRegister.cs | 357 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 380 insertions(+), 296 deletions(-)

Thu May 19 18:29:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 glade/app1.glade | 1 +
 1 file changed, 1 insertion(+)

Thu May 19 17:20:58 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On multitest do not connect first and at second button press do the capture. Now done all at once, supressed having to press platform, thread, small gui. 
 glade/app1.glade           | 24 +---------------
 src/chronopic.cs           | 13 +++++++--
 src/chronopic2016.cs       | 72 ++--------------------------------------------
 src/gui/app1/chronojump.cs | 33 ++-------------------
 src/gui/chronopic.cs       | 28 +++++++-----------
 5 files changed, 26 insertions(+), 144 deletions(-)

Thu May 19 15:49:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
removed unused widget 
 glade/app1.glade | 35 +----------------------------------
 1 file changed, 1 insertion(+), 34 deletions(-)

Thu May 19 15:41:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On discover, press use this while discovering others, will cancel and then close window 
 src/gui/app1/chronojump.cs | 44 ++++++++++++++++++++++++++++++++------------
 1 file changed, 32 insertions(+), 12 deletions(-)

Thu May 19 13:52:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
forceSensor do not use chronopicRegister, discover works with useThis on already discovered 
 src/gui/app1/chronojump.cs  | 56 ++++++++++++++++++++++++++++++++++++++++-----
 src/gui/app1/forceSensor.cs | 23 ++++++++-----------
 2 files changed, 60 insertions(+), 19 deletions(-)

Thu May 19 10:27:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Improvements on detect buttons on top gui 
 glade/app1.glade           | 122 +++++++++++++++++++++++++++++++++++++--------
 src/gui/app1/chronojump.cs |  10 ++--
 src/gui/app1/icons.cs      |   4 ++
 3 files changed, 111 insertions(+), 25 deletions(-)

Wed May 18 18:52:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover works ok with RaceAnalyzer and multitest (event on jumps) 
 src/chronopicRegister.cs      |  2 +-
 src/execute/arduinoCapture.cs | 72 ++++++++++++++++++++++++++++++++++++++++---
 src/gui/app1/chronojump.cs    | 24 ++++++++++++---
 3 files changed, 87 insertions(+), 11 deletions(-)

Wed May 18 16:39:00 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover stores on chronopicRegister (forceSensor capture works after discover) 
 src/chronopicRegister.cs      |  9 ++++++++-
 src/execute/arduinoCapture.cs | 22 ++++++++++++----------
 src/gui/app1/chronojump.cs    | 18 +++++++++---------
 3 files changed, 29 insertions(+), 20 deletions(-)

Wed May 18 14:09:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover press use this will show small detect button and normal execute_test button 
 glade/app1.glade           | 61 ++++++++++++++++++++++++++++++++++++----------
 src/gui/app1/chronojump.cs | 17 ++++++++-----
 2 files changed, 59 insertions(+), 19 deletions(-)

Wed May 18 13:45:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover shows first already discovered (and A50285BI); Discover, progressBar & buttons only for the rest. 
 src/chronopicRegister.cs   |   3 +-
 src/gui/app1/chronojump.cs | 115 +++++++++++++++++++++++++++------------------
 2 files changed, 71 insertions(+), 47 deletions(-)

Wed May 18 11:54:36 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover devices show port without the /dev/ 
 src/gui/app1/chronojump.cs | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

Wed May 18 11:53:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
If ChronopicRegister finds a A50285BI inserts on list but not in SQL 
 src/chronopicRegister.cs | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

Tue May 17 16:58:07 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 238 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 121 insertions(+), 117 deletions(-)

Tue May 17 18:05:04 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ScrolledWin for Discover devices if needed 
 glade/app1.glade           | 54 +++++++++++++++++++++++++++++++++-------------
 src/gui/app1/chronojump.cs |  9 +++++---
 2 files changed, 45 insertions(+), 18 deletions(-)

Tue May 17 17:32:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Several improvements to discover (including use chronopicRegister for SerialNumbers) 
 src/execute/arduinoCapture.cs |  9 ++++++
 src/gui/app1/chronojump.cs    | 64 +++++++++++++++++++++++++++++++------------
 2 files changed, 55 insertions(+), 18 deletions(-)

Tue May 17 17:24:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover gui shows a title of the mode 
 glade/app1.glade           | 35 ++++++++++++++++++++++-------------
 src/gui/app1/chronojump.cs | 10 ++++------
 2 files changed, 26 insertions(+), 19 deletions(-)

Tue May 17 12:46:58 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated devices-2_2_2.dia 
 diagrams/processes/devices-2_2_2.dia | Bin 4862 -> 4554 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Tue May 17 10:16:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed mouse click on Cairo: JumpsEvolutionGraph, RunsEvolutionGraph 
 src/gui/app1/jumpsRunsEvolution.cs   | 18 ++++--------------
 src/gui/app1/jumpsWeightFVProfile.cs |  4 ----
 src/gui/cairo/jumpsRunsEvolution.cs  | 11 +++++++++++
 3 files changed, 15 insertions(+), 18 deletions(-)

Tue May 17 10:07:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed mouse click on Cairo: JumpsWeightFVProfileGraph 
 src/gui/app1/jumpsDjOptimalFall.cs    | 2 +-
 src/gui/app1/jumpsRjFatigue.cs        | 2 +-
 src/gui/app1/jumpsWeightFVProfile.cs  | 7 ++-----
 src/gui/cairo/jumpsWeightFVProfile.cs | 7 +++++++
 4 files changed, 11 insertions(+), 7 deletions(-)

Tue May 17 10:02:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed mouse click on Cairo: JumpsRjFatigueGraph 
 src/gui/app1/jumpsRjFatigue.cs  | 8 +-------
 src/gui/cairo/jumpsRjFatigue.cs | 7 +++++++
 2 files changed, 8 insertions(+), 7 deletions(-)

Tue May 17 10:01:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Clean code of previous commit 
 src/gui/app1/jumpsDjOptimalFall.cs  | 7 -------
 src/gui/cairo/jumpsDjOptimalFall.cs | 4 +---
 2 files changed, 1 insertion(+), 10 deletions(-)

Tue May 17 09:49:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed mouse click on Cairo: JumpsDjOptimalFallGraph 
 src/gui/app1/jumpsDjOptimalFall.cs  |  3 +--
 src/gui/cairo/jumpsDjOptimalFall.cs |  7 ++++-
 src/gui/cairo/xy.cs                 | 51 ++++++++++++++++---------------------
 3 files changed, 29 insertions(+), 32 deletions(-)

Fri May 13 13:24:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover click on use this button, shows the port and closes 
 src/gui/app1/chronojump.cs | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

Fri May 13 12:12:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover Status not in caps (to be printable) 
 src/execute/arduinoCapture.cs | 10 +++++-----
 src/gui/app1/chronojump.cs    |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)

Fri May 13 12:03:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover manages correctly widgets when no devices 
 src/gui/app1/chronojump.cs | 12 +++++++++---
 src/utilGtk.cs             | 13 +++++++++++++
 2 files changed, 22 insertions(+), 3 deletions(-)

Fri May 13 11:53:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover deletes widgets (of table) from previous calls 
 src/gui/app1/chronojump.cs | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

Fri May 13 11:41:50 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover creates buttons "Use this", updates progressBars with final results 
 glade/app1.glade              | 71 +++++++++++++++++++++++++++++++++++--------
 src/execute/arduinoCapture.cs | 26 +++++++++++-----
 src/gui/app1/chronojump.cs    | 41 +++++++++++++++++++------
 3 files changed, 107 insertions(+), 31 deletions(-)

Thu May 12 18:05:12 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover on table (unlimited) with port;progressBar 
 glade/app1.glade           | 38 ++++++++++++++++++++++++--------------
 src/gui/app1/chronojump.cs | 31 +++++++++++++++++++++----------
 2 files changed, 45 insertions(+), 24 deletions(-)

Thu May 12 16:19:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover progressBars widgets on a list (unlimited) 
 glade/app1.glade              | 28 ++++++++--------
 src/execute/arduinoCapture.cs | 40 ++++++-----------------
 src/gui/app1/chronojump.cs    | 74 +++++++++++++++++++++++++++++++------------
 3 files changed, 77 insertions(+), 65 deletions(-)

Thu May 12 13:36:41 2022 +0200 xpadulles <x.padulles@gmail.com>
Added version log 
 arduino/ForceSensor/ForceSensor-0.4/ForceSensor-0.4.ino | 3 +++
 arduino/ForceSensor/ForceSensor-0.5/ForceSensor-0.5.ino | 7 +++++++
 2 files changed, 10 insertions(+)

Thu May 12 11:40:45 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 383 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 197 insertions(+), 186 deletions(-)

Wed May 11 14:37:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
gui for MicroDiscover cancel 
 glade/app1.glade           |  6 +++---
 src/gui/app1/chronojump.cs | 34 +++++++++++++++++++++++++++-------
 2 files changed, 30 insertions(+), 10 deletions(-)

Wed May 11 14:36:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover, waitResponse can cancel 
 src/execute/arduinoCapture.cs | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

Wed May 11 14:10:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover button cancel/close with changing label and icon 
 glade/app1.glade           | 79 ++++++++++++----------------------------------
 src/gui/app1/chronojump.cs | 11 +++++++
 src/gui/app1/icons.cs      |  3 +-
 3 files changed, 33 insertions(+), 60 deletions(-)

Wed May 11 14:08:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On backup, icon of cancel/close changes 
 src/gui/app1/session/backup.cs | 10 ++++++++++
 1 file changed, 10 insertions(+)

Wed May 11 11:49:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
gui for microDiscover with thread and pulsebars 
 glade/app1.glade           | 283 +++++++++++++++++++++++++++++++++++++++++++--
 src/gui/app1/chronojump.cs | 101 ++++++++++++----
 src/gui/app1/icons.cs      |   2 +
 3 files changed, 352 insertions(+), 34 deletions(-)

Wed May 11 11:47:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
MicroDiscover can send info to gui progressbars 
 src/execute/arduinoCapture.cs | 40 ++++++++++++++++++++++++++++++++++++++--
 1 file changed, 38 insertions(+), 2 deletions(-)

Tue May 10 20:26:39 2022 +0000 Doomsdayrs <doomsdayrs@gmail.com>
Convert README to MD 
 README => README.md | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Tue May 10 17:21:40 2022 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>
Update Swedish translation 
 po/sv.po | 3079 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1597 insertions(+), 1482 deletions(-)

Tue May 10 18:33:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed more crashes on RaceAnalyzer capture since recent commits 
 src/gui/cairo/raceAnalyzer.cs | 6 +++---
 src/runEncoder.cs             | 7 ++++++-
 2 files changed, 9 insertions(+), 4 deletions(-)

Tue May 10 18:31:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed two crash on RaceAnalyzer capture since recent commits (angle) 
 src/gui/app1/runEncoder.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Tue May 10 18:29:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
More time to detect RaceAnalyzer on MicroDiscover 
 src/execute/arduinoCapture.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Tue May 10 17:22:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer mainVariable (N,F,a) according to new RaceAnalyzer feedback tab (on feedback win) 
 glade/feedback.glade          | 129 ++++++++++++++++++++++++++++++++++++++++++
 src/constants.cs              |   2 +-
 src/gui/app1/chronojump.cs    |  14 ++++-
 src/gui/app1/runEncoder.cs    |  18 ++++--
 src/gui/cairo/raceAnalyzer.cs |  50 ++++++++++++----
 src/gui/cairo/xy.cs           |   1 +
 src/gui/feedback.cs           |  23 ++++++++
 7 files changed, 219 insertions(+), 18 deletions(-)

Tue May 10 14:01:51 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 src/gui/app1/runEncoder.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Tue May 10 13:24:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer load capture graphs shift time to left since runEncoderMinAccel 
 src/gui/app1/runEncoder.cs |  5 +++--
 src/runEncoder.cs          | 20 ++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

Tue May 10 12:41:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer load capture graphs start at preferences.runEncoderMinAccel (10ms^2) 
 src/gui/app1/runEncoder.cs | 54 ++++++++++++++++++++++++++++++++--------------
 1 file changed, 38 insertions(+), 16 deletions(-)

Tue May 10 12:45:25 2022 +0200 xpadulles <x.padulles@gmail.com>
RaceAnalyzer. The model starts at -T0 
 r-scripts/sprintEncoder.R | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

Tue May 10 12:36:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer gray line on accel (to distinguish from smooth line) 
 src/gui/app1/runEncoder.cs    |  6 +++---
 src/gui/cairo/raceAnalyzer.cs | 13 ++++++++++---
 2 files changed, 13 insertions(+), 6 deletions(-)

Tue May 10 11:29:00 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer bars same color and outline than sprintEncoder model bars 
 src/gui/cairo/raceAnalyzer.cs | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

Tue May 10 11:28:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Ensure sprintEncoder model barplot bars are col="#bebebe" 
 r-scripts/sprintEncoder.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue May 10 11:22:10 2022 +0200 xpadulles <x.padulles@gmail.com>
Fixed power formula 
 src/runEncoder.cs | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Mon May 9 18:03:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fix to last commit 
 src/gui/cairo/raceAnalyzer.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon May 9 17:59:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer draws power bars on speed graph 
 src/gui/app1/runEncoder.cs    |  6 ++---
 src/gui/cairo/raceAnalyzer.cs | 56 ++++++++++++++++++++++++++++++++++++-------
 src/gui/cairo/xy.cs           |  1 +
 3 files changed, 52 insertions(+), 11 deletions(-)

Mon May 9 17:58:03 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
method to calculateY based on calculated proportion of any variable on cairo XY graphs 
 src/gui/cairo/xy.cs | 6 ++++++
 src/utilMath.cs     | 9 +++++++++
 2 files changed, 15 insertions(+)

Mon May 9 14:07:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer prints RunEncoderSegmentCalcs dist,time 
 src/gui/cairo/raceAnalyzer.cs | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Mon May 9 13:07:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer prints RunEncoderSegmentCalcs speedCont 
 src/gui/cairo/raceAnalyzer.cs | 5 +++--
 src/runEncoder.cs             | 4 ++++
 2 files changed, 7 insertions(+), 2 deletions(-)

Mon May 9 12:55:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer prints RunEncoderSegmentCalcs power 
 src/gui/cairo/raceAnalyzer.cs |  7 ++++---
 src/runEncoder.cs             | 14 +++++++++++---
 2 files changed, 15 insertions(+), 6 deletions(-)

Mon May 9 12:46:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer prints RunEncoderSegmentCalcs accel, force 
 src/gui/cairo/raceAnalyzer.cs |  6 ++++--
 src/runEncoder.cs             | 18 ++++++++++++++----
 2 files changed, 18 insertions(+), 6 deletions(-)

Mon May 9 12:45:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Passed mass and angle to RunEncoderSegmentCalcs 
 src/gui/app1/runEncoder.cs | 12 +++++++++---
 src/runEncoder.cs          | 18 ++++++++++++++++--
 2 files changed, 25 insertions(+), 5 deletions(-)

Mon May 9 12:23:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunEncoderSegmentCalcs calculates accels 
 src/gui/cairo/raceAnalyzer.cs |  2 ++
 src/runEncoder.cs             | 40 +++++++++++++++++++++++++++++++++++++---
 2 files changed, 39 insertions(+), 3 deletions(-)

Mon May 9 11:56:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer capture graphs use new class RunEncoderSegmentCalcs instead of TwoListsOfDoubles SegmentDistTime_2l this will allow a,F,P 
 src/gui/app1/runEncoder.cs    | 24 +++++++++----------
 src/gui/cairo/raceAnalyzer.cs | 33 +++++++++++++++----------
 src/runEncoder.cs             | 56 +++++++++++++++++++++++++++++++++++--------
 3 files changed, 78 insertions(+), 35 deletions(-)

Mon May 9 10:04:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated sqlite diagram 
 diagrams/sqlite/chronojump_sqlite.dia | Bin 23046 -> 23120 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Fri May 6 19:10:20 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 842 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 438 insertions(+), 404 deletions(-)

Fri May 6 18:45:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer angles changed -180 180 to -90 90 
 glade/app1.glade           | 4 ++--
 src/gui/app1/runEncoder.cs | 2 +-
 src/sqlite/runEncoder.cs   | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

Fri May 6 18:18:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
gui for: RunEncoderExercise angleDefault, RunEncoder angle 
 glade/app1.glade           | 266 +++++++++++++++++++++++++++++++++------------
 src/gui/app1/icons.cs      |   2 +
 src/gui/app1/runEncoder.cs |  36 ++++--
 3 files changed, 228 insertions(+), 76 deletions(-)

Fri May 6 18:16:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB: 2.39 RunEncoderExercise ALTER TABLE added angleDefault. RunEncoder ALTER TABLE added angle 
 src/runEncoder.cs        | 31 ++++++++++++++++++++++++-------
 src/sqlite/main.cs       | 20 +++++++++++++++++++-
 src/sqlite/runEncoder.cs | 23 ++++++++++++++---------
 3 files changed, 57 insertions(+), 17 deletions(-)

Fri May 6 15:30:52 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 995 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 500 insertions(+), 495 deletions(-)

Fri May 6 17:13:38 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixes on Race analyzer capture tab graphs with smoothing slider 
 glade/app1.glade           | 52 ++++++++++++++++++++++++++++++++--------------
 src/gui/app1/runEncoder.cs | 45 ++++++++++++++++++++++++++++++++-------
 2 files changed, 73 insertions(+), 24 deletions(-)

Thu May 5 20:22:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 src/gui/app1/icons.cs | 1 +
 1 file changed, 1 insertion(+)

Thu May 5 20:21:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Race analyzer capture tab graphs with smoothing slider 
 glade/app1.glade              | 77 ++++++++++++++++++++++++++++++++++++-------
 src/gui/app1/runEncoder.cs    | 33 +++++++++++++++++--
 src/gui/cairo/raceAnalyzer.cs | 16 +++++++--
 src/gui/cairo/xy.cs           |  6 ++--
 src/utilMath.cs               |  5 +++
 5 files changed, 116 insertions(+), 21 deletions(-)

Thu May 5 19:28:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added 4 translatable strings on CairoRadial 
 po/POTFILES.in          | 1 +
 src/gui/cairo/radial.cs | 8 ++++----
 src/gui/cairo/xy.cs     | 2 +-
 3 files changed, 6 insertions(+), 5 deletions(-)

Thu May 5 10:16:04 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 302 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 162 insertions(+), 140 deletions(-)

Wed May 4 14:10:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
session/more view data folder allows user to see specific dir if mode allows it and currentSession 
 glade/app1.glade             | 422 +++++++++++++++++++++++++++++++++++++++++--
 src/gui/app1/session/main.cs |  88 ++++++++-
 src/util.cs                  |   4 +
 3 files changed, 496 insertions(+), 18 deletions(-)

Wed May 4 14:09:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Mode to string translated separated on new method 
 src/gui/app1/chronojump.cs | 57 ++++++++++++++++++++++++----------------------
 1 file changed, 30 insertions(+), 27 deletions(-)

Wed May 4 14:08:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Constants.ModeFolder () to return the folder of a mode 
 src/constants.cs | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

Wed May 4 12:23:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
contacts detect calls for forceSensor, raceAnalyzer, wichro and caller button 
 glade/app1.glade           | 94 ++++++++++++++++++++++++++++++++++++++--------
 src/gui/app1/chronojump.cs | 53 ++++++++++++++++++++++++++
 src/gui/app1/icons.cs      |  4 ++
 3 files changed, 135 insertions(+), 16 deletions(-)

Wed May 4 12:22:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Methods for discover forceSensor, raceAnalyzer, Wichro (and all hardware but commented) 
 src/execute/arduinoCapture.cs | 181 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 166 insertions(+), 15 deletions(-)

Wed May 4 12:21:22 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Hidden from gui/preferences discover methods for all modes/devices 
 glade/preferences_win.glade | 3 +--
 src/gui/preferences.cs      | 2 ++
 2 files changed, 3 insertions(+), 2 deletions(-)

Tue May 3 17:43:12 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 29 ++++++++++++++++++++++++-----
 1 file changed, 24 insertions(+), 5 deletions(-)

Tue May 3 15:27:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fix a crash on CairoGraphEncoderSignal doSendingList() g.LineWidth = 1; under certain circumstancies 
 src/gui/cairo/encoder.cs | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

Tue May 3 15:24:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added error message on chronojumpImporter copy of forceSensor, raceAnalyzer files by disk full or cloud files not downloaded. 
 src/chronojumpImporter.cs | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

Mon May 2 17:56:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added devices-2_2_2.dia with all the Discover devices stuff 
 diagrams/processes/devices-2_2_2.dia | Bin 0 -> 4862 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Mon May 2 16:35:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added missing chronopicRegister table on sqlite diagram 
 diagrams/sqlite/chronojump_sqlite.dia | Bin 22672 -> 23046 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Mon May 2 09:03:54 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 458 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 242 insertions(+), 216 deletions(-)

Mon May 2 10:59:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Micro Discover finds encoder 
 src/execute/arduinoCapture.cs | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

Mon May 2 10:58:52 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Arduino calls to waitResponse allow to cleanAllZeros (for Encoder discover) 
 src/execute/arduinoCapture.cs | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

Mon May 2 10:57:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Util.RemoveChar allows to remove totally or change by space (default) 
 src/util.cs | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

Fri Apr 29 21:14:08 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover code for Chronopic multitest but not working yet 
 src/execute/arduinoCapture.cs | 44 ++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 43 insertions(+), 1 deletion(-)

Fri Apr 29 20:10:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover can found an rfid (fast) 
 src/execute/arduinoCapture.cs | 40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

Fri Apr 29 20:05:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover can found an rfid (not yet with the fast method) 
 src/execute/arduinoCapture.cs | 64 +++++++++++++++++++++++++++++++++++++------
 1 file changed, 55 insertions(+), 9 deletions(-)

Fri Apr 29 19:29:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Gui for last commit (also with chronoDebug) 
 glade/preferences_win.glade | 14 ++++++++++++++
 src/gui/preferences.cs      | 22 ++++++++++++++++++++--
 2 files changed, 34 insertions(+), 2 deletions(-)

Fri Apr 29 19:28:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Arduino (micro) Discover can call Connect without need to wait for each micro 
 src/execute/arduinoCapture.cs | 132 +++++++++++++++++++++++++++++++++++-------
 1 file changed, 111 insertions(+), 21 deletions(-)

Fri Apr 29 19:26:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
ChronoDebug method to know time from Start to End 
 src/chronoDebug.cs | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

Fri Apr 29 10:56:14 2022 +0200 xpadulles <x.padulles@gmail.com>
Wifi controler accept "get_version:" as "local:get_version;" 
 arduino/WiFi/control/control.ino | 2 ++
 1 file changed, 2 insertions(+)

Fri Apr 29 10:15:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed execute/arduinoCapture.cs classes from Arduino to Micro 
 src/execute/arduinoCapture.cs | 90 +++++++++++++++++++++----------------------
 src/gui/preferences.cs        |  4 +-
 2 files changed, 47 insertions(+), 47 deletions(-)

Thu Apr 28 17:48:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Export session shows time needed in seconds instead of ms 
 src/gui/app1/session/export.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Apr 28 17:44:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Discover devices on preferences win / advanced 
 glade/preferences_win.glade | 15 ++++++++++++++-
 src/gui/preferences.cs      | 13 +++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)

Thu Apr 28 17:43:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Refactorized all the Arduino classes in order to allow ArduinoDiscover to process a List of ports 
 src/execute/arduinoCapture.cs | 231 +++++++++++++++++++++++++++++-------------
 src/execute/run.cs            |   2 +-
 src/gui/app1/chronojump.cs    |   8 +-
 3 files changed, 166 insertions(+), 75 deletions(-)

Thu Apr 28 17:41:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At run, if it get hung on WAITING 100 MS TO EXIT BUCLE, exit at checkDoubleContactTime * 1.5 
 src/execute/run.cs | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

Thu Apr 28 17:39:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed all the devices Discover from gui/chronopicRegister.cs 
 src/gui/chronopicRegister.cs | 49 --------------------------------------------
 1 file changed, 49 deletions(-)

Thu Apr 28 17:38:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Util.cs StringArrayToListString() 
 src/util.cs | 8 ++++++++
 1 file changed, 8 insertions(+)

Thu Apr 28 11:19:13 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SerialPort ArduinoComms.ArduinoPort as protected 
 src/execute/arduinoCapture.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 27 17:23:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Chronopic device win can call to ArduinoDiscover for any of the unknown devices 
 src/gui/chronopicRegister.cs | 52 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

Wed Apr 27 17:22:16 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
New class: ArduinoDiscover to discover devices, also timed waitResponse on Wichro 
 src/chronopicRegister.cs      |   2 +
 src/execute/arduinoCapture.cs | 214 ++++++++++++++++++++++++++++++++----------
 2 files changed, 165 insertions(+), 51 deletions(-)

Wed Apr 27 11:52:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
If on encoder capture tabs only show bars, ensure they fill all the space (with a timeout) 
 src/gui/app1/encoder.cs | 10 ++++++++++
 1 file changed, 10 insertions(+)

Wed Apr 27 11:52:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
If on encoder capture tab only signal has to be shown: show it. 
 src/gui/app1/encoder.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Wed Apr 27 11:25:17 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed _copy and behaviour of encoder configurations Now only one unnamed (last one) https://gitlab.gnome.org/GNOME/chronojump/-/issues/96 
 src/gui/app1/encoder.cs            | 32 +++++++++++++++++++++++++++++-
 src/sqlite/encoderConfiguration.cs | 40 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 1 deletion(-)

Wed Apr 27 11:24:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a potential sqlite bug on SqliteEncoderConfiguration.SelectByEconf 
 src/sqlite/encoderConfiguration.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 27 11:22:28 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Delete encoderConfiguration uses an specific method caring on encoderGI 
 src/gui/encoderConfiguration.cs    |  7 ++++---
 src/sqlite/encoderConfiguration.cs | 20 ++++++++++++++++++--
 2 files changed, 22 insertions(+), 5 deletions(-)

Tue Apr 26 17:01:09 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 248 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 127 insertions(+), 121 deletions(-)

Tue Apr 26 17:54:35 2022 +0200 xpadulles <x.padulles@gmail.com>
Arduino firmware managing comunication speed 
 .../ForceSensor/ForceSensor-0.5/ForceSensor-0.5.ino   | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

Tue Apr 26 17:20:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed RaceAnalyzer was not detecting properly firmware version. was 0.3 always, no problem. 
 src/gui/app1/runEncoder.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Tue Apr 26 17:07:06 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
cont of last commit 
 src/gui/cairo/raceAnalyzer.cs | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Tue Apr 26 16:58:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on raceAnalyzer capture after 2.2.1 
 src/gui/cairo/raceAnalyzer.cs | 9 +++++++--
 src/gui/cairo/xy.cs           | 2 +-
 2 files changed, 8 insertions(+), 3 deletions(-)

Tue Apr 26 15:19:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer fixed crash on load if no previous set has been loaded 
 src/gui/app1/runEncoder.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Tue Apr 26 13:04:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
gui improvement on encoderConfiguration: edit,duplicate, ... 
 glade/encoder_configuration.glade | 630 ++++++++++++++++++++++++++++----------
 src/gui/encoderConfiguration.cs   | 128 +++++++-
 2 files changed, 582 insertions(+), 176 deletions(-)

Mon Apr 25 17:29:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Added content_copy_blue.png 
 images/md/content_copy_blue.png | Bin 0 -> 4786 bytes
 src/Makefile.am                 |   1 +
 2 files changed, 1 insertion(+)

Mon Apr 25 16:43:59 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash on load a forceSensor set when currentForceSensor == null (no person changed) 
 src/gui/app1/forceSensor.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Mon Apr 25 12:24:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoPaintBarsPreJumpReactiveRealtimeCapture fixed avg (totaldist/totaltime instead of avg of each of the tracks) 
 src/gui/eventExecute.cs | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

Mon Apr 25 12:04:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RaceAnalyzer simple view: velocimeter width: 250px and don't grow on resize 
 glade/app1.glade | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

Mon Apr 25 11:26:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Jump simple tests barchart selection will select on treeview. Mouse limits correctly mixed tests with two bars with on bar 
 src/gui/cairo/bars.cs   | 13 +++++++++----
 src/gui/eventExecute.cs | 25 +++++++++++++++++++------
 2 files changed, 28 insertions(+), 10 deletions(-)

Mon Apr 25 11:05:47 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
X adjusts on CairoBarsNHSeries on showing jumps mixed with/without tc 
 src/gui/cairo/bars.cs | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

Mon Apr 25 10:24:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Run simple tests barchart selection will select on treeview 
 src/gui/eventExecute.cs | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

Fri Apr 22 19:37:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
JumpRj tests barchart selection will select on treeview and show on realtime graph 
 src/gui/cairo/bars.cs    |  3 +++
 src/gui/eventExecute.cs  | 25 +++++++++++++++++++++----
 src/gui/usefulObjects.cs |  6 ++++++
 3 files changed, 30 insertions(+), 4 deletions(-)

Fri Apr 22 19:20:11 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval tests barchart selection will select on treeview and show on realtime graph 
 glade/app1.glade           | 32 +++++++++++++++++++-------------
 src/gui/app1/chronojump.cs | 14 +++++++-------
 src/gui/cairo/bars.cs      | 23 +++++++++++++++++++++++
 src/gui/eventExecute.cs    | 39 ++++++++++++++++++++++++++++++++++++++-
 src/treeview/event.cs      | 29 +++++++++++++++++++++++++++--
 5 files changed, 114 insertions(+), 23 deletions(-)

Fri Apr 22 16:33:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bottom bar text size on test barplots like runInterval 
 src/gui/eventExecute.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Fri Apr 22 13:20:57 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 189 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 96 insertions(+), 93 deletions(-)

Fri Apr 22 11:26:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/gui/convertWeight.cs | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Fri Apr 22 11:21:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed Normal(Jumps|Runs) to Simple (Jumps|Runs) 
 src/execute/jump.cs         |  2 +-
 src/execute/reactionTime.cs |  2 +-
 src/exportSession.cs        |  2 +-
 src/gui/app1/chronojump.cs  | 24 ++++++++++++------------
 src/gui/app1/jump.cs        |  2 +-
 src/gui/app1/run.cs         |  2 +-
 src/gui/person/addModify.cs |  8 ++++----
 src/run.cs                  |  2 +-
 src/sqlite/jumpRj.cs        |  2 +-
 src/sqlite/personSession.cs |  4 ++--
 src/sqlite/session.cs       |  4 ++--
 src/treeview/jump.cs        |  2 +-
 12 files changed, 28 insertions(+), 28 deletions(-)

Fri Apr 22 11:05:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Sensitivity fixes on button_inspect_last_test_run(simple|intervallic). Unsensitivize on change_mode, delete tests, select another 
 glade/app1.glade           | 34 ++++++++++++++++++++--------------
 src/gui/app1/chronojump.cs | 12 ++++++++++++
 2 files changed, 32 insertions(+), 14 deletions(-)

Fri Apr 22 10:28:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoPaintBarsPre with ToString() and debug on ModeMatches() 
 src/gui/eventExecute.cs | 11 +++++++++++
 1 file changed, 11 insertions(+)

Fri Apr 22 10:23:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
PersonChange gui modifications act only on current_mode 
 src/gui/app1/chronojump.cs | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

Thu Apr 21 21:50:13 2022 +0200 Jordi Mas <jmas@softcatala.org>
Update Catalan translation 
 po/ca.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Thu Apr 21 17:05:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed: Cancel and Accept have the same icon (on generic window when there's only one widget) 
 src/gui/genericWindow.cs | 3 +++
 1 file changed, 3 insertions(+)

Thu Apr 21 14:59:31 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 181 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 92 insertions(+), 89 deletions(-)

Thu Apr 21 16:45:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
On change person, selectedJumpRj/selectedRunInterval = null. To avoid show graph on clicking rel_abs 
 src/gui/app1/chronojump.cs | 4 ++++
 1 file changed, 4 insertions(+)

Thu Apr 21 16:40:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Changed "Selected:" to "Viewing:" on jumpRj/runI realtime bargraphs when use selection from treeviews 
 src/gui/eventExecute.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Apr 21 16:36:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed distanceIntervalFixed 
 src/execute/run.cs | 28 ----------------------------
 1 file changed, 28 deletions(-)

Thu Apr 21 16:35:51 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval: Fixed distanceInterval, distancesString since recent commits 
 src/execute/run.cs         |  8 ++++----
 src/gui/app1/chronojump.cs | 11 ++++++++---
 src/gui/eventExecute.cs    | 33 +++++++++++++++++----------------
 src/gui/usefulObjects.cs   | 14 ++++++--------
 4 files changed, 35 insertions(+), 31 deletions(-)

Thu Apr 21 16:23:17 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval: fixed distance, time, speed on agility tests (distancesString != "") since reversed bars 
 src/gui/eventExecute.cs | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

Thu Apr 21 16:07:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval: Fixed distance/time accumulated since bars where reversed 
 src/gui/eventExecute.cs | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Wed Apr 20 17:48:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed crash on select a unlimited runInterval test according to diff " with ' : https://gitlab.gnome.org/GNOME/chronojump/-/issues/698 
 src/sqlite/runType.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Wed Apr 20 17:48:25 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Overriden ToString() on runType to debug 
 src/runType.cs | 11 +++++++++++
 1 file changed, 11 insertions(+)

Wed Apr 20 11:12:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Wichro CairoBars show photocell cut at edges of each bar 
 src/execute/run.cs    | 18 +++++++++++++++---
 src/gui/cairo/bars.cs | 25 +++++++++++++++++++------
 2 files changed, 34 insertions(+), 9 deletions(-)

Wed Apr 20 11:10:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Overriden ToString() on RunInterval (to debug) 
 src/run.cs | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

Wed Apr 20 11:05:46 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Run Interval since recent commits 
 src/gui/usefulObjects.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 20 11:00:33 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Run simple since recent commits 
 src/gui/usefulObjects.cs | 2 +-
 src/sqlite/run.cs        | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

Wed Apr 20 10:38:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Run interval (realtime top graph) since recent commits 
 src/gui/eventExecute.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 20 10:36:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Jump rj (realtime top graph) since recent commits 
 src/gui/eventExecute.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 20 10:32:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Jump rj since recent commits 
 src/gui/usefulObjects.cs | 2 +-
 src/sqlite/jumpRj.cs     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Wed Apr 20 10:31:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Missing on last commit 
 src/sqlite/main.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Apr 20 10:28:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed bars order on Jump simple since recent commits 
 src/gui/usefulObjects.cs | 2 +-
 src/sqlite/jump.cs       | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

Wed Apr 20 10:14:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBars: Fixed not showing text on printTextMultiline since recent comits 
 src/gui/cairo/bars.cs | 3 +++
 1 file changed, 3 insertions(+)

Tue Apr 19 12:36:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBars runInterval realtime wichro code is shown at edge of bar 
 src/gui/cairo/bars.cs   | 32 ++++++++++++++++++++++++++++++--
 src/gui/eventExecute.cs |  6 +++++-
 2 files changed, 35 insertions(+), 3 deletions(-)

Tue Apr 19 12:36:17 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBars barWidth is inherited properly 
 src/gui/cairo/bars.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Tue Apr 19 12:35:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBars printTextInBar can have rectangle around text 
 src/gui/cairo/bars.cs | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

Tue Apr 19 12:02:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval realtime graph has no spaces between bars to show continuiti 
 src/gui/cairo/bars.cs   | 9 +++++++++
 src/gui/eventExecute.cs | 2 ++
 2 files changed, 11 insertions(+)

Mon Apr 18 08:55:27 2022 +0000 Asier Sarasua Garmendia <asiersarasua@ni.eus>
Update Basque translation 
 po/eu.po | 2045 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1030 insertions(+), 1015 deletions(-)

Fri Apr 15 17:50:16 2022 +0000 Enrico Nicoletto <hiko@duck.com>
Update Brazilian Portuguese translation 
 po/pt_BR.po | 2096 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1045 insertions(+), 1051 deletions(-)

Thu Apr 14 17:37:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At realtime bars do not show photocell values (-1s) for non Wichro 
 src/gui/cairo/bars.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Apr 14 17:37:11 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
on bars, photocell_l can be seen at any selected runInterval (wichro) 
 src/gui/app1/chronojump.cs | 2 +-
 src/gui/eventExecute.cs    | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

Thu Apr 14 17:36:40 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
At runInterval end (insert), photocell_l is inserted 
 src/execute/run.cs | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Thu Apr 14 17:35:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
photocell_l implemented on RunInterval class 
 src/run.cs | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

Thu Apr 14 17:34:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB:2.38 alter table runInterval, tempRunInterval add photocellStr 
 src/sqlite/main.cs        | 18 +++++++++++++++++-
 src/sqlite/runInterval.cs | 22 +++++++++++++---------
 2 files changed, 30 insertions(+), 10 deletions(-)

Thu Apr 14 17:31:50 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Updated sqlite diagram to DB: 2.38 
 diagrams/sqlite/chronojump_sqlite.dia | Bin 22605 -> 22672 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Thu Apr 14 12:57:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cont of last commit 
 src/execute/run.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Thu Apr 14 12:56:09 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
RunInterval: Wichro photocell previous to biggest contact is displayed on cairo barchart 
 src/execute/run.cs         | 21 +++++++++++++++++----
 src/gui/app1/chronojump.cs |  2 +-
 src/gui/cairo/bars.cs      | 15 +++++++++++++++
 src/gui/eventExecute.cs    | 17 +++++++++++++----
 src/gui/usefulObjects.cs   |  5 ++++-
 5 files changed, 50 insertions(+), 10 deletions(-)

Thu Apr 14 11:32:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Wichro know which photocell is before the biggest contact (50% done) 
 src/execute/run.cs        |  9 +++++----
 src/execute/runObjects.cs | 35 ++++++++++++++++++++++++++---------
 2 files changed, 31 insertions(+), 13 deletions(-)

Wed Apr 13 11:46:44 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change cont of last commit 
 glade/app1.glade | 1 -
 1 file changed, 1 deletion(-)

Wed Apr 13 11:44:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Red photocells running mark, should show photocell number on Wichro 
 glade/app1.glade           | 37 ++++++++++++++++++++++++++++++++++++-
 src/execute/run.cs         | 35 ++++++++++++++++++++++++++---------
 src/execute/runObjects.cs  | 15 ++++++++++++++-
 src/gui/app1/chronojump.cs |  6 ++++--
 src/gui/app1/icons.cs      |  5 +++--
 5 files changed, 83 insertions(+), 15 deletions(-)

Wed Apr 13 11:12:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
encoder capture vpaned/hpaned adjust better. Bars grow on vertical window resize. table grows on horizontal window resize. 
 glade/app1.glade | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

Mon Apr 11 18:31:01 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 813 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 405 insertions(+), 408 deletions(-)

Mon Apr 11 12:35:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
In inertial encoder analysis all sessions, round the equivalent mass, and add " Kg" 
 encoder/graph.R | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Mon Apr 11 12:14:25 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder analyze can filter repetitions by laterality 
 glade/app1.glade                    | 48 ++++++++++++++++++--------
 src/gui/app1/encoder.cs             | 68 +++++++++++++++++++++++++++++++++----
 src/gui/encoderSelectRepetitions.cs | 21 ++++++++----
 src/sqlite/encoder.cs               | 12 +++++--
 4 files changed, 119 insertions(+), 30 deletions(-)

Mon Apr 11 11:19:42 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Deleted unused code on EncoderSelectRepetitions 
 src/gui/encoderSelectRepetitions.cs | 44 -------------------------------------
 1 file changed, 44 deletions(-)

Mon Apr 11 10:29:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder preferences X on graph {mass eq / IM / diameter} shown on vertical 
 glade/preferences_win.glade | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Sun Apr 10 12:54:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed reverse signal on CairoGraphEncoderSignal when screen height is very low 
 src/gui/cairo/encoder.cs | 5 +++++
 src/gui/cairo/xy.cs      | 9 +++++++++
 2 files changed, 14 insertions(+)

Sun Apr 10 12:36:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a potential crash on CairoGraphEncoderSignal with no data 
 src/gui/cairo/encoder.cs | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Fri Apr 8 20:13:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed one line in last commit 
 src/gui/networks.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Fri Apr 8 20:04:31 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Moved encoder signal to side of results table. Deleted all old encoder video frame (previous to ffmpeg). 
 glade/app1.glade        | 702 +++++++++++-------------------------------------
 src/gui/app1/encoder.cs | 122 +--------
 src/gui/networks.cs     |   5 -
 src/gui/webcam.cs       |  27 --
 4 files changed, 163 insertions(+), 693 deletions(-)

Fri Apr 8 19:40:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash on CairoBars encoder since recent commits 
 src/gui/eventExecute.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Fri Apr 8 19:20:20 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
removed gui/encoderGraphObjects.cs from POTFILES.in 
 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

Fri Apr 8 19:16:15 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Removed Encoder gtk bars graph (1423 lines deleted) 
 glade/app1.glade               |   53 +-
 src/Makefile.am                |    1 -
 src/gui/app1/chronojump.cs     |   24 +-
 src/gui/app1/encoder.cs        |  152 +----
 src/gui/encoderGraphObjects.cs | 1223 ----------------------------------------
 src/gui/networks.cs            |    3 +-
 6 files changed, 33 insertions(+), 1423 deletions(-)

Fri Apr 8 18:28:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Code clean 
 src/gui/cairo/bars.cs   | 12 +++++-------
 src/gui/eventExecute.cs | 22 ++++++++--------------
 2 files changed, 13 insertions(+), 21 deletions(-)

Fri Apr 8 18:28:04 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
repCriteria implemented on historic data on CairoBars encoder 
 src/gui/cairo/bars.cs   | 59 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/gui/eventExecute.cs | 17 ++++++++++++--
 src/preferences.cs      |  7 ++++++
 3 files changed, 81 insertions(+), 2 deletions(-)

Fri Apr 8 10:57:56 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 652 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 329 insertions(+), 323 deletions(-)

Fri Apr 8 12:30:58 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder overview window implements repCriteria 
 src/gui/overview.cs   |  9 +++++----
 src/sqlite/encoder.cs | 21 ++++++++++++++++-----
 2 files changed, 21 insertions(+), 9 deletions(-)

Fri Apr 8 12:30:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
findMaxPowerSpeedForceIntersession implements repCriteria 
 src/gui/app1/encoder.cs | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Fri Apr 8 12:28:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
setLastEncoderSQLSignal() implements repCriteria 
 src/gui/app1/encoder.cs | 1 +
 1 file changed, 1 insertion(+)

Fri Apr 8 12:27:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
SqliteEncoder Insert, Update, Select implement repCriteria 
 src/sqlite/encoder.cs | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

Fri Apr 8 12:23:49 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
EncoderSQL implements repCriteria 
 src/encoder.cs | 3 +++
 1 file changed, 3 insertions(+)

Fri Apr 8 12:22:29 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB: 2.37. ALTER TABLE encoder add repCriteria 
 src/sqlite/encoder.cs |  3 ++-
 src/sqlite/main.cs    | 18 +++++++++++++++++-
 2 files changed, 19 insertions(+), 2 deletions(-)

Fri Apr 8 12:03:00 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better code for findMaxPowerSpeedForceIntersession() 
 src/gui/app1/encoder.cs | 65 +++++++++++++++++++------------------------------
 1 file changed, 25 insertions(+), 40 deletions(-)

Thu Apr 7 14:52:43 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Chronojump sqlite diagram for DB: 2.37 
 diagrams/sqlite/chronojump_sqlite.dia | Bin 22554 -> 22605 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

Thu Apr 7 14:07:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder overview reps: show contraction 
 src/encoder.cs        | 17 ++++++++++++-----
 src/gui/overview.cs   | 13 +++++++++----
 src/sqlite/encoder.cs | 19 ++++++++++++-------
 3 files changed, 33 insertions(+), 16 deletions(-)

Thu Apr 7 12:04:32 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor gui changes on session/person icons and session name on bold 
 glade/app1.glade           | 61 ++++++++++++++++------------------------------
 src/gui/app1/chronojump.cs |  5 ++--
 src/gui/app1/icons.cs      | 12 +++------
 3 files changed, 27 insertions(+), 51 deletions(-)

Thu Apr 7 11:36:21 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed Chronojump importer issue: https://gitlab.gnome.org/GNOME/chronojump/-/issues/691 
 src/chronojump-importer/chronojump_importer.py | 30 ++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Thu Apr 7 11:35:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
More height for gui import results (to allow showing any error message) 
 glade/app1.glade | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

Wed Apr 6 17:29:45 2022 +0200 xpadulles <x.padulles@gmail.com>
Wifi terminal. Cleaning debug prints 
 arduino/WiFi/terminal/V3/terminal/terminal.ino | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Wed Apr 6 12:10:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder overview reps (grav or inertial) show also meanSpeed, meanForce (was only showing meanPower) 
 src/gui/overview.cs   | 14 ++++++++------
 src/sqlite/encoder.cs | 12 +++++++-----
 2 files changed, 15 insertions(+), 11 deletions(-)

Wed Apr 6 11:58:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Saving an ecc-con rep stores meanPower, meanSpeed, meanForce according to EncoderRepetitionCriteria 
 src/gui/app1/encoder.cs | 23 ++++++++++++++++++++---
 src/preferences.cs      |  2 +-
 2 files changed, 21 insertions(+), 4 deletions(-)

Wed Apr 6 11:31:30 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cleaner code using preferences.GetEncoderRepetitionCriteria() 
 src/gui/app1/encoder.cs     | 6 +-----
 src/gui/encoderTreeviews.cs | 5 ++---
 src/preferences.cs          | 8 ++++++++
 3 files changed, 11 insertions(+), 8 deletions(-)

Tue Apr 5 18:37:26 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1373 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 689 insertions(+), 684 deletions(-)

Tue Apr 5 18:00:14 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder save best rep, best n reps, consecutive uses RepCriteria of previous commits 
 src/encoder.cs               | 74 +++++++++++++++++++++++++++++++++-----------
 src/gui/app1/encoder.cs      |  6 +++-
 src/gui/encoderTreeviews.cs  | 18 +++++++----
 src/json/compujumpEncoder.cs | 12 +++----
 4 files changed, 79 insertions(+), 31 deletions(-)

Tue Apr 5 16:53:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Implemented on preferences gui: encoderRepetitionCriteriaGravitatory, encoderRepetitionCriteriaInertial 
 glade/preferences_win.glade | 20 +++++++-------
 src/gui/preferences.cs      | 65 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+), 10 deletions(-)

Tue Apr 5 16:52:51 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
DB: 2.36 Inserted into preferences: encoderRepetitionCriteriaGravitatory, encoderRepetitionCriteriaInertial 
 src/preferences.cs        |  3 +++
 src/sqlite/main.cs        | 16 +++++++++++++++-
 src/sqlite/preferences.cs | 13 ++++++++++++-
 3 files changed, 30 insertions(+), 2 deletions(-)

Tue Apr 5 16:06:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Preferences encoder can select criteria for best ecc-con repetition 
 glade/preferences_win.glade | 334 +++++++++++++++++++++++++++++++++++++++++++-
 src/gui/preferences.cs      |   5 +
 2 files changed, 334 insertions(+), 5 deletions(-)

Tue Apr 5 12:58:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash on dispose cairobars encoder when drawingarea has not been shown yet 
 src/gui/cairo/generic.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Apr 5 12:28:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed networks get encoder exercises on inertial on 3.1 
 src/json/compujump.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Apr 5 11:06:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
findMaxPowerSpeedForceIntersession now shows the date on inertial 
 src/gui/app1/encoder.cs | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

Mon Apr 4 18:02:34 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed a crash at encoder capture on last commit 
 src/gui/eventExecute.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Mon Apr 4 13:25:35 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder CairoBarplot only recalculate all stuff if is not an expose-event 
 src/gui/app1/chronojump.cs |  2 +-
 src/gui/app1/encoder.cs    | 21 +++++++++++----------
 src/gui/eventExecute.cs    | 19 ++++++-------------
 3 files changed, 18 insertions(+), 24 deletions(-)

Mon Apr 4 12:14:45 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Implemented eccentric overload on encoder CairoBars plot 
 src/gui/cairo/bars.cs    | 62 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/gui/cairo/encoder.cs |  1 -
 src/gui/eventExecute.cs  | 41 +++++++++++++++++++++++++-------
 3 files changed, 95 insertions(+), 9 deletions(-)

Fri Apr 1 18:28:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder capture cont do not show Previous set, as Capturing is being shown 
 src/gui/app1/encoder.cs | 5 +++++
 1 file changed, 5 insertions(+)

Fri Apr 1 16:14:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder save barplot button saves the cairo graph 
 src/gui/app1/encoder.cs | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Fri Apr 1 16:13:54 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 src/gui/app1/encoder.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Fri Apr 1 16:13:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarplot shows message at capture start 
 src/gui/app1/encoder.cs |  9 +++++++++
 src/gui/cairo/bars.cs   |  6 +++---
 src/gui/eventExecute.cs | 31 ++++++++++++++++++++++++-------
 3 files changed, 36 insertions(+), 10 deletions(-)

Fri Apr 1 16:11:57 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarplot encoder is erased when needed 
 src/gui/app1/encoder.cs | 5 +++++
 1 file changed, 5 insertions(+)

Fri Apr 1 16:09:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarplot encoder does not need to check if encoderGraphDoPlot != null 
 src/gui/app1/chronojump.cs |  41 ++++++++-------
 src/gui/app1/encoder.cs    | 122 ++++++++++++++++++++++-----------------------
 2 files changed, 79 insertions(+), 84 deletions(-)

Fri Apr 1 10:37:10 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Encoder CairoBars use preferences.encoderCaptureBarplotFontSize for font above bars 
 src/gui/cairo/bars.cs   | 12 ++++++------
 src/gui/eventExecute.cs |  4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

Thu Mar 31 15:45:37 2022 +0000 Federico Perego <perego.f59@gmail.com>
Update Italian translation 
 po/it.po | 5063 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2736 insertions(+), 2327 deletions(-)

Thu Mar 31 13:40:18 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Much better code for CairoBarsNHSeries X, and .5 between bars groups. Easier to change ratios. Maybe future on preferences. 
 src/gui/cairo/bars.cs | 50 +++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 37 insertions(+), 13 deletions(-)

Thu Mar 31 12:57:56 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder fixed nums under bars on ShowNReps since lasts commits 
 src/gui/eventExecute.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Mar 31 12:40:41 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed position of an ecc phase while capture on CairoBarsNHSeries since lasts commits 
 src/gui/eventExecute.cs | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Thu Mar 31 12:39:55 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed lossArrow and alternative line on CairoBarsNHSeries since last commits 
 src/gui/cairo/bars.cs | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Thu Mar 31 12:15:25 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder, fixed mouseLimits on CairoBars1Series since last commits 
 src/gui/cairo/bars.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Thu Mar 31 11:18:07 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBars clickable mark adapted to last encoder margins 
 src/gui/cairo/bars.cs    | 14 ++++++++++++--
 src/gui/cairo/generic.cs |  7 ++++++-
 2 files changed, 18 insertions(+), 3 deletions(-)

Thu Mar 31 11:17:02 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Much better code for CairoBars1Series X, and .7 between bars. Easier to change ratios. Maybe future on preferences. 
 src/gui/cairo/bars.cs | 35 ++++++++++++++++++++++++++++++-----
 1 file changed, 30 insertions(+), 5 deletions(-)

Thu Mar 31 11:16:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Better left/right margins for CairoBarsEncoder 
 src/gui/cairo/bars.cs | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

Thu Mar 31 11:15:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed CairoBarsEncoder bars order, line, arrow since last commit 
 src/gui/cairo/bars.cs   | 8 ++++----
 src/gui/eventExecute.cs | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Thu Mar 31 09:41:48 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder manages correctly showNRepetitions while capture 
 src/gui/eventExecute.cs | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Thu Mar 31 09:40:19 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed an eventual crash on g.LineWidth at encoderSignal graph when there's no graph 
 src/gui/cairo/encoder.cs | 4 ++++
 1 file changed, 4 insertions(+)

Tue Mar 29 19:03:01 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder show saved repetitions 
 src/gui/cairo/bars.cs   | 85 ++++++++++++++++++++++++++++++++++++++++---------
 src/gui/eventExecute.cs | 15 ++++++---
 2 files changed, 81 insertions(+), 19 deletions(-)

Tue Mar 29 17:44:53 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Fixed not using of ComputeAsElastic on forceSensorExercise gui. Could make a change on eccMin, conMin not updated on DB. 
 src/gui/forceSensorExercise.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Tue Mar 29 13:24:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder has lower space on top of bars (like old gtk graph) 
 src/gui/cairo/bars.cs   | 37 ++++++++++++++++++++++++++-----------
 src/gui/eventExecute.cs | 24 ++++++++++++------------
 2 files changed, 38 insertions(+), 23 deletions(-)

Tue Mar 29 12:53:24 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder title in bold and really at top 
 src/gui/cairo/bars.cs | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

Tue Mar 29 12:34:20 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder with same color for ecc than con 
 src/gui/eventExecute.cs | 29 +++++++++--------------------
 1 file changed, 9 insertions(+), 20 deletions(-)

Tue Mar 29 12:30:39 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder "e","c" at bootom of each bar instead of Ecc,Con on firsts 
 src/gui/cairo/bars.cs   | 4 ++--
 src/gui/eventExecute.cs | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Tue Mar 29 11:38:26 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
CairoBarsEncoder on ec at capturing if last is ecc, a con is send as null (in order to draw last ecc correctly) 
 src/gui/cairo/bars.cs   | 28 ++++++++++++++++++++++++++--
 src/gui/eventExecute.cs |  8 ++++++++
 2 files changed, 34 insertions(+), 2 deletions(-)

Tue Mar 29 11:20:58 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Do not try to draw encoder signal cairo if user don't want it 
 src/gui/app1/encoder.cs | 3 +++
 1 file changed, 3 insertions(+)

Tue Mar 29 09:33:23 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Renamed cairoBars variables (also on gui/eventExecute.cs) 
 src/gui/cairo/bars.cs   | 106 ++++++++++++++++++++++++------------------------
 src/gui/eventExecute.cs |  61 +++++++++++++---------------
 2 files changed, 82 insertions(+), 85 deletions(-)

Mon Mar 28 17:30:27 2022 +0200 Xavier de Blas <xaviblas@gmail.com>
Cairo encoder bars title managing loss color done! 
 src/gui/cairo/bars.cs   | 110 +++++++++++++++++++++++++++++++++++++++++++-----
 src/gui/eventExecute.cs |  45 ++++++++++----------
 2 files changed, 122 insertions(+), 33 deletions(-)

Mon Mar 28 16:17:11 2022 +0200 xpadulles <x.padulles@gmail.com>
Wifi. Fixed discoverTerminals 
 .../WiFi/terminal/Current/terminal/terminal.ino    |  9 ++++----
 arduino/WiFi/terminal/V3/terminal/terminal.ino     | 27 +++++++++++++++-------
 arduino/WiFi/terminal/V4/terminal/terminal.ino     | 14 +++++------
 3 files changed, 31 insertions(+), 19 deletions(-)

Sun Mar 27 20:43:43 2022 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>
Update Swedish translation 
 po/sv.po | 843 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 429 insertions(+), 414 deletions(-)

Sat Mar 26 21:44:25 2022 +0000 Asier Sarasua Garmendia <asiersarasua@ni.eus>
Update Basque translation 
 po/eu.po | 8529 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 4955 insertions(+), 3574 deletions(-)

Fri Mar 25 18:55:09 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder CairoBarplot prepareTitle calculations done: sum/count saved, workTotal, impulseTotal, ... 
 src/gui/app1/chronojump.cs |   1 +
 src/gui/app1/encoder.cs    |  11 ++--
 src/gui/eventExecute.cs    | 140 ++++++++++++++++++++++++++++++++++++++++++---
 3 files changed, 139 insertions(+), 13 deletions(-)

Fri Mar 25 14:10:09 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder cairo barplot draws loss arrow 
 src/gui/cairo/bars.cs   | 29 +++++++++++++++++++++++++++++
 src/gui/eventExecute.cs | 12 ++++++++++++
 2 files changed, 41 insertions(+)

Fri Mar 25 14:09:40 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBarsArrow class to manage free arrow on bars 
 src/gui/cairo/bars.cs | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

Fri Mar 25 14:08:32 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
plotArrowFree() for drawing free arrows on Cairo 
 src/gui/cairo/generic.cs | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

Thu Mar 24 17:52:16 2022 +0100 Piotr Drąg <piotrdrag@gmail.com>
Update POTFILES.in 
 po/POTFILES.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Thu Mar 24 17:26:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Force update spin_encoder_im_weights_n even if it's not viewed (it is used on inertia moment calculation at start, and it failed on one machine) 
 src/gui/app1/encoder.cs | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Thu Mar 24 17:23:43 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Do not use this SqlitePreferences EncoderMassGravitatory, EncoderWeightsInertial. Just use encoderConfiguration (active) 
 src/gui/app1/encoder.cs   | 6 ++++++
 src/sqlite/preferences.cs | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

Thu Mar 24 17:17:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
EncoderGravitatori: Fixed not update label_encoder_displaced_weight (test view) on Open Chronojump or change from inertial (and combo exercise has not changed because it's both) 
 src/gui/app1/chronojump.cs | 1 +
 1 file changed, 1 insertion(+)

Thu Mar 24 15:15:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated Windows Chronopic drivers CDM21228 -> CDM212364 (2021-07-15) 
 win32/chronojump_innosetup.iss.in      |   4 ++--
 win32/deps/drivers/CDM21228_Setup.exe  | Bin 2450369 -> 0 bytes
 win32/deps/drivers/CDM212364_Setup.exe | Bin 0 -> 2264632 bytes
 3 files changed, 2 insertions(+), 2 deletions(-)

Thu Mar 24 12:45:53 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed a potential crash on buttonpress a cairobars graph when graph is not created 
 src/gui/eventExecute.cs | 3 +++
 1 file changed, 3 insertions(+)

Thu Mar 24 12:45:16 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added a comment on missing dll at certain users on chronojump-importer py script 
 howto_new_version.txt | 2 ++
 1 file changed, 2 insertions(+)

Wed Mar 23 17:31:25 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars encoder do not show grid/axis/white rectangle under resultOnBar 
 src/gui/cairo/bars.cs   | 49 +++++++++++++++++++++++++++++++++----------------
 src/gui/eventExecute.cs | 20 ++++++++++----------
 2 files changed, 43 insertions(+), 26 deletions(-)

Wed Mar 23 17:21:37 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars clickable moved from PassData to the constructor 
 src/gui/cairo/bars.cs   | 22 +++++++++++-----------
 src/gui/eventExecute.cs | 40 ++++++++++++++++++++--------------------
 2 files changed, 31 insertions(+), 31 deletions(-)

Wed Mar 23 17:03:42 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars alternative line under results on bar 
 src/gui/cairo/bars.cs | 37 ++++++++++++++++++++++---------------
 1 file changed, 22 insertions(+), 15 deletions(-)

Wed Mar 23 16:42:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars alternative line is now linepoint 
 src/gui/cairo/bars.cs | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

Wed Mar 23 16:30:45 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars encoder display an alternative line (default: range of movement) 
 src/gui/cairo/bars.cs   | 71 +++++++++++++++++++++++++++++++++++++++++++++++--
 src/gui/eventExecute.cs | 17 +++++++-----
 src/utilMath.cs         |  9 +++++++
 3 files changed, 88 insertions(+), 9 deletions(-)

Wed Mar 23 11:57:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Several optimizations to CairoBars text above bar 
 src/gui/cairo/bars.cs   | 34 ++++++++++++++++++++++++----------
 src/gui/eventExecute.cs | 20 ++++++++++----------
 2 files changed, 34 insertions(+), 20 deletions(-)

Wed Mar 23 11:15:55 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better passing objects to CairoGraphs: GraphDo (added PassDataX methods) 
 src/gui/cairo/bars.cs   | 40 +++++++++++++++++++++++++++++++---------
 src/gui/eventExecute.cs | 47 +++++++++++++++++++++++++----------------------
 2 files changed, 56 insertions(+), 31 deletions(-)

Tue Mar 22 17:38:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoPaintBarplotPreEncoder uses new FeedbackEncoder class, adding more stuff to the Cairo graph 
 src/gui/app1/chronojump.cs     |   5 +-
 src/gui/app1/encoder.cs        |  10 +-
 src/gui/encoderGraphObjects.cs |   2 +-
 src/gui/eventExecute.cs        | 233 ++++++++++++++++++++++++++++++++++++++---
 src/gui/usefulObjects.cs       |  10 +-
 5 files changed, 237 insertions(+), 23 deletions(-)

Tue Mar 22 17:37:59 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added FeedbackEncoder class (feedback store info on feedbackWin will be removed) 
 src/Makefile.am |   1 +
 src/feedback.cs | 142 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 143 insertions(+)

Tue Mar 22 15:11:53 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed typo on catalan translation 
 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Mon Mar 21 17:16:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed last commit 
 src/gui/cairo/bars.cs   | 11 +++++------
 src/gui/eventExecute.cs | 28 ++++++++++++++--------------
 2 files changed, 19 insertions(+), 20 deletions(-)

Mon Mar 21 17:01:07 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder cairo barplot do not show legend 
 src/gui/cairo/bars.cs   | 19 ++++++++++++++-----
 src/gui/eventExecute.cs | 20 ++++++++++----------
 2 files changed, 24 insertions(+), 15 deletions(-)

Mon Mar 21 16:43:14 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Treeviews jump/races show datetime in YYYY-MM-DD hh:mm:ss 
 src/treeview/jump.cs | 6 +++---
 src/treeview/run.cs  | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

Mon Mar 21 16:42:56 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder bars show clickable icon when not capturing 
 src/gui/eventExecute.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Mon Mar 21 13:21:47 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder capture bars with a clickable icon 
 src/gui/cairo/bars.cs   | 11 ++++++++---
 src/gui/eventExecute.cs | 20 ++++++++++----------
 2 files changed, 18 insertions(+), 13 deletions(-)

Mon Mar 21 13:12:36 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Clickable mark added to 5 cairo graphs: JumpsDjOptimalFallGraph, JumpsWeightFVProfileGraph, JumpsRjFatigueGraph, Jumps/time, Races/time 
 src/gui/cairo/jumpsDjOptimalFall.cs   | 3 ++-
 src/gui/cairo/jumpsRjFatigue.cs       | 1 +
 src/gui/cairo/jumpsRunsEvolution.cs   | 3 ++-
 src/gui/cairo/jumpsWeightFVProfile.cs | 3 ++-
 4 files changed, 7 insertions(+), 3 deletions(-)

Mon Mar 21 13:08:43 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
JumpsRjFatigue graph linepoint (was lines) and do not show prediction with just 1 point (Rj of 1 jump) 
 src/gui/cairo/jumpsRjFatigue.cs | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Mon Mar 21 12:58:22 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added icon and method to display which Cairo graphs are clickable 
 images/md/outline_mouse_black_18dp.png | Bin 0 -> 265 bytes
 src/Makefile.am                        |   1 +
 src/gui/cairo/generic.cs               |  11 ++++++++++-
 src/gui/cairo/xy.cs                    |   2 +-
 4 files changed, 12 insertions(+), 2 deletions(-)

Mon Mar 21 12:18:11 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Cairo jumps/time, races/time, jumpsDjOptimal: Fixed showing graph of previous data in graph with no points on button_press 
 src/gui/app1/jumpsDjOptimalFall.cs | 2 +-
 src/gui/app1/jumpsRunsEvolution.cs | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

Mon Mar 21 12:14:15 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed possible zooming on mouse click on jumps/runs evolutionie show best jump 
 src/gui/cairo/xy.cs | 2 ++
 1 file changed, 2 insertions(+)

Mon Mar 21 10:50:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
All the "repetitiveConditions" stuff renamed "feedback" 
 ...{repetitive_conditions.glade => feedback.glade} |   2 +-
 src/Makefile.am                                    |   4 +-
 src/execute/event.cs                               |   2 +-
 src/execute/jump.cs                                |   4 +-
 src/execute/run.cs                                 |   4 +-
 src/gui/app1/chronojump.cs                         | 105 +++++++++++----------
 src/gui/app1/encoder.cs                            |  30 +++---
 src/gui/encoderGraphObjects.cs                     |  18 ++--
 src/gui/encoderTreeviews.cs                        |  88 ++++++++---------
 src/gui/eventExecute.cs                            |  12 +--
 src/gui/{repetitiveConditions.cs => feedback.cs}   |  48 +++++-----
 src/gui/networks.cs                                |  18 ++--
 src/gui/usefulObjects.cs                           |   6 +-
 13 files changed, 174 insertions(+), 167 deletions(-)

Mon Mar 21 10:28:29 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Button feedback unsensitive in JumpsRj as feedback is not used while moved to Cairo. Sensitivize again when feedback is implemented again. 
 src/gui/app1/chronojump.cs | 1 -
 1 file changed, 1 deletion(-)

Fri Mar 18 18:44:04 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars clickable. Implemented on encoder: can select/deselect reps 
 glade/app1.glade         | 31 +++++++++++++++++++------------
 src/gui/app1/encoder.cs  | 19 +++++++++++++++++++
 src/gui/cairo/bars.cs    | 30 ++++++++++++++++++++++++++++++
 src/gui/eventExecute.cs  | 15 +++++++++------
 src/gui/usefulObjects.cs | 10 +++++++++-
 5 files changed, 86 insertions(+), 19 deletions(-)

Fri Mar 18 17:12:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars can show text in bars (even rotated) implemented on encoder barplot 
 src/gui/cairo/bars.cs   | 89 +++++++++++++++++++++++++++++++++++++++++++------
 src/gui/eventExecute.cs | 10 ++++++
 2 files changed, 89 insertions(+), 10 deletions(-)

Fri Mar 18 07:55:52 2022 +0000 Yuri Chornoivan <yurchor@ukr.net>
Update Ukrainian translation 
 po/uk.po | 1496 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 754 insertions(+), 742 deletions(-)

Thu Mar 17 16:47:15 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder gtk graph colors copied to CairoBars graph (also implemented discardFirstN...) 
 src/gui/app1/chronojump.cs |   5 +-
 src/gui/app1/encoder.cs    |  15 ++++--
 src/gui/cairo/bars.cs      |  47 +++++++++++++---
 src/gui/cairo/generic.cs   |   3 +-
 src/gui/eventExecute.cs    | 131 ++++++++++++++++++++++++++++++++++++++++-----
 src/gui/usefulObjects.cs   |  10 +++-
 6 files changed, 185 insertions(+), 26 deletions(-)

Thu Mar 17 13:42:23 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Minor: renamed CairoBars1Series point_l to pointMain_L 
 src/gui/cairo/bars.cs | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Thu Mar 17 13:25:17 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars parameters passed as Main_l and Secondary_ll, and can be selected order. Implemented for all bar graphs. 
 src/gui/cairo/bars.cs   | 57 +++++++++++++++++++------------------------------
 src/gui/eventExecute.cs | 45 +++++++++++++++++---------------------
 2 files changed, 41 insertions(+), 61 deletions(-)

Thu Mar 17 13:04:55 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added clarifying message on preferences jumps Rj show heights/times if they are displayed with non-reactive jumps. 
 glade/preferences_win.glade | 39 ++++++++++++++++++++++++++++++++++++---
 src/gui/preferences.cs      |  8 ++++++++
 2 files changed, 44 insertions(+), 3 deletions(-)

Thu Mar 17 10:14:21 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoBars can be passed number of decimals. Implemented on encoder. 
 src/gui/cairo/bars.cs   | 26 ++++++++++++++++----------
 src/gui/eventExecute.cs | 30 +++++++++++++++---------------
 2 files changed, 31 insertions(+), 25 deletions(-)

Thu Mar 17 09:56:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
First implementation of encoder Cairo bars (all eccons) work at realtime capture, load, resize, recalculate, after feedback window. 
 glade/app1.glade           |  28 ++++++++-
 src/gui/app1/chronojump.cs |  16 +++++
 src/gui/app1/encoder.cs    |  80 +++++++++++++++++++++++-
 src/gui/cairo/bars.cs      |  12 +++-
 src/gui/eventExecute.cs    | 147 ++++++++++++++++++++++++++++++++++++++++++++-
 src/gui/usefulObjects.cs   |  54 ++++++++++++++++-
 6 files changed, 328 insertions(+), 9 deletions(-)

Thu Mar 17 09:43:45 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cairoXY was not plotting xy graphs since last two commits. Fixed. 
 src/gui/cairo/xy.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Wed Mar 16 11:35:31 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoXY calculatPaintX/Y with fast? method. Implemented on encoder signal. 
 src/gui/cairo/encoder.cs      | 17 ++++++++-
 src/gui/cairo/raceAnalyzer.cs |  2 +-
 src/gui/cairo/xy.cs           | 85 +++++++++++++++++++++++++++++++++++++++----
 3 files changed, 94 insertions(+), 10 deletions(-)

Tue Mar 15 17:22:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Big commit: removed encoder signal GTK 
 glade/app1.glade        |  72 ++++----------
 src/encoderCapture.cs   | 135 ++-----------------------
 src/gui/app1/encoder.cs | 259 ++++--------------------------------------------
 3 files changed, 45 insertions(+), 421 deletions(-)

Tue Mar 15 16:44:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Minor change 
 src/gui/app1/runEncoder.cs | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Tue Mar 15 16:42:48 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoGeneric handles better disposing of surface 
 src/gui/cairo/generic.cs | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

Tue Mar 15 16:41:49 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoGraphEncoderSignal ensures Dispose at end 
 src/gui/cairo/encoder.cs | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

Tue Mar 15 16:40:40 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer ensures Dispose at end (2) 
 src/gui/cairo/raceAnalyzer.cs | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Tue Mar 15 16:34:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer fixed crash on graph without data since recent commits (after 2.2.1) 
 src/gui/cairo/raceAnalyzer.cs | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Tue Mar 15 16:33:35 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoGraphRaceAnalyzer ensures Dispose at end 
 src/gui/cairo/raceAnalyzer.cs | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Tue Mar 15 16:27:23 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
CairoXY CalculatePaintX/Y handles /0 problems 
 src/gui/cairo/xy.cs | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

Tue Mar 15 10:57:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder signal graph while capture now is managed by a Cairo scroll 
 glade/app1.glade         |  55 +++++++++++----
 src/Makefile.am          |   1 +
 src/encoderCapture.cs    |  11 +++
 src/gui/app1/encoder.cs  |  38 ++++++++++-
 src/gui/cairo/encoder.cs | 169 +++++++++++++++++++++++++++++++++++++++++++++++
 src/gui/cairo/xy.cs      |   9 +++
 6 files changed, 268 insertions(+), 15 deletions(-)

Tue Mar 15 10:46:13 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder curvesPlot do not draw speed and other graph tweakings 
 encoder/graph.R | 36 ++++++++++++++++++------------------
 encoder/util.R  |  2 +-
 2 files changed, 19 insertions(+), 19 deletions(-)

Tue Mar 15 10:45:37 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder graph.R curvesPlot commented unused SmoothingsEC calculation 
 encoder/graph.R | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

Tue Mar 15 10:20:50 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added more Cairo disposed objects from last commits 
 src/gui/cairo/generic.cs | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Mon Mar 14 16:15:24 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Cairo graphs much faster: draw now to surface and then copy to drawingarea (instead of drawingarea directly) 
 src/gui/cairo/bars.cs                 | 14 ++++++++------
 src/gui/cairo/generic.cs              | 17 +++++++++++++++++
 src/gui/cairo/jumpsDjOptimalFall.cs   |  4 ++--
 src/gui/cairo/jumpsProfile.cs         |  4 ++--
 src/gui/cairo/jumpsRjFatigue.cs       |  4 ++--
 src/gui/cairo/jumpsRunsEvolution.cs   |  6 +++---
 src/gui/cairo/jumpsWeightFVProfile.cs |  4 ++--
 src/gui/cairo/raceAnalyzer.cs         | 18 +-----------------
 src/gui/cairo/radial.cs               | 12 +++++++-----
 src/gui/cairo/runDoubleContacts.cs    |  9 ++++++---
 src/gui/cairo/xy.cs                   | 18 +++++++++++++-----
 11 files changed, 63 insertions(+), 47 deletions(-)

Mon Mar 14 16:11:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed a possible zooming on mouse click on jumps FV profile show full graph 
 src/gui/cairo/xy.cs | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

Mon Mar 14 11:36:36 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder InertialFixed a bug on capture sum/sumInertialDisc unaligned along time, could affect sending curve to R 
 src/encoderCapture.cs | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

Fri Mar 11 12:28:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Networks new feautre: guest user (no wristband, no upload, meanSpeed, invisible some widgets) 
 glade/app1.glade          |  1 +
 src/gui/app1/encoder.cs   |  1 +
 src/gui/app1/menu_tiny.cs |  1 +
 src/gui/networks.cs       | 65 +++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 68 insertions(+)

Fri Mar 11 10:42:02 2022 +0000 Anders Jonsson <anders.jonsson@norsjovallen.se>
Update Swedish translation 
 po/sv.po | 2219 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1118 insertions(+), 1101 deletions(-)

Fri Mar 11 10:39:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Spanish translation of just one needed string: "Guest" 
 po/es.po | 2292 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1114 insertions(+), 1178 deletions(-)

Fri Mar 11 10:39:34 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Implemented Guest button for Networks/Encoder 
 glade/app1.glade          | 87 +++++++++++++++++++++++++++++++++++------------
 src/gui/app1/menu_tiny.cs |  2 ++
 src/gui/networks.cs       |  9 +++++
 3 files changed, 76 insertions(+), 22 deletions(-)

Thu Mar 10 19:23:56 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed Networks 3.1 downloading exercises by station 
 src/json/compujump.cs | 5 +++++
 1 file changed, 5 insertions(+)

Thu Mar 10 19:22:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed last commit 
 src/gui/networks.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Thu Mar 10 10:43:18 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
countPingsAtServer.txt moved to r-scripts 
 {testing-stuff => r-scripts}/countPingsAtServer.txt | 7 +++++++
 src/gui/networks.cs                                 | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

Wed Mar 9 11:52:47 2022 +0100 xpadulles <x.padulles@gmail.com>
Force sensor using elapsed time library and fixed trigger interfering force values 
 .../ForceSensor-0.5/ForceSensor-0.5.ino            | 43 ++++------------------
 1 file changed, 7 insertions(+), 36 deletions(-)

Tue Mar 8 16:13:41 2022 +0100 xpadulles <x.padulles@gmail.com>
Added ForceSensor firmware version 0.4 
 .../ForceSensor-0.4.ino}                           |   0
 .../ForceSensor-0.5/ForceSensor-0.5.ino            | 282 +++++++++++++++++++++
 arduino/ForceSensor/Versions.txt                   |  21 ++
 3 files changed, 303 insertions(+)

Wed Mar 9 11:34:01 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated versions/2.2.1.html 
 versions/2.2.1.html | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Wed Mar 9 11:19:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
race analyzer if distance covered is lower than segments, show y 
 src/gui/cairo/raceAnalyzer.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Wed Mar 9 11:09:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder 1RM analysis do not show legend (con, ecc, con-ecc, RL) 
 encoder/graph.R | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

Tue Mar 8 18:28:34 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Networks encoder download correctly exercises with percent_body_mass_displaced and speed_at_one_rm even if they are null 
 src/gui/networks.cs   |  2 +-
 src/json/compujump.cs | 13 +++++++++++--
 2 files changed, 12 insertions(+), 3 deletions(-)

Tue Mar 8 16:35:04 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder capture,curves,load do not check combo_encoder_exercise_capture by non-gtk thread. Now id and english name is stored previously 
 src/gui/app1/encoder.cs | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

Tue Mar 8 12:13:11 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RunI realtime cairo graph shows correctly personName if != than currentPerson 
 src/gui/app1/chronojump.cs |  2 +-
 src/gui/eventExecute.cs    | 14 ++++++++------
 2 files changed, 9 insertions(+), 7 deletions(-)

Tue Mar 8 12:05:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
SqliteRunInterval.SelectRunData can write person.Name in description 
 src/chronojump.cs          |  2 +-
 src/gui/app1/chronojump.cs | 10 +++++-----
 src/old/server.cs          |  6 +++---
 src/sqlite/jumpRj.cs       |  4 +---
 src/sqlite/runInterval.cs  | 17 +++++++++++++----
 5 files changed, 23 insertions(+), 16 deletions(-)

Tue Mar 8 11:52:45 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
JumpsRj realtime cairo graph shows correctly personName if != than currentPerson 
 src/gui/app1/chronojump.cs |  3 ++-
 src/gui/eventExecute.cs    | 10 +++++++---
 2 files changed, 9 insertions(+), 4 deletions(-)

Tue Mar 8 11:52:10 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
SqliteJumpRj.SelectJumpData can write person.Name in description 
 src/chronojump.cs          |  2 +-
 src/gui/app1/chronojump.cs | 10 +++++-----
 src/jumpsRjFatigue.cs      |  2 +-
 src/old/server.cs          |  2 +-
 src/sqlite/jumpRj.cs       | 16 ++++++++++++++--
 5 files changed, 22 insertions(+), 10 deletions(-)

Mon Mar 7 18:14:04 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
New feature: selecting a runI on treeview, displays it on top cairo realtime graph 
 src/gui/app1/chronojump.cs | 37 +++++++++++++++++++++-----
 src/gui/eventExecute.cs    | 66 +++++++++++++++++++++++++---------------------
 src/run.cs                 | 23 ++++++++++++++++
 3 files changed, 90 insertions(+), 36 deletions(-)

Mon Mar 7 17:44:20 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cairo jumpRj realtime graph resizes correctly on all situations 
 src/gui/eventExecute.cs | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

Mon Mar 7 13:02:58 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
runInterval cairo realtime graph shows "Last test:" or "Selected:" on title 
 src/gui/eventExecute.cs | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

Mon Mar 7 12:45:11 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
New feature: selecting a jumpRj on treeview, displays it on top cairo realtime graph 
 src/gui/app1/chronojump.cs | 32 ++++++++++++++++++++++++--------
 src/gui/eventExecute.cs    | 17 +++++++----------
 src/jump.cs                | 19 +++++++++++++++++++
 3 files changed, 50 insertions(+), 18 deletions(-)

Mon Mar 7 12:31:27 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On delete a runI, races graph and realtime graph are cleared 
 src/gui/app1/chronojump.cs | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

Mon Mar 7 12:31:00 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On delete a jumpRj, realtime graph is cleared 
 src/gui/app1/chronojump.cs | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Fri Mar 4 22:58:12 2022 +0000 Enrico Nicoletto <hiko@duck.com>
Update Brazilian Portuguese translation 
 po/pt_BR.po | 1397 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 696 insertions(+), 701 deletions(-)

Fri Mar 4 22:52:01 2022 +0000 Matheus Barbosa <mdpb.matheus@gmail.com>
Update Brazilian Portuguese translation 
 po/pt_BR.po | 690 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 348 insertions(+), 342 deletions(-)

Fri Mar 4 18:08:22 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Shown label: "Converted to exerted force" after elastic capture and auto-recalculate 
 src/gui/app1/forceSensor.cs | 3 +++
 1 file changed, 3 insertions(+)

Fri Mar 4 18:04:18 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated versions/2.2.1.html 
 versions/2.2.1.html | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

Fri Mar 4 17:58:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
After force sensor elastic capture done a recalculate to manage correctly body accel effect 
 src/forceSensor.cs          | 7 +++++--
 src/gui/app1/forceSensor.cs | 3 +++
 2 files changed, 8 insertions(+), 2 deletions(-)

Fri Mar 4 16:17:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
At select a person, if it has an image, check file exists. Solves problems with latin chars on windows paths. 
 src/gui/app1/chronojumpPersons.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Fri Mar 4 15:28:40 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
(cont) 
 src/forceSensorDynamics.cs | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Fri Mar 4 15:17:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
cont of last commit but done on forceSensorDynamics (not during capture) 
 src/forceSensorDynamics.cs | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

Fri Mar 4 15:02:51 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
ForceSensor projected if abs or inverted, do it on the force coming from the sensor 
 src/forceSensor.cs | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Fri Mar 4 13:54:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Ensure pixel is not null on erase paint. fixes other problems on delete person at encoder. 
 src/utilGtk.cs | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Fri Mar 4 12:51:52 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On delete session, currentPerson = null (fixes crash if encoder analyze was opened and we go to mode menu and to encoder again) 
 src/gui/app1/session/delete.cs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Fri Mar 4 12:08:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated chronojump-importer.exe for windows 
 .../chronojump_importer.exe                        | Bin 55296 -> 55296 bytes
 .../bin/chronojump-importer-python3/library.zip    | Bin 3412836 -> 3412836 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

Thu Mar 3 13:14:44 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder: Do not allow to change mode, person, and other buttons while loading a set 
 src/gui/app1/encoder.cs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Thu Mar 3 12:44:21 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder min height grav/inertial on encoder test config 
 glade/app1.glade           | 177 ++++++++++++++++++++++++++++++++++++++++++++-
 src/gui/app1/chronojump.cs |  11 ++-
 src/gui/app1/encoder.cs    |  27 +++++++
 3 files changed, 211 insertions(+), 4 deletions(-)

Thu Mar 3 12:43:57 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Removed encoder min height widgets from preferences window 
 glade/preferences_win.glade | 364 ++++++++------------------------------------
 src/gui/preferences.cs      |  26 +---
 2 files changed, 67 insertions(+), 323 deletions(-)

Thu Mar 3 12:42:08 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
On networks do not allow also to button_encoder_exercise_delete 
 src/gui/networks.cs | 2 ++
 1 file changed, 2 insertions(+)

Thu Mar 3 12:40:53 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Better behaviour when no encoder exercises (widgets sensitivity) 
 src/gui/app1/encoder.cs | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

Thu Mar 3 12:39:02 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Some encoder checks: currentEncoderGI == Constants.EncoderGI.GRAVITATORY) now are done by current_mode. More reliable when there are no exercises 
 src/gui/app1/encoder.cs | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

Thu Mar 3 11:59:02 2022 +0100 Daniel Mustieles <daniel.mustieles@gmail.com>
Updated Spanish translation 
 po/es.po | 907 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 454 insertions(+), 453 deletions(-)

Thu Mar 3 10:21:41 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Encoder capture params mass on gravitatory, inertia on inertial, on one row 
 glade/app1.glade           | 225 +++++++++++++++++++++++----------------------
 src/gui/app1/chronojump.cs |   8 +-
 src/gui/app1/encoder.cs    |  12 +--
 3 files changed, 126 insertions(+), 119 deletions(-)

Thu Mar 3 09:45:35 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RSA tests are also shown on realtime cairo graph 
 src/gui/eventExecute.cs | 48 +++++++++++++++++++++++++++++-------------------
 1 file changed, 29 insertions(+), 19 deletions(-)

Wed Mar 2 12:50:26 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed not showing countdown message on RSA since double contacts biggest contact 
 src/execute/run.cs | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

Tue Mar 1 13:44:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed hang on encoder R on ecc-con when minHeight is too high 
 encoder/util.R | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

Tue Mar 1 11:51:09 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
gui/About: shows also DB version 
 src/gui/app1/chronojump.cs | 13 +++++++++++++
 1 file changed, 13 insertions(+)

Tue Mar 1 11:50:33 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Command line: Chronojump version now shows also DB version 
 src/chronojump.cs | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

Mon Feb 28 17:38:56 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Fixed: Repetition wrong sorting in encoder (on analyze currentPerson, currentSession) 
 src/gui/app1/encoder.cs             | 36 ++++++++---------
 src/gui/encoderSelectRepetitions.cs |  6 +--
 src/sqlite/encoder.cs               | 77 +++++++++++++++++++++++++------------
 src/sqlite/main.cs                  |  4 +-
 src/sqlite/personSession.cs         |  4 +-
 src/sqlite/session.cs               |  4 +-
 6 files changed, 80 insertions(+), 51 deletions(-)

Mon Feb 28 17:37:55 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Two safety checks on cjCombo to avoid read from null combos 
 src/gui/cjCombo.cs | 5 +++++
 1 file changed, 5 insertions(+)

Fri Feb 25 13:52:39 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
forceSensor recalculate changes maxForceRaw and maxAvgForce1s on set sql 
 src/forceSensor.cs          |  8 ++++++++
 src/gui/app1/forceSensor.cs | 21 +++++++++++++++++++++
 2 files changed, 29 insertions(+)

Fri Feb 25 13:52:06 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
forceSensor resultant capture respect de captureOptions (normal, inverted, abs) 
 src/forceSensor.cs | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Fri Feb 25 13:09:20 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
RSA available for Wichro (again?) 
 src/gui/app1/chronojump.cs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Fri Feb 25 12:59:32 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated catalan translation 
 po/ca.po | 1834 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 931 insertions(+), 903 deletions(-)

Fri Feb 25 12:50:29 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated versions/2.2.1.html 
 versions/2.2.1.html | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Fri Feb 25 12:32:17 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
DB Migration from 2.34 to 2.35 done in Windows with a transaction and not with column RENAME TO 
 src/sqlite/forceSensor.cs | 27 +++++++++++++++++++++++++++
 src/sqlite/main.cs        | 42 +++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 68 insertions(+), 1 deletion(-)

Thu Feb 24 19:25:46 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Added versions/2.2.1.html 
 versions/2.2.1.html | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

Thu Feb 24 18:31:38 2022 +0100 Xavier de Blas <xaviblas@gmail.com>
Updated Chronojump Scholar graph 
 r-scripts/chronojumpScholarGraph.R | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

